Contents - ClipShop© Users Manual CopyRight Bill Buckels 1991-2007

Teacher's Choice Productions Ye Olde Clip Shoppe™ Deluxe
USER'S MANUAL
ClipShop© Copyright Bill Buckels 1991-2007. All Rights Reserved.
Version 2.0 (Win32 Release for XP)

ClipShop™ and Ye Olde Clip Shoppe™ are trademarks of Bill Buckels.
Accept No Imitations.

ClipShop was originally written by Bill Buckels in 1999, and was reworked as a Win32 application with support for long filenames in 2006, with significant functional and content additions and improvements. It is no longer distributed as FreeWare.

Visit the ClipShop™ Website at www.clipshop.ca for the latest version and other goodies.

General Description
PullDown Menus
ShortCut Menus

FileShop Menu
PrintShop Menu
Palette Shop Menu
CGA Shop Menu
AppleShop Menu
Commodore 64 Image Formats

Color Effects, Tints and Transformations
Stickers and Backgrounds
Sample Images
BMP Image Support and Formats
BSaved Image Support and Formats
PCPaint Pictor PIC Image Support and Formats
PCX Image Support and Formats
Sample ClipArt
ClipArt File Formats
XShop ClipArt Converter

DOS Legacy Applications Optionally Installed
Sample Programs and Programming

Click Here to Register ClipShop Register ClipShop Online

If you have not yet Registered ClipShop, you have only 30 days from the date of the first installation to do so before ClipShop ceases to function.

A single user licence is $10.00 US. When you register Clipshop, you will receive a Registration Code via return email normally within 24 hours of the processing of your payment.

If you wish to register via surface mail instead of using the internet please send an International Money order in the amount of $10.00 US per licence made payable to WILLIAM BUCKELS to the address below, giving the licencees User Names (Minimum 8 Characters) and your email address.

ClipShop Registration
c/o William Buckels
14 Berrydale Ave.
Winnipeg, MB, Canada
R0C 1B0

Sorry, but an email adress to return the registration activation code is required on orders of less than 5 licences ($50.00 US). Activation codes for orders of 5 licences or more can be optionally forwarded via surface mail on request.

George Orwell on English writer James Hadley Chase's No Orchids for Miss Blandish (1939):

... the career of Mr. Chase shows how deep the American influence has already gone. Not only is he himself living a continuous fantasy-life in the Chicago underworld, but he can count on hundreds of thousands of readers who know what is meant by a 'CLIPSHOP' or the 'hotsquat', do not have to do mental arithmetic when confronted by 'fifty grand ' and understand at sight a sentence like 'Johnny was a rummy and only two jumps ahead of the nut-factory'. Evidently there are great numbers of English people who are partly Americanized in language and one ought to add, in moral outlook '

(George Orwell, 1970, Collected Essays, Journalism and Letters, Vol 3 of 4. Harmondsworth: Penguin.)

Orwell's observation written over 30 years ago doesn't mention the impermanence of "the American influence". Some of the "slang" that may have seen commonplace use in Chicago in 1939 is barely understood today. It is almost as if language is a commodity, and once consumed needs to change to keep itself interesting to its consumers.

And like language in Orwell's day, and even if you are a Canadian Software Developer, nothing right now seems any more Culturally "American" (and Impermanent) than Software...

A ClipShop in 1939 Chicago was probably a place where you went to have your money taken from you (A.K.A. a "ClipJoint"). But in 1999, an Internet search for the term "ClipShop" turned-up practically nothing, except Orwell's quote. It was for that reason of uniqueness as well as being a good description for the program that the name ClipShop was chosen for this program.

As it turns out, the computer has accelerated the changing "American Influence" much more than Orwell could ever have imagined... or considering 1984 and Orwell's Big Brother, as much as Orwell ever imagined. It is almost ironic that "The Print Shop®" and "PrintMaster®" Clip Art Libraries that are used by ClipShop are orphans now, and do not even exist on their respective websites. It is as if they had never even existed. Yet 10 years before (not 60) they were "on the tips of everyone's tongues..."

Remember to pass-on ClipShop to anyone you please. And kindly pass-on the entire installation. ClipShop is no longer free, so please remember to register your copy. Version 2 has many more features than previous versions and is compatible with the Windows XP 32 Bit Edition and hopefully other versions of 32 bit Windows.

About ClipShop™ Wannabe's

As noted above, in 1999 an Internet search for the term "ClipShop" turned-up practically nothing, It was for that reason of uniqueness as well as being an appropriate description that the name ClipShop was chosen for this program.

ClipShop™ Version 1.1 (the previous more limited 16 bit version) travelled around the world from that time to this and can still be found in many online software libraries, firmly establishing ClipShop™ as a trademark of Bill Buckels

In 2007 I considered registering ClipShop™ despite the expense and did a search both through a Canadian Law Firm specializing in TradeMark Law, and also through the US TradeMark Office. ClipShop™ is not registered under either Jurisdiction.

Interestingly, shortly after ClipShop's first release, a trademark registration application by someone else for something else called "ClipShop" was filed with the US TradeMark Office, was subsequently contested by another party, and was never completed evidently because the person filing apparently had died.

In 2007, an Internet search for "ClipShop" will result in some listings for software products or services of the same name, at least one claiming to be ClipShop™, but make no mistake about it; This is the genuine authorized and expanded second release of the Original ClipShop™ Legacy Graphics and Clipart Editor for Windows XP. Accept No Imitations.

© Copyright Bill Buckels 1991-2007
All Rights Reserved.

ClipShop™ and Ye Olde Clip Shoppe™ are trademarks of Bill Buckels.
Accept No Imitations.


ClipShop Licence Agreement- ClipShop© Users Manual Copyright Bill Buckels 1991-2007

ClipShop A.K.A. "Ye Olde Clip Shoppe"
© Copyright Bill Buckels 1991-2007. All Rights Reserved.

ClipShop© is distributed as ShareWare. It is not free.

Registered or Trial CLIPSHOP© users have the right to use a single copy of this program in any way they find useful, provided they agree that Bill Buckels has no warranty obligations or liability resulting from said use in any way whatsoever. If you don't agree, remove ClipShop.Exe and all associated files from your computer now.

Visit the ClipShop™ Website at www.clipshop.ca for the latest version and other goodies.

Bill Buckels

Email: bbuckels@mts.net

The opinions expressed in ClipShop's documentation do not necessarily represent any official position of any of the people or companies discussed .

The facts were gathered from a wide variety of sources and are believed accurate. Any speculation or presentation by The Author is not intended to represent any of the parties discussed in any "Bad Light". It has been an "adventure" for everyone, including the users, and we have all benefited. The Author is supportive of the contribution to the quality of home computing by all the parties discussed, and has nothing but the greatest respect for all the Authors and Publishers of all the products discussed. See the Dedications Topic.

File Formats

Published specifications for dealing with file formats used by PCPaint, Pictor, GLPaint and GRASP were for the most part long ago made available by their author John Bridges, or by John's former publisher, Paul Mace, and are gratefully used with permission.

In fact all the files and related structures used by ClipShop belong to other authors, and their formats are commonly used and understood, and in most cases provided by their vendors (Microsoft®, ZSoft, etc.). It is their creative interpretation by ClipShop's user interface and the end-result that is not necessarily derivative.

Derivative Work - John Bridges

One notable exception to my notion that ClipShop is not necessarily derivative is ClipShop's support for the PCPaint Pictor PIC file format and the GRASP GL Library format, which to a large part ClipShop's author gratefully derives entirely from John Bridges' prolific and published advice to graphics programmers, as it applies today (John's work as the author of the first Paint program for the PC (PCPaint) and its successors and predecessing groundwork spans about 30 years). John also provided unrestricted and direct advice to ClipShop's author including sample source code which led to successful support of John's file formats within ClipShop.

I have also found over the last couple of decades that graphics programs that I would write thinking I was using my own original concept were effectively already written by someone else, often John Bridges. John was "on the scene" fairly early and understood and wrote what was needed and his concepts largely dominated the graphics programming culture, so it is probably impossible not to derive any given graphics program from John's work either directly or indirectly, giving credit where credit is due. I am grateful both for John's direct help with ClipShop's use of his various file formats, and for his permission to redistribute much of his early work with ClipShop.

Derivative Work - Alexander G. M. Smith

The public domain Apple ][ Disk Image Routines were adapted from A2DiskDump by Alexander G. M. Smith, Ottawa Canada which was originally written for the Amiga Computer, and which I ported to the IBM with the required changes for compatibility with Windows XP in 2007.

Research Acknowledgement - Matthias Matting

Matthias Matting, the author of ConGo (Converter for GoDot), a graphic viewer and converter for (mainly) Commodore C64 images.posted a large number of Commodore 64 Image specifications along with test images for the posted formats on the ConGo Website which he has gathered from a number of sources.

His research made adding Commodore 64 Image support to ClipShop a much more straight-forward exercise than it would otherwise have been. While Matthias does not own this information, and ClipShop's interface for C64 Image Support is different to ConGo's, his work is notable, and is therefore gratefully acknowledged here.

My work with Commodore 64 Images was written entirely from scratch, and I never even looked at ConGo until well after I completed my code, and I used many other sources in my research as well. Nevertheless, credit is certainly due to Matthias for making this information publicly available and easily accessible.

Non-Derivative Work and Fair Use

In as much as other computer programs (especially graphics programs) are the property of their respective authors, ClipShop is the exclusive property of Bill Buckels (the author). All methods are the product of work and study by the author. With the exceptions noted above, no other person or especially any former employee of any of the companies discussed in this document technically or otherwise advised the author in any way.

Where the content in ClipShop's documentation is not the author's own, it is believed to fairly used in an educational, non-competitive and informative manner.

ClipShop was not produced to compete with the interests of the people or the companies mentioned in this documentation.

The Following Products are Registered TradeMarks of Their Publisher

PrintMaster®
The Print Shop®

The Following Products may or may not be:

Corel Print House
Sierra Print Artist
Print Partner (from Acropolis Software)

Click Here to Register ClipShop Register ClipShop Online

If you have not yet Registered ClipShop, you have only 30 days from the date of the first installation to do so before ClipShop ceases to function.

A single user licence is $10.00 US. When you register Clipshop, you will receive a Registration Code via return email normally within 24 hours of the processing of your payment.

If you wish to register via surface mail instead of using the internet please send an International Money order in the amount of $10.00 US per licence made payable to WILLIAM BUCKELS to the address below, giving the licencees User Names (Minimum 8 Characters) and your email address.

ClipShop Registration
c/o William Buckels
14 Berrydale Ave.
Winnipeg, MB, Canada
R0C 1B0

Sorry, but an email adress to return the registration activation code is required on orders of less than 5 licences ($50.00 US). Activation codes for orders of 5 licences or more can be optionally forwarded via surface mail on request.

BOOK CURSE

A book curse was the most widely-employed and effective method of discouraging the thievery of manuscripts during the medieval period. It was from these curses that modern copyright laws and penalties for plagiarism have descended. Many of these curses vowed that harsh repercussions, often to do with religion, would be inflicted on anyone who appropriated the work from its proper owner. One such example from a book in the monastery of San Pedro in Barcelona reads as follows:

"For him that stealeth, or borroweth and returneth not, this book from its owner, let it change into a serpent in his hand and rend him. Let him be struck with palsy, and all his members blasted. Let him languish in pain crying out for mercy, and let there be no surcease to his agony till he sing in dissolution. Let bookworms gnaw his entrails ... when at last he goeth to his final punishment, let the flames of Hell consume him forever."


Other Technical Drivel - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

Other Technical Drivel

 ClipShop is no longer distributed with Source Code. The Source code is Copyrighted Material, and may only be used with special written permission of The Author (Bill Buckels) for the specific purposes stated under any special permission arrangement with The Author.

In any case, Bill Buckels has no warranty obligations or liability whatsoever resulting from the distribution and use of ClipShop or its source code in any way whatsoever.

If you don't agree, remove ClipShop, its source code if applicable, and the files it came with from your computer now.

Please read the terms of the ClipShop Licence Agreement for more details and Limitations of Use.

ClipShop is written in MSC (Microsoft C) and compiled under the Visual Studio 2005 Command Line with the Win32 SDK.

Visit the ClipShop™ Website at www.clipshop.ca for the latest version and other goodies.


Credits - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

The Print Shop® Saga
The PrintMaster® Saga
PrintMaster® and The Print Shop® at War
Other Historical Drivel
Dedications
PCPaint - History and Overview
GRASP - History and Overview
The History of the PCX File
© Copyright Bill Buckels 1991-2007
All Rights Reserved.

ClipShop™ and Ye Olde Clip Shoppe™ are trademarks of Bill Buckels.
Accept No Imitations.

Visit the ClipShop™ Website at www.clipshop.ca for the latest version and other goodies.


General Description - ClipShop © Users Manual Copyright Bill Buckels 1991-2007

General Description

    Introduction
    Where to find Help
    Viewing, Copying, Pasting, and Printing
    Legacy Graphics
    Save/Export to Windows .BMP
    Editing ClipArt Libraries
    Saving ClipArt
Introduction

When ClipShop was first released, its use was limited to supporting Legacy ClipArt in Windows. I expanded ClipShop a great deal for the 2007 Windows XP rewrite (ClipShop Deluxe), including support for other Legacy Graphics formats. The Help documentation for ClipShop also expanded, but to some degree I have left the original documentation in place and updated it, in which case the discussion of features will seem to be primarily about Legacy ClipArt in these parts.

I have continued to add features to ClipShop faster than I have been able to fully document some of the new features but the documentation for the most part is complete and quite usable.

ClipShop Deluxe supports the features that we have come to expect in a Windows XP application, including File Associations, ShortCut Menus, and integrated printing functionality, which was also not present in the previous release.

Combining many seemingly incompatible command functions in the ClipShop user interface resulted in major reorganization of the menus which have gone through the transition from initially unmanageable, to their present state of reasonably functional.

Visit the ClipShop™ Website at www.clipshop.ca for the latest version and other goodies.

<< Back to Top

Where to find Help

When you are using the ClipShop help documentation, you will likely find the help reference for the various legacy graphics that I have added, or the new features that I have added, in their own area:

PullDown Menus
ShortCut Menus

FileShop Menu
PrintShop Menu
Palette Shop Menu
CGA Shop Menu
AppleShop Menu
Commodore 64 Image Formats

Color Effects, Tints and Transformations
Stickers and Backgrounds

Sample Images
BMP Image Support and Formats
BSaved Image Support and Formats
PCPaint Pictor PIC Image Support and Formats
PCX Image Support and Formats

Sample ClipArt
ClipArt File Formats
XShop ClipArt Converter

DOS Legacy Applications Optionally Installed
Sample Programs and Programming

If you do not find help on a particular topic, please review the menus in ClipShop and try to accomplish whatever it is you are trying to do. Despite the fact that I dislike documenting ad nauseum, I have covered just about everything that I think you should need to get started with ClipShop Deluxe. And firmly believing that experience is the best teacher, I will leave the rest to you. I hope you enjoy using ClipShop.

<< Back to Top

Viewing, ClipBoard Copying, Pasting, and Printing

ClipShop is a "Legacy Graphics" Utility Program that, among other things, allows you to view "Old PrintShop" ClipArt (.DAT and .NAM Files) in Windows, and to Copy the current Clip to the Windows ClipBoard. You can then Paste the Clip back into ClipShop to compose a Screen Image from Image fragments, or into your favorite Windows Paint Program or Word Processor.

You can choose a copy command from a variety of 3 clipboard copy commands. Each of these 3 commands are used to get different proportions for the appearance of the ClipArt (or other Legacy) graphic.

ClipShop also reads "New PrintShop" ClipArt (.POG and .PNM Files), "Old PrintMaster" ClipArt (.SHP and .SDR Files), and "Old PrintPartner" ClipArt (Uncompressed .GPH Files), and allows you to copy these to the Windows ClipBoard the same way as the "Old PrintShop" Clipart (.DAT and .NAM Files).

Printing from within ClipShop is also supported; for ClipArt libraries, individual ClipArt graphics, and the other Legacy Graphics supported by ClipShop, generally for both page size and "screen-scale" printing.

<< Back to Top

Legacy Graphics

ClipShop also supports various other older ("Legacy") graphics file formats, which generally speaking, except in the case of ClipArt and Image Fragments, are screen images based loosely on the 320 x 200 x 4 Color CGA format screen mode or 640 x 400 MCGA Mode maximum display resolution.

Other Legacy Graphics supported by ClipShop are discussed in detail elsewhere in this help documentation, and generally speaking, the documentation on this page pertains to ClipArt Libraries supported by ClipShop.

Regardless of format, generally speaking all of ClipShop's supported Graphics formats can be copied to the ClipBoard, Saved to BMP or Pictor PIC and PCX, or Printed from ClipShop, using the same general guidelines.

When pasting a Graphics image from the Windows Clipboard into ClipShop, the maximum width supported is 640 which is ClipShop's fixed display window width. The height can be longer than the fixed display window height (400), but only the first 400 scanlines in the image will be displayed. The maximum number of colors supported in ClipShop's display is 256, so when pasting a Clipboard image with more than 256 colors the extra colors will generally map to black.

<< Back to Top

Save/Export to Windows .BMP

ClipShop will "export" an entire library of ClipArt from "Old PrintShop", "New PrintShop" and "Old PrintMaster" ClipArt libraries to a Windows .BMP file. (Sorry, but no support for export of "Old PrintPartner" but you can still copy "Old PP" Graphics to the Windows Clipboard and save as a .BMP in Windows Paint.)

ClipShop also offers the option of printing-out hardcopy "catalogs" of "Old Clipart" libraries in the "Old PrintShop" 88 x 52 Format.

Generally speaking, all the Legacy Graphics formats handled by ClipShop can be converted to BMP or Pictor PIC and back-and-forth between each other, and can be printed from within ClipShop.

<< Back to Top

Basic Editing Commands - ClipArt Libraries

A number of basic editing commands are also available for ClipArt libraries that use the small picture format (88 x 52 "Old PrintShop", "New PrintShop" or " Old PrintMaster" graphics). This support was originally included in ClipShop mainly to allow you to create custom ENGLISH vocabulary lesson plans for use in my METOO © Children's Program and other programs that I have written over the years that use the "Old PrintShop" graphics format.

Change Caption Text

ClipShop allows you to change the Captions for the Text Descriptions of the ClipArt from "Old PrintShop", "New PrintShop" and "Old PrintMaster" ClipArt libraries. This is especially useful when preparing vocabulary Lesson Plans for use in the educational programs that I have written that use the "Old PrintShop" Graphics Format (.DAT and .NAM) files.

Create and Add To ClipArt Libraries

ClipShop allows you to create new Clipart libraries in the "Old PrintShop", "New PrintShop" and "Old PrintMaster" formats (.NAM and .DAT Files, etc.) and to add to existing libraries in these formats if they already exist. The idea here is to load an existing library that was saved in the small picture format (88 x 52 "Old PrintShop", "New PrintShop" or "Old PrintMaster" graphics). You then copy the current picture to the library of your choice, and if the library doesn't exist, it will be created for you.

Delete From ClipArt Libraries

ClipShop allows you to delete Clipart Images from libraries saved in the "Old PrintShop", "New PrintShop" and "Old PrintMaster" formats. (Other formats are not supported.) This feature was originally included in ClipShop mainly to allow you to remove unwanted images and captions from custom vocabulary lesson plans for use in my educational programs that use the "Old PrintShop" Graphics Format (.DAT and .NAM) files.

<< Back to Top

Special Note: Saving ClipArt

Generally ClipShop will not allow you to overwrite existing files without asking, and it has another similar feature for users of my Children's Programs that needs to be explained.

Some of my programs' Lesson plans use Bilingual Support which is not provided in ClipShop. If the .DAT or .NAM file that you wish to modify may be linked to a BILINGUAL support library from one of my programs, ClipShop will not allow editing, since these files need to be synchronized. ClipShop is not guaranteed to prevent editing from occurring, but reasonable steps have been taken to catch these bilingual files and screen them out of ClipShop. You can still load the .DAT and .NAM file and paste them onto the clipboard and into new libraries, just not edit them.

ClipShop will tell you when a Bilingual Support file is suspected. You can Work on a copy if you want to modify files when this happens, but it is best not to overwrite or change the original since the program that uses the bilingual file may not work correctly afterwards. The bottom line is that ClipShop was never designed to edit these safely without affecting the related files.

<< Back to Top


ClipShop Pulldown Menus - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

ClipShop Pulldown Menus

Introduction

When I rewrote ClipShop for Windows XP and expanded ClipShops menus, I redesigned the pulldown menus at the top of ClipShop's Main Window.

FileShop Menu
PrintShop Menu
Palette Shop Menu
CGA Shop Menu
AppleShop Menu

ClipShop pulldown Menus map to the 4 main image types that ClipShop works with, and these image types can all be used together when in MCGA mode:

FileShop - Newer Images (2 Color, 16 Color, 256 Color, and 24 bit BMP Files and up to 256 Color Pictor PIC and PCX Files).

PrintShop - Old ClipArt (Mostly in the 88 x 52 Old PrintShop Format).

Palette Shop - Generally Shared between CGA Shop and AppleShop (CGA Mode Screen Images and Apple ][ HIRES Screen Images).

CGA Shop - IBM CGA Mode Screen Images (Mostly of the 320 x 200 x 4 Color Variety).

AppleShop - Apple ][ HIRES Screen Images (280 x 192 x 6 Colors).

Besides offering conversion to Windows BMP and "back-again", ClipShop also provides a number of novel composition features within the reasonable (and sometimes unreasonable) limits of each image format.

I have also used ShortCut Menu commands to enhance ClipShop's somewhat chaotic editing and conversion features in an attempt to make this strange combination of old and new image formats a little more manageable. Shortcut menus are available by right-clicking on ClipShop's main window.

Since experience is the best teacher, I have not gone into exhaustive detail about using the menu commands. I urge you to try them and achieve a better understanding as to both their use and usefulness.

<< Back to Top

HotKeys in Pulldown Menus

As in ClipShop's shortcut Menus, HotKeys are listed and supported on ClipShop's pulldown menus.

I am not listing the hotkeys, since they are already noted where and when they apply on all of ClipShop's menus.


ClipShop Shortcut Menus - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

ClipShop Shortcut Menus

    Introduction
    Main Menu and General Commands
    Text Screen Menu
    CGA Graphics Screen Menu
    Apple Screen Menu
    MCGA Graphics Menu
    Fragment Paste Menu
    Sticker Paste Menu
    Clipboard and File Overlay
    HotKeys in Shortcut Menus
Introduction

One of the features that we have become accustomed to in Windows XP and newer Windows applications is the "Shortcut Menu"... These are the small popup menus that are displayed on the Windows Desktop and in Windows Applications when we click the right mouse button.

When I rewrote ClipShop for Windows XP and expanded ClipShop's menus, I designed a series of Shortcut menus that correspond with the currently selected commands from the pulldown menus at the top of ClipShop's Main Window.

FileShop Menu
PrintShop Menu
CGA Shop Menu
AppleShop Menu

Clipshop's pulldown menus are described in detail elsewhere in ClipShop's help documentation. They map to the 4 main image types that ClipShop works with:

- Primarily Newer Images (including 2 Color, 16 Color, 256 Color, and 24 bit BMP Files and up to 256 Color BSaved, Pictor PIC and PCX Files).
- Old ClipArt (Mostly in the 88 x 52 Old PrintShop Format).
- IBM CGA Mode Screen Images (320 x 200 x 4 Color or 640 x 200 x Monochrome).
- Apple ][ HIRES Screen Images (280 x 192 x 6 Colors).

Besides offering conversion to Windows BMP and "back-again", ClipShop also provides a number of novel composition features within the reasonable (and sometimes unreasonable) limits of each image format.

I have used ShortCut Menu commands to enhance ClipShop's somewhat chaotic editing and conversion features in an attempt to make this strange combination of old and new image formats a little more manageable.

The following is a synopsis of each of the ClipShop shortcut menus. Since experience is the best teacher, I have not gone into exhaustive detail about using the menu commands. I urge you to try them and achieve a better understanding as to both their use and usefulness.

<< Back to Top

The Main Shortcut Menu and General Commands

When ClipShop first starts, and no images have been loaded, this menu provides the "Gateway" to ClipShop's other menus, be they pulldown or shortcut menus.

The Load Command

The Load Command is the key to the heart of ClipShop's other menus:

- MCGA, especially 256 Color and 16 Color Graphics
- [F7] PrintShop Library
- CGA BSaved, Pictor PIC or PCX Graphics Screen
- CGA BSaved or PTX Text Screen
- Apple II BSaved Graphics Screen

Where it makes sense, all ClipShop shortcut menus offer the Load command as a mode of switching between image formats and editing sessions.

Load from ClipBoard - The Paste Screen Command

[CTRL L] Load Screen From ClipBoard

This is the equivalent of loading a
2 Color, 16 Color, 256 Color, or 24 bit BMP or a
4 Color or 256 Color BSaved Image or a
2 Color, 4 Color, 16 Color or 256 Color Pictor PIC or PCX from file.

<< Back to Top

The Print Command

Prints the currently loaded image... individual ClipArt graphics, and the other Legacy Graphics supported by ClipShop, for both page size and "screen-scale" printing.

In addition to printing the current image, ClipShop offers the option of printing-out hardcopy "catalogs" of "Old Clipart" libraries in the "Old PrintShop" 88 x 52 Format, 8 images across... just like the appendices in "The Official Printshop Handbook".

<< Back to Top

The Launch ClipShop Command

[CTRL K] DOUBLE Launch ClipShop

Launching additonal copies of ClipShop allows you to use the Windows ClipBoard to copy and paste between editing sessions, with the primary editing session being in MCGA mode (newer image formats).

You can also paste back and forth between ClipShop and other graphics editors like Window's Paint, and with experience being the best teacher, this is something you will need to try yourself.

The Launch Command

This one is self explanatory, and ClipShop allows a variety of Utility Applications to be run from the File Shop pulldown Menu as well as from the ShortCut menu, and also through the Windows directory dialog. See below.

<< Back to Top

View and Manage Files Command

[CTRL F] View and Manage Files

If you load one of ClipShop's supported FileTypes, ClipShop will launch into the appropriate editing mode for that file. If it is not one of ClipShop's files, ClipShop will try to open the file using Windows file associations.

As with any Windows XP program, you can right click-on a file while in the Windows directory and use the plethora of built-in Windows options for that file type, including the open file option.

Since ClipShop also can be associated with Windows Filetypes through the File Shop menu, a second copy of ClipShop can be loaded using the right-click option above for files associated with ClipShop.

<< Back to Top

The Save Command

The save command is generally the equivalent of the copy to clipboard. Generally you must have a file loaded, or an active editing session in process in order to either copy or save.

All ClipShop's supported file types offer a Save to Windows BMP or Pictor PIC in various formats, and with more or less equivalent load commands where it makes sense.

<< Back to Top

The Text Screen Shortcut Menu

- Compress BSV To PTX
- Expand PTX To BSV

The text screen shortcut menu offers a variety of editing and conversion options related to IBM DOS 80 column x 25 row colored text screens. More text screen commands can be found on ClipShop's CGA Shop and File Shop pulldown Menus.

<< Back to Top

The CGA Graphics Screen Shortcut Menu

The CGA Graphics Screen Shortcut menu is activated when a CGA Shop editing session starts after a CGA Graphics screen is loaded.

Each of the 4 Colors in a CGA Image can be remapped using a variety of palette and color options.

Use of these color options is described in detail in the Palette Shop help documentation.

Conversion and save options are also strongly supported for CGA Mode Graphics in ClipShop.

<< Back to Top

The Apple Screen Shortcut Menu

The Apple ][ Graphics Screen Shortcut menu is activated when an Apple Shop editing session starts after an Apple ][ HIRES Graphics screen is loaded.

Each of the 6 Colors in an Apple ][ Image can be remapped using a variety of palette and color options.

Use of these color options is generally described in the Palette Shop help documentation.

Conversion and save options are also strongly supported for Apple ][ Graphics in ClipShop.

<< Back to Top

The MCGA Graphics Shortcut Menu

The MCGA Graphics Screen Shortcut menu is activated when an MCGA editing session starts after a
2 Color, 16 Color, 256 Color, or 24 bit BMP or a
4 Color or 256 Color BSaved Image or a
2 Color, 4 Color, 16 Color or 256 Color Pictor PIC or PCX is loaded,
or after a screen is pasted from the Windows ClipBoard.

Colors can be remapped using a variety of Color Options, and a variety of Color Effects, Tints and Transformations can be achieved in MCGA Mode.

Overlays can be pasted or loaded from disk and composite images can be created by pasting image fragments from Old Printshop graphics.

It is from this menu that both the Fragment Paste and Clipboard Overlay shortcut Menus are accessed in ClipShop.

Conversion and save options are also strongly supported for Newer Graphics in ClipShop.

<< Back to Top

Convert from MCGA Mode Screen to 4 Color Pictor PIC, PCX or BSaved Image

Since I also want to offer as much migration capability as practical for common older image formats, you can convert an MCGA Mode composition to a CGA Mode Pictor PIC, PCX or BSaved Image (with some caveats).

From the MCGA shortcut menu (when you have one of these images loaded) you can select up to 4 conversion colors for remapping and resaving to a CGA Mode File

This is particularly useful if you want to strip most of the colors from an Image that has lineart or text that you want without the rest of the stuff, like extraneous colors and so forth.

Right-Click on your MCGA Image to bring-up the shortcut menu and select the CGA color that you wish to use for your conversion, then left-click on a color in your image... repeat and cancel as necessary... When (and if) you convert, these are the colors that will be used.

If the MCGA Mode Screen being converted is in BLACK and WHITE the CGA Mode output will result in a Monochrome rather than 4 Color CGA equivalent. This assumes that you have selected BLACK and WHITE as your conversion colors.

Note: These are also the colors that are used when pasting an image fragment onto an MCGA Image.

<< Back to Top

The Fragment Paste Shortcut Menu

This menu is activated when an 88 x 52 Image Fragment is either pasted or loaded from disk while in MCGA Mode. Remember to press [CTRL D] DOUBLE Paste (Stamp) to make the sticker permanent.

Arrow-Keys as well as the mouse can be used to position the fragment.

Image fragments from Old Printshop graphics and other sources can be pasted from disk or from the Windows ClipBoard and positioned using transparent colors onto an MCGA Mode Image using this menu.

The resulting composition can then be copied to the ClipBoard or saved to disk as an MCGA Mode BMP file.

<< Back to Top

The Sticker Paste Shortcut Menu

Like the Fragment Paste menu, this menu is activated when an 88 x 52 Image Fragment is either pasted or loaded from disk while in MCGA Mode. Remember to press [CTRL D] DOUBLE Paste (Stamp) to make the sticker permanent.

Arrow-Keys as well as the mouse can be used to position the sticker.

This menu has some special features that are discussed further in the following topic:

Stickers and Backgrounds

<< Back to Top

The Clipboard Overlay ShortCut Menu

Paste Overlay from PCPaint GRASP CLP File

When pasting a CLP file some special considerations apply. Since a CLP file has no palette, if the background is a Pictor PIC or a Pictor PAL has been loaded, the currenly loaded Pictor palette will be used for the CLP. Otherwise a default palette will be provided based on the originating screen mode of the CLP. Other than that, a CLP file behaves like any other Overlay. See below.

[CTRL R] Paste Overlay from CLIPBOARD
[CTRL O] Load Overlay from File

The Clipboard Overlay ShortCut Menu is made available either when an Image is pasted from the Windows ClipBoard onto an MCGA Mode image or loaded from disk using the above commands. Note that when you load an overlay that is smaller than the screen you will generally be able to position the Overlay using the Arrow Keys.

Any or all Overlay Colors can be made transparent, by Left-clicking the mouse over the color in the Overlay that you wish to turn on or off. Right-clicking the mouse brings-up the shortcut menu. If you are repositioning an Overlay, turn-off the colors you don't need to speed-up the Arrrow Key repositioning.

Overlays can be from a variety of color and file formats, including image fragments. Colors from both images are combined when an Overlay is Double Pasted from the shortcut menu by using the "DOUBLE Paste (Stamp)" command or by pressing the hotkey [CTRL D]. You should optimize colors regularly between loading images with different colors, especially when combining images with several colors, using the "Optimize Current Palette" command on the shortcut menu. This could prevent color loss. You are only working with 256 Colors after all. And make certain to Double Paste before optimizing.

Partial Screen Overlays load from the top-left of your screen rather than to the centre. They can then be moved around by pressing the [UP ARROW], [DOWN ARROW], [LEFT ARROW], and [RIGHT ARROW] keys. (The mouse is reserved for other uses; Left-clicking turns tranparent colors on and off.and Right-Clicking brings up the shortcut menu.)

The [RIGHT ARROW] and {DOWN ARROW] hotkeys move the Overlay in increments of 8 pixels, and the [LEFT ARROW] and [UP ARROW] hotkeys move the Overlay back in increments of 4 pixels.

It is very important to remember that before copying an Overlayed composition to the Clipboard or saving to a MCGA Mode BMP, BSaved Image, Pictor PIC or PCX file, that you Double Paste from the shortcut menu or by pressing the hotkey [CTRL D].

The resulting composition can then be copied to the ClipBoard or saved to disk as an MCGA Mode BMP, BSaved Image, Pictor PIC or PCX file.

When you save an Overlay to the Clipboard, you will overwrite the original, because the overlay function in ClipShop uses the Clipboard to store the Overlay that you have been working with, so be sure to Double Paste to save your work especially before copying.

If you are using another program that uses the Clipboard (like another copy of ClipShop or Windows Paint) while you are pasting an Overlay, you may be surprised to see a different image appear instead of the one that you were overlaying with. This is because the Clipboard is shared between all the applications in Windows, and another program can overwrite your Clipboard image with one of its own. This is actually a good feature if used to pass Overlays between programs, or to aquire Overlays from other programs, or other ClipShop modes.

ClipShop's Clipboard Paste Routines handle the so-called CF_DIB clipboard format as a Standard Windows Device Independent Bitmap (DIB) only.

No alternate types like Overlay Pastes of upside-down DIB's or Any Pastes of embedded jpegs are supported.

Pasting is supported to 256 color rendering only. ClipShop renders 24 Bit Full Screen Pastes up to 256 Colors, and unused colors are mapped to color index 0 (usually black). But Overlay pastes do not support the 24 bit format.

Generally the whole point in overlaying is to load an image the same size or smaller over-top of another. The maximum width of a Clipboard Overlay in ClipShop is 640 pixels (ClipShop's screen width) so you should overlay from file if the image you are pasting is wider.

<< Back to Top

HotKeys in Shortcut Menus

As in ClipShop's pulldown Menus, HotKeys are listed and supported on ClipShop's shortcut menus.

I am not listing all the hotkeys, since they are already noted where and when they apply on all of ClipShop's menus.

[CTRL D] DOUBLE Paste (Stamp)

The most important command to remember when pasting Overlays, Image Fragments, and Stickers is the "DOUBLE Paste (Stamp)" command or the hotkey [CTRL D]. If you are pasting in MCGA Mode please remember to Double Paste before loading additional Overlays and Image Fragments, or before saving to the ClipBoard or to BMP, Pictor PIC, etc. or you may lose your current work.


File Shop Menu Commands - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

File Shop Menu Commands

    Load or Paste
    Full Screen
    SlideShow
    Save
    Commodore 64 (C64) Images
    Print
    Launch
    Squash
    View and Manage Files
    File Associations
    Register or Uninstall ClipShop
Load or Paste...

Either Load from a variety of legacy formats supported by ClipShop or Paste from the Clipboard and enter MCGA Mode. In MCGA Mode both are basically equivalent. Please see the following topics for specific information:

ClipShop Pulldown Menus
MCGA Mode Menus and Images
Stickers and Backgrounds
Commodore 64 Images

<< Back to Top

Full Screen

Selecting Display Full Screen Image or pressing the [SPACEBAR] will display the current image the full size of your Windows Desktop. Pressing your mouse button or pressing the [SPACEBAR] again will display the image normally in the ClipShop main window.

SlideShow

ClipShop has a slideshow display mode for displaying the various legacy graphics screen formats that ClipShop supports. These are displayed the full size of your Windows Desktop. Several slideshows are included with ClipShop.

ClipShop slideshows are in the form of a simple text file of Image Name on one one line followed by display time in seconds on the next line. A display time of 0 will signal ClipShop to wait for the [SPACEBAR] or a left mouse button before displaying the next slide.

These can be created in Notepad or any text editor. They have the file extension of ".LST". When ClipShop reaches the end of a slideshow, it starts the slideshow over.

As indicated above, pressing the [SPACEBAR] or a left mouse button will advance to the next slide. Pressing any other key will stop the slideshow and display the last image loaded normally in the ClipShop main window. Pressing the right mouse button will display the slideshow shortcut menu.

<< Back to Top

Save...

    Windows BMP
    PCPaint Pictor PIC
    ZSoft PCX
    BLoaDable Picture BLD
Save as Large Scale BMP - Saves the current screen to a large scale BMP file.

Save as Thin Scale BMP - Saves the current screen to a thin scale BMP file.

Save as Small Scale BMP - Saves the current screen to a small scale BMP file.

This series of commands will save to a variety of preselected BMP formats depending on what type of image has been loaded. If you are in MCGA Mode, the BMP will have 256 colors, and a large scale size of 640 x 400. If you are in CGA Mode the image will have 16 Colors,etc.

The BMP save command is generally the equivalent of the copy to clipboard. Generally you must have a file loaded, or an active editing session in process in order to either copy or save.

All ClipShop's supported file types offer a Save to Windows BMP in various formats, and with more or less equivalent load commands where it makes sense.

The FileShop Menu also has a Save Text File to Monochrome Bitmap command that will convert a text file to a fixed-pitch 8 x 16 VGA style font which is quite legible, but nothing fancy. It does however use the DOS OEM Character Set which allows you to use those old style text graphics that we used to hear referred to as Ansi Art.

<< Back to Top

Save as Large Scale Pictor PIC - Saves the current screen to a Large Scale Pictor PIC file.

Save as Small Scale Pictor PIC - Saves the current screen to a Small Scale Pictor PIC file.

Note: The Pictor PIC format is the native file format of PCPaint, the first Paintbrush program for the IBM PC Family of computers.

This series of commands will save to a variety of preselected Pictor PIC formats depending on what type of image has been loaded. If you are in MCGA Mode, the Pictor PIC will have 256 colors, and a large scale size of 640 x 400. If you are in CGA Mode the image will have 16 Colors,etc.

You must have a file loaded, or an active editing session in process in order to save.

All ClipShop's supported file types offer a Save to Pictor PIC in various formats.

<< Back to Top

Save as Large Scale PCX - Saves the current screen to a large scale PCX file.

Save as Thin Scale PCX - Saves the current screen to a thin scale PCX file.

Save as Small Scale PCX - Saves the current screen to a small scale PCX file.

This series of commands will save to PCX 256 Color Format if in MCGA Mode, and to a Monochrome Image Fragment if an XShop compatible ClipArt library is loaded. In CGA Mode the PCX Conversion options can be used to save the current image to a 4 Color or Monochrome PCX. ClipShop does not support a CGA Mode save command to a 16 Color PCX.

You must have a file loaded, or an active editing session in process in order to save.

All ClipShop's supported file types offer a Save to PCX in various formats.

<< Back to Top

Save as Small Scale 256 Color BSaved BLD - Saves the current screen to a small scale BLD file.

This command will save to a BLoaDable Picture in 256 Color Format if in MCGA Mode. This is a simple raw graphics file format that was somewhat popular with amateur programmers in the late 1980's and one of the native file formats of the DOS graphics program VGACad.

You must have a file loaded in order to save.

Additional information for BSaved Image Format Specifications and ClipShop support for BSaved Images can be found elsewhere in ClipShop's help documentation.

<< Back to Top

Print

Prints the currently loaded image... individual ClipArt graphics, and the other Legacy Graphics supported by ClipShop, for both page size and "screen-scale" printing.

In addition to printing the current image, ClipShop offers the option of printing-out hardcopy "catalogs" of "Old Clipart" libraries in the "Old PrintShop" 88 x 52 Format, 8 images across... just like the appendices in "The Official Printshop Handbook".

<< Back to Top

Launch

[CTRL K] DOUBLE Launch ClipShop

Launching additonal copies of ClipShop allows you to use the Windows ClipBoard to copy and paste between editing sessions, with the primary editing session being in MCGA mode (newer image formats).

You can also paste back and forth between ClipShop and other graphics editors like Window's Paint, and with experience being the best teacher, this is something you will need to try yourself.

Launch Desktop Applications

The following Desktop Applications if installed on your computer will be detected by ClipShop and they will be available from the FileShop Menu:
    MSPaint
    NeoPaint
    NotePad
    WordPad
Launch Legacy Applications

The following Legacy Applications if installed on your computer will be detected by ClipShop and they will be available from the FileShop Menu:
    ICONDRAW Old PrintShop® Editor
    PrintMaster® Plus
    PrintPartner Version 2.0
    Pictor Paint ©John Bridges
    GLPaint ©John Bridges
    PCPG PC Picture Graphics System
    THEDRAW Version 4.63
Launch DOSBox Applications

If you have installed PCPaint and DOSBox with ClipShop, the following Legacy Applications if installed on your computer will be detected by ClipShop and they will be available from the FileShop Menu as DosBOX Applications:
    ICONDRAW Old PrintShop® Editor
    PrintMaster® Plus
    PrintPartner Version 2.0

    PCPaint 2.0 and 3.1 ©John Bridges
    GRASP 1.0 and GRASP 4.0 ©John Bridges
    GLPaint ©John Bridges
    PicEM ©John Bridges

    PCPG PC Picture Graphics System
    THEDRAW Version 4.63
Other Launch Commands

ClipShop allows a variety of Utility Applications to be run from the File Shop pulldown Menu as well as from the ShortCut menu, and also through the Windows directory dialog.

<< Back to Top

Squash Current BMP

This command will allow you to "squash" the currently loaded 256 color MCGA mode BMP (if one is loaded) by running my freeware utility WSquash which is included with source code in the ClipShop installation.

MCGA mode BMP's are the BMP files that you can save in ClipShop's MCGA mode. Squashing is reducing the image in size while using a scaled resampling of the image colors to preserve detail.

Additional information about WSQUASH and the SQUASH Utilities for Windows is covered elsewhere in ClipShop's documentation.

<< Back to Top

[CTRL F] View and Manage Files

If you load one of ClipShop's supported FileTypes, ClipShop will launch into the appropriate editing mode for that file. If it is not one of ClipShop's files, ClipShop will try to open the file using Windows file associations.

Since ClipShop can be associated with Windows Filetypes through the File Shop menu, a second copy of ClipShop can be loaded using the right-click option above for files associated with ClipShop.

As with any Windows XP program, you can right click-on a file while in the Windows directory and use the plethora of built-in Windows options for that file type, including the open file option.

<< Back to Top

Associate Files

This command will allow you to set-up file associations so that ClipShop becomes your default open file command for the legacy graphics that ClipShop supports. This means that you will be able to load these files by clicking on them from within Windows Explorer and ClipShop will be available from the ShortCut Menu by Right-Clicking. A word of warning about using this command:

ClipShop File Associations belong to Windows after being done. What I mean by this is that File Associations in the Windows Registry are fair game for other applications and Windows Explorer.

When ClipShop sets-up File Associations in the Windows Registry, it creates a class for each FileType and sets-up that Class as the Default Handler for the Open command for that FileType. It then creates a shell command association within that class which includes a customized open command for the shortcut menu, and a DefaultIcon that points back to the ClipShop executable, which will display ClipShop's wise Canadian Owl for the files that ClipShop is associated with.

ClipShop will warn you in advance if you have selected an association that may give you problems, and you can always back-out at that time or clear the association at a later date. It's probably better to back-out if you have any misgivings, because ClipShop does not restore the previous handler if any existed. However, you can easily do this yourself from within Windows Explorer.

You probably should, at the very least, associate ClipShop with Legacy ClipArt.

Remove (Clear) ClipShop File Associations

After you set-up ClipShop as the default Open method for a particular FileType, you may wish to clear that setting and use some other program. ClipShop will clear the Class associated in the default handler for that FileType, leaving you free to choose another program to open that FileType.

<< Back to Top

Register or Uninstall ClipShop

This is where you enter your user name and registration code. It is best to use your real name in full when registering ClipShop, because your registration code is based on your user name, and you will only be given one registration code for each ClipShop licence.

Do not change the registration information after you have registered unless you are changing ownership of ClipShop and have a new registration code.

If you would prefer to Uninstall ClipShop instead of registering, or for whatever reason, you can do so by selecting the uninstall command from the FileShop Dialog menu. Registered Users can reinstall back to the same computer without having to re-enter their code. Un-registered users will be remembered, so removing and re-installing ClipShop will not start the trial period over again.

You can always uninstall ClipShop from add/remove programs or from the ClipShop Program Group in Start Menu/Programs on the Desktop.

If you have not yet registered ClipShop, and especially if you have been locked-out of the program, you can also remove some or all of ClipShop's File Associations at this menu.

Click Here to Register ClipShop Register ClipShop Online

If you have not yet Registered ClipShop, you have only 30 days from the date of the first installation to do so before ClipShop ceases to function.

A single user licence is $10.00 US. When you register Clipshop, you will receive a Registration Code via return email normally within 24 hours of the processing of your payment.

If you wish to register via surface mail instead of using the internet please send an International Money order in the amount of $10.00 US per licence made payable to WILLIAM BUCKELS to the address below, giving the licencees User Names (Minimum 8 Characters) and your email address.

ClipShop Registration
c/o William Buckels
14 Berrydale Ave.
Winnipeg, MB, Canada
R0C 1B0

Sorry, but an email adress to return the registration activation code is required on orders of less than 5 licences ($50.00 US). Activation codes for orders of 5 licences or more can be optionally forwarded via surface mail on request.


PrintShop Menu Command Details - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

PrintShop Menu Command Details

    Hot Keys
    Basic Commands
    Export Current Clip (ShopSave)
    Export Library to BMP
    XShop ClipArt Converter
    Top Level Menu
    A Variety of Copy Commands
    Help and About
PrintShop Menu Hot Keys - [F1] - [F10], [ESC], [Delete]

ClipShop's PrintShop Menu commands are listed below. These commands all have "hot keys", which are noted beside the command on the menu. This means that you can press the "hot key" on the keyboard, and the command will execute, the same way that it would from the menu. The "F KEYS" (Function Keys) [F1] to [F10] are all used as "hot keys" in ClipShop. Other keys used are [ESC] and [Delete]. (The [ESC] (Escape) Key can be used at any time to quit the program.)

<< Back to Top

Basic Commands

A number of basic editing commands are available for ClipArt libraries that use the small picture format (88 x 52 "Old PrintShop", "New PrintShop" or " Old PrintMaster" graphics).

[F7] Load Library

The [F7] Command allows you to Load a Library in 1 of 4 Graphics Library formats. The libraries supported are "Old PrintShop" (.DAT and .NAM Files), "New PrintShop" (.POG and .PNM Files), "Old PrintMaster" (.SHP and .SDR Files), and "Old PrintPartner" (Uncompressed .GPH Files).

[F8] Change Text

The [F8] Command allows you to change the Captions for the Text Descriptions of the ClipArt from "Old PrintShop", "New PrintShop" and "Old PrintMaster" ClipArt libraries.

[F9] Add Clip To Library...

The [F9] menu command allows you to create new Clipart libraries in the "Old PrintShop", "Old PrintMaster", or "New PrintShop" formats (.NAM and .DAT Files etc.) or to add to existing libraries in these formats if they already exist. The idea here is to load an existing library that was saved in the small picture format (88 x 52 "Old PrintShop", "New PrintShop" or " Old PrintMaster" graphics). You then copy the current picture to the library of your choice, and if the library doesn't exist, it will be created for you.

Image fragments saved in the various formats that ClipShop supports can also be added to a library.

[Delete] Delete Current Clip

The [Delete] command allows you to delete Clipart Images from libraries saved in the "Old PrintShop", "Old PrintMaster", or "New PrintShop" formats.

<< Back to Top

Export Current Clip (ShopSave) To...

A variety of image fragment formats are available to export the current library to. These can then be re-pasted as larger images, or as Fragments or Stickers in MCGA Mode or loaded into another PrintShop library again, with the exceptions of Commodore BSaved Image Fragments and the BSaved Text Screen export (which can be used to create some interesting results) and the Pictor CLP which cannot be loaded into another library but can be re-pasted.
    [CTRL J] CGA Scale PCPaint Pictor (.CLP)
    [CTRL S] Small Scale Windows Monochrome (.BMP)
    [CTRL W] Screen Scale Windows Monochrome (.BMP)
    [CTRL T] BSaved Text Screen (.BSV)
    [CTRL M] EGAVGA Scale PCX Monochrome (.PCX)
    [CTRL X] CGA Scale PCX Monochrome (.PCX)
    [CTRL Y] CGA Scale C Putimage (.PIC)
    [CTRL Z] CGA Scale BASIC BSaved (.PUT)
    HIRES Commodore BSaved Image Fragments
<< Back to Top

[F10] Export Library to BMP

The [F10] command will "export" an entire library of ClipArt from "Old PrintShop", "New PrintShop" and "Old PrintMaster" ClipArt libraries to a Windows .BMP file, 8 images across... just like the appendices in "The Official PrintShop Handbook". (Sorry, but no support for export of "Old PrintPartner" in this version, but you can still copy "Old PP" Graphics to the Windows Clipboard and save as a .BMP in Windows Paint.) Using the Windows BMP file format is a more usual way to store images than the old ClipArt format, and makes it easier to convert to other formats.

Another possible use for an exported library in the Windows Bitmap (.BMP) format is to provide a graphics catalog of the old ClipArt libraries that you might have. Clipshop offers a Print Catalog option to print these directly in ClipShop, but if you wish, you can Export the Library to BMP then print these out using Windows Paint. Either way, this can be useful when trying to find a specific image for whatever reason.

This command is available from the XShop ClipArt Converter menu.

<< Back to Top

[ESC] Exit ClipShop

The [ESC] (Escape) Key can be used at any time to quit the program. (Careful about accidently hitting this key.)

<< Back to Top

The Toplevel "ToolBar" Menu

Some of the menu commands at the top of ClipShop's Menu Bar are not pull-down menus, but commands. This makes the job of remembering the "hot keys" much easier, since they are shown in plain view on their respective "toolbar" menu command. These are the commands that are related to advancing/selecting an image and copying an image to the Windows Clipboard.

[F2] Next Image

This menu command advances to the next image in the Clipart Library. When it gets to the end, it starts at the beginning again. There is no command for Previous image, so if you accidently go past the image that you wanted, you have to wait until you have gone through the entire library again. (Just reload the library if this takes too long.)

<< Back to Top

A Variety of Copy Commands

You can choose a copy command from a variety of 3 clipboard copy commands, [F3], [F4], and [F5]. Each of these 3 commands are used to get different proportions for the appearance of the ClipArt graphic. Using 1 of the 3 commands, Copy the current Clip to the Windows ClipBoard. You can then Paste the Clip into your favorite Windows Paint Program or Word Processor.

[F3] Copy

The [F3] copy command will copy a 2X (double magnified) Clip to the Windows Clipboard. 2X is generally about the right size in order to properly see the clip in a Windows program. The graphics screens were not capable of high resolution display when these clips were originally created, so by magnifying them 2X, they appear as they were originally intended (or close to it).

[F4] Thin Copy

The [F4] copy command will copy a 1X2 (double length) Clip to the Windows Clipboard. 1X2 generally stretches the clip in a Windows program. Sometimes the clip looks better at a 1X2 ratio.

[F5] Small Copy

The [F5] copy command will copy a 1X1 (to scale) Clip to the Windows Clipboard. 1X1 is generally too small to see detail in a Windows program. If you need a tiny clip, this is a good command to use. This is actually the correct resolution for these, but this is too darned small to see detail in a Windows program.

<< Back to Top

[F1] Help

Press [F1] at anytime during the program to display the help file.

[F6] About ClipShop

This is pretty much what you might expect. A dialog is displayed with a synopsis of ClipShop and if you have Registered ClipShop, your User information will be displayed here as well. (If you have not yet Registered ClipShop, you have only 30 days from the date of the first installation to do so before ClipShop ceases to function.)


Palette Shop Menu - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

ClipShop © "Palette Shop" Menu

Introduction
Commands and Navigation
Color Mapping Support
Packing List
Using CGA Palette Files

Introduction

Color mapping when converting between images with different colors or a different number of colors was always a “fact of life” until images with “unlimited” colors became commonplace. For example, in 1985 when PCPaint Version 2 was released, it was bundled with a color remapping utility called 16C to map colors between CGA images and 16 Color EGA images. The “Palette Shop” menu is ClipShop’s modern day equivalent to 16C.

Color mapping is a big part of ClipShop’s legacy graphics support, and consequently much of ClipShop’s documentation is devoted to this topic. The notes below give a basic overview of how palettes are used by ClipShop, but are by no means exhaustive, and you should read the other references to color mapping throughout ClipShop’s documentation for additional detail.

The notes below also discuss the external palette file formats supported by ClipShop for CGA Image conversion.

Load or Select Palette

The "Palette Shop" Menu in ClipShop provides support for loading internal palettes and external palette files for color mapping of CGA Mode and Apple ][ Images prior to saving to 16 color BMP and Pictor PIC formats, and 4 Color Pictor PIC and PCX formats, or copying to the Windows Clipboard using ClipShop’s Windows Clipboard Copy option. This basic functionality is borrowed from a DOS program called “CGA2BMP” by ClipShop’s author and was expanded for ClipShop.

Toggle Colors

ClipShop's "Palette Shop" also provides color change “toggle” capabilities from the currently selected palette using the "Palette Shop" menu commands or by using the keyboard keys [ALT][F1] through [ALT][F4], while in CGA Mode to independently change each of the 4 CGA colors in the source image to a color from a standard 16 color VGA palette in the target .BMP, Pictor .PIC or .PCX image, or the Currently Displayed Image which may also be copied to the Windows Clipboard as noted above.

The Pictor PIC format CGA and 16 color palettes are hardware compatible palettes only, and unlike PCX and BMP palettes are not capable of storing actual RGB values. Due to this limitation, some color mapping options will not work accurately when converting to a Pictor PIC. ClipShop will use the closest equivalent palette for Pictor PIC conversion.

Apple ][ Palettes

Although the “Palette Shop” Menu is primarily targeted at CGA Mode images, color mapping of imported Apple II "HI RES" .BIN Format screen images for conversion to 16 color Windows .BMP and Pictor .PIC formats is also supported, and works similarly to IBM CGA color mapping.

Some Palettes are built into ClipShop, including:

- PCX 16 Color Standard VGA DOS Palette
- BMP 16 Color Standard VGA Windows Palette

A CUSTOM 16 Color User Defined Palette is also available, which is initially preset to ClipShop’s PCX 16 Color Standard Palette. External palette files are loaded into this custom palette.

Selecting Palettes

When in CGA Mode, the ClipShop user can select the various palette choices either from the "Palette Shop" menu, or by pressing the [CTRL] key simultaneously with the 'B' (.BMP), 'P' (.PCX), 'C' (CUSTOM) keys, and other Palette Choice keys that are displayed on the "Palette Shop" menu in ClipShop.

Palette selection is visual and allows you to see your changes before either saving or abandoning.

External Palette Support

Support is provided for the following palette file formats which you can use to define the CUSTOM palette by loading the Palette File into ClipShop:

- PaintShop Pro 16 Color Palette - Ascii Text
- NeoPaint 16 Color Palette (DOS or WINDOWS) - Ascii Text
- Aldus Photostyler 16 Color Palette - Ascii Text
- Aldus Photostyler CLR Color File - Ascii Text
- GeoVu 16 Color Palette - Ascii Text
- Adobe ACT Palette File - Binary
- Alchemy GIF Contruction Set CMP File - Binary
- Microsoft RIFF Palette File - Binary

Note: 16 Color VGA Style Palettes are the only CGA Palettes saved by ClipShop. Please see appendix B for more details.

<< Back to Top

Commands and Navigation

The "Palette Shop" menu displays several options depending on what type of CGA Mode (or Apple ][) image has been selected for color mapping. As previously discussed "Hot Keys" can also be used.

These include:

Press [ALT][F1] To Change CGA BLACK
Press [ALT][F2] To Change CGA CYAN
Press [ALT][F3] To Change CGA MAGENTA
Press [ALT][F4] To Change CGA WHITE
Press [CTRL] 'C' For Custom Palette
Press [CTRL] 'B' For Bmp Palette Colors
Press [CTRL] 'P' For Pcx Palette Colors

For a full range of available "Palette Shop" menu options, start ClipShop and load one of the supported image formats (.BAS, .PIC, .PCX, or Apple .BIN) and experiment with each option.

<< Back to Top

What Goodies does the ClipShop Package Contain to Support Color Mapping?

Among other things, the ClipShop package comes with several practice palettes and a number of images that you can use to try-out the program features. See "Notes on Color Palettes" below for more details.

See Appendix A at the bottom of this page for a Packing List of the sample palette files.

Some Notes on Color Palettes used in ClipShop

Color palettes are files containing a series of color definitions.

The summary below should answer many if not most of your questions about using external palette files with ClipShop.

If you want to delve further into the ascii text format palettes, you can open the various sample palettes provided with ClipShop using a text editor like Windows Notepad.

Binary Palette Formats Supported

Adobe Color Tables (.ACT files) are used by Photoshop.

GIF Construction Set Color Maps (.CMP) are used by Alchemy Mindworks GIF Construction Set application.

Microsoft Windows palettes (.PAL files) are produced by a variety of programs. These are in RIFF format.

Text Palette File Formats Supported

The PaintShop Pro Palette File Format

Paint Shop Pro Palettes (.PAL files) are created using 'Save Palette' in the Paint Shop Program. Not sure what versions of PSP support this format, but probably versions 1-5 is my best guess.

PaintShop Pro has consistently used a common palette file version 0100 from its early versions to the present.

This format consists of 2 header lines, a color count line, followed by color specification lines in the form of RGB triples. The value range for red, green, and blue is from 0 to 255.

The NeoPaint Palette File Format

NeoPaint Palettes (.PAL files) are either created in the NeoPaint DOS Paint Program or the NeoPaint for Windows Paint Program.

The NeoPaint DOS File Format is a "native IBM 18 bit" RGB file format that uses RGB triple values from 0-63. This is known as a "6 bit color value" as opposed to the "8 bit color value" that is commonly used in today's standard 24-bit color model, including by the PaintShop Pro palette file version 0100.

The NeoPaint DOS palettes are different from Paint Shop Pro palettes by the fact that they use 6 bits of color information (values from 0-63) rather than 8 bits of color (values from 0-255). (And also, they have different header text.)

The top half of the NeoPaint for Windows palettes are the same format as the NeoPaint for DOS palettes, and use 6 bits of color information, preserving backward compatibility with the DOS version of NeoPaint. The bottom half of the file follows with a "duplicate" palette of 8 bit values, the same format for color specifications as that of a Paint Shop Pro .PAL file, allowing a higher resolution standard of 24 bit colors.

The Aldus PhotoStyler Palette File

If you have Aldus PhotoStyler Version 2.0, Palettes (.PAL files) can be found in the Photostyler palettes subdirectory. This subdirectory contains sample files that you can load into the Color Palette. Choose Load Palette... from the tool-drawer menu.

These are virtually the same format as Paint Shop Pro or Neo Paint, but are not interchangeable, because of minor differences. Photostyler also provides color files (.CLR files) that are stored under the Photostyler colors subdirectory. These include "spreads" and other interesting collections of assorted colors that are virtually the same format as the Photostyler palette files, but usually with fewer colors. Both file types are handled by ClipShop.

The GeoVu Palette File Format

GeoVu Palettes were originally used by a GeoPhysics application called GeoVu and have been adopted for use in ClipShop because they are easy for the user to create "by hand".

"Natural Color Names" are allowed for destination colors in our interpretation of these, so the user can map the CGA colors more easily, and partial palette files are accepted, which means that if the user only wants to change 1 color and combine it with the default colors, all they need to do is type-in a single line.

GeoVu is (or was) a GeoPhysical Data Browser application distributed by the National Geophysical Data Center. The GeoVu application supports a separate palette file format with a .pal extension. This file is a ascii text file. Each line in the ascii text file is a color specification.

The color specification is a line of four values separated by spaces: an index, red, green, and blue. The value range for red, green, and blue is from 0 to 255.

An example of a GeoVu VGA Style color palette:

0 0 0 0
1 0 0 170
2 0 170 0
3 0 170 170
4 170 0 0
5 170 0 170
6 170 170 0
7 170 170 170
8 85 85 85
9 85 85 255
10 85 255 85
11 85 255 255
12 255 85 85
13 255 85 255
14 255 255 85
15 255 255 255

Data Access Technologies and SoftWare Applications Team
Solid Earth Geophysics Division, E/GC1
National Geophysical Data Center
325 Broadway
Boulder, CO 80303
Phone:(303) 497-6472
Internet Mail: geovu@ngdc.noaa.gov
Web Home: http://www.ngdc.noaa.gov/seg/dataswat/

The Above Physical Address Info may no longer be valid (2007). Certainly the links are no longer valid, but I have left them in place for reference and to give credit where credit is due.

How The GeoVu Palette Format is Used by ClipShop

The GeoVu Palette format can be used in ClipShop as noted above, or in the CGA Palette 2 format noted below.

The problem with creating palette files "by hand" is that it requires too much typing, so ClipShop also allows some variations of this file format that are more "user friendly":

You can create the palette file in a text editor with RGB values for only the color indexes that you wish to change and ClipShop will add only those colors that you have changed to the existing 16 color current VGA palette.

However, even that is too much work, because you still need to know how the CGA Colors map to the initial VGA Colors inside of the ClipShop program. (They are not 1,2,3,4.) See the following for the actual default initial color mapping used by ClipShop:

CGA Color ClipShop Index Number Initial Color RGB

BLACK 0 BLACK 0 0 0
CYAN 9 LBLUE 85 85 255
MAGENTA 12 LRED 255 85 85
WHITE 15 BWHITE 255 255 255

To make the process of specifying a color value simpler, ClipShop will allow you to use "natural language" to point your RGB values to the correct initial VGA indexes for the color area of the CGA image that you are converting.

For Example, the following two palettes are equivalent

Palette 1.

0 0 0 0
9 85 85 255
12 255 85 85
15 255 255 255

Palette 2.

BLACK 0 0 0
CYAN 85 85 255
MAGENTA 255 85 85
WHITE 255 255 255

ClipShop saves its own CGA Palettes in the Palette 2 format noted above. Please see appendix B for more details.

If This is Too Hard

ClipShop works well without the use of external palette files.

And as previously noted, commercially generated palette files including the PaintShop Pro and NeoPaint Palette Files are also both supported, for those who want custom colors but don't want to bother typing.

<< Back to Top

Appendix A - Packing List

Palette Files

GeoVu - ClipShop Text Palette Files

..\ClipShop\PaletteFiles\GEOBLUE.PAL
..\ClipShop\PaletteFiles\GEOGRAY.PAL

PaintShop Pro Text Palette Files

..\ClipShop\PaletteFiles\JASC16.PAL
..\ClipShop\PaletteFiles\JASCBLUE.PAL
..\ClipShop\PaletteFiles\JASCGRN.PAL
..\ClipShop\PaletteFiles\JASCRED.PAL
..\ClipShop\PaletteFiles\JASCWIN.PAL

NeoPaint (DOS and WINDOWS) Text Palette Files

..\ClipShop\PaletteFiles\NEO16.PAL
..\ClipShop\PaletteFiles\NEOWIN16.PAL

Aldus PhotoStyler Text Files

..\ClipShop\PaletteFiles\ALDUSWIN.PAL
..\ClipShop\PaletteFiles\GOLD.CLR

Binary Palette Files

..\ClipShop\PaletteFiles\WINDOWS.ACT
..\ClipShop\PaletteFiles\WINDOWS.CMP
..\ClipShop\PaletteFiles\WINDOWS.PAL

<< Back to Top

Appendix B - Using CGA Palette Files in ClipShop

Palettes stored in a 16 Color VGA Palette format generated from a 4 Color CGA image will not work in ClipShop (see “What Doesn't Work “ ). Only ClipShop's own CGA Palette Files which are stored in a 4 Color GeoVu format will work.

Because ClipShop allows you to save a CGA Palette, you can remap a CGA BSaved Image by saving your color remapping as a CGA Palette File.

When you load the BSaved image in ClipShop, your saved palette will not automatically be used since this may conflict with your current palette selections, which are primarily targeted at supporting BSAVED to PIC or PCX color conversion and not the other way around.

When saving a palette for a BSaved Image File, select the image name itself from the .BAS File List that the Save Palette feature provides and your newly created palette file will have the same name as the BSaved Image and be stored in the same folder as the BSaved Image.

What Doesn't Work

If you create a palette file in NeoPaint from a 4 Color CGA PCX Image which provides 2 bits per pixel of color information, the palette is stored in a 16 Color VGA Format and will not work properly in ClipShop.

NeoPaint will also convert the same image from 2 bits to 4 bits if you re-save that image in NeoPaint. ClipShop will convert that same image back to CGA 2 bit format if you then resave it in ClipShop, reversing NeoPaint's conversion.


CGA Shop Menu Commands - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

CGA Shop Menu Commands

    Load and Reset
    Save and Print
    Convert from 16 Color Windows .BMP
    Other Conversion Options
    Convert between CGA Mode Graphics Screens
    PCX and BSaved to Pictor PIC Conversion
    Pictor PIC to PCX and BSaved Conversion
    PCX and BSaved Conversion
    Clipping and Cropping
    Converting to Apple ][ Images
    Saving to Fragments
    Saving to Commodore 64 Images
    Navigation
Load...

Load IBM BSaved, Pictor or PCX 4 Color Graphics Screen - Loads a CGA Mode 320 x 200 x 4 Color screen from disk.

Load IBM BSaved Etc Monochrome Graphics Screen - Loads a CGA Mode IBM BSaved, Pictor or PCX 640 x 200 x 2 Color Screen from disk. Also renders a standard 320 x 200 x 4 color screen in a "dithered" 640 x 200 x 2 color format.

Note: CGA Mode graphics images can also be loaded in MCGA Mode.

Load IBM BSaved Color Text Screen - Loads an CGA Mode 80 x 25 x 16 Color IBM "ANSI" Text Screen.

Current Screen Reset Options

Reload Current Image - Resets the current image after "mucking about" with different color combinations.

Switch Between Color and Monochrome - Displays the current monochrome image in Color Mode or vice-versa.

Reverse Monochrome (White To Black) - Displays a "negative" of the current screen.when a monochrome image is loaded.

<< Back to Top

Save...

Save as Large Scale BMP (CGAToBmp) - Saves the current CGA screen to a 640 x 400 x 16 color format Windows .BMP file.

Save as Small Scale BMP (CGAToBmp) - Saves the current CGA screen to a 320 x 200 x 16 color format Windows .BMP file.

Save as Thin Scale BMP (CGAToBmp) - Saves the current CGA screen to a 320 x 400 x 16 color format Windows .BMP file.

Save as Large Scale Pictor PIC (CGAToPIC) - Saves the current MCGA screen to a Large Scale 16 Color Pictor PIC file.

Save as Small Scale Pictor PIC (CGAToPIC) - Saves the current MCGA screen to a Small Scale 16 Color Pictor PIC file.

Note: The Pictor PIC format is the native file format of PCPaint, the first Paintbrush program for the IBM PC Family of computers.

Please see the PCX and BSaved to Pictor PIC Conversion topic for information on saving to true CGA mode Pictor PIC format rather than 16 color format.

<< Back to Top

Print...

Proportional - prints the Current Screen Proportionally

Fullpage - prints the Current Screen to the edge of the Page (Use Landscape orientation print option to get the largest size possible).

<< Back to Top

Convert from 16 Color Windows .BMP...

To CGA Scale BSaved Graphics Screen (BMPTOBAS) - Converts from a 320 x 200 or a 640 x 400 16 Color Windows .BMP file (back) to a 320 x 200 x 4 Color CGA Mode BSAVED Screen Image File.

To CGA Scale Pictor PIC (BMPTOPICTOR) - Converts from a 320 x 200 or a 640 x 400 16 Color Windows .BMP file (back) to a 320 x 200 x 4 Color CGA Mode Pictor .PIC File.

To CGA Scale PCX (BMPTOPCX) - Converts from a 320 x 200 or a 640 x 400 16 Color Windows .BMP file (back) to a 320 x 200 x 4 Color CGA Mode .PCX File.

Note: The MCGA Mode shortcut Menu also offers a conversion to a CGA Mode BSaved Image, Pictor PIC or PCX by remapping a 256 Color MCGA Mode image to 4 colors.

<< Back to Top

Other Conversion Options

Set CGA Conversion Colors To...

This submenu offers a number of options for color mapping of a Cga Mode BASIC Bsaved Image (or for remapping a CGA Mode Pictor PIC or PCX file) prior to converting to a CGA Mode 320 x 200 x 4 Color (or 2 Color Monochrome) Pictor .PIC or .PCX file.

Current Palette
ClipShop CGA Style...
CMW (Cyan Magenta White)
GRY (Green Red Yellow)
BRW (Blue Red White)
Pictor CGA Style...
CMW (Cyan Magenta White) Low
GRY (Green Red Yellow) Low
CRW (Cyan Red White) Low
CMW (Cyan Magenta White) High
GRY (Green Red Yellow) High
CRW (Cyan Red White) High
Monochrome...
Monochrome (Black and White)
Reverse Monochrome (White to Black)
Color Removal...
Remove Red (Red to White)
Remove Blue (Blue to White)
Remove Both (Both to White)

This submenu includes ClipShop's preselected equivalents of the 3 main standard color palettes for the "traditional" display of a CGA Mode image. Technically, BRW (Blue Red White) was displayed as CRW (Cyan Red White) on the IBM CGA Color Graphics Adapter.

Since the the humble BSAVED Image (which is a memory dump of the old IBM CGA Color Graphics Adapter) has no palette information, selecting CMW, GRY, etc when converting a BSAVED Image to the more compressed (and formal) Pictor .PIC or ZSoft .PCX equivalent provides the necessary standard palette information required for a more or less accurate conversion.

The Pictor PIC format CGA Mode palettes are hardware compatible palettes only, and unlike PCX palettes are not capable of storing actual RGB values. Due to this limitation, the Current Palette color mapping option will not work accurately when converting to a Pictor CGA PIC. If Current Palette color mapping is selected ClipShop will use the closest equivalent palette for Pictor CGA PIC conversion, with the default being CRW (Cyan Red White). The differences between the CGA Mode Pictor and PCX palettes are discussed in more detail below.

The Current Palette refers to the palette selected from the Palette Shop menu, but selecting any of these commands will render the Current CGA Mode Image for conversion to CGA Mode Pictor PIC or PCX, if the CGA Mode image is compatible "colorwise" with the command. Even if the Current CGA Image cannot be rendered to "echo" the conversion option shown, that option is in effect until some other menu option cancels it.

The conversion commands will also allow the selection of CGA Mode images other than the the current image for conversion. For more information, read about the conversion options below, or try converting one of the sample images that came with ClipShop

<< Back to Top

Convert between CGA Mode Graphics Screens...

Individual CGA Graphics Screen Conversion Commands

PCX and BSaved to Pictor PIC Conversion

CGA Scale BSaved to Pictor PIC (BASTOPIC)
CGA Scale PCX to Pictor PIC (PCXTOPIC)

BatchMode equivalents of the Above Commands are also on the menu. Use with caution.

Pictor PIC Conversion is not the same as saving to a Pictor PIC using the Save As... menu command. The difference is as follows:

Conversion will create a PCpaint Version 2 compatible CGA mode Pictor PIC as "faithfully" as possible to the conversion palette options that have been chosen. However, the CGA mode Pictor PIC has a "historically accurate" hardware dependent palette which offers a limited variety of 6 standard color palettes (all which can be selected from the conversion colors on the CGA Shop menu).

Conversely, Saving As... a 16 color Pictor PIC outputs an EGA Mode Pictor PIC and will more closely preserve the color hues that you have chosen, again within the hardware capabilities that the EGA has to offer using the "historically accurate" standard "ECD" (Extended Color Display) palette index chosen from the 64 EGA colors.

Alternately, if you decide that neither converting to a CGA mode Pictor PIC or saving to an EGA mode Pictor PIC will give you the color hues that you require, copy the CGA Image to the clipboard, paste into MCGA mode, then use the MGCA Mode Pictor Save, which will most accurately preserve the colors that you have selected, again in the "historically accurate" IBM hardware dependent format for the VGA of 18 bit rather than 24 bit color depth. Later versions of the Pictor PIC format stored 24 bits of color information, which ClipShop will load properly, but the palette format that ClipShop saves to in MCGA mode is in the earlier 18 bit format.

Unlike the PCX format which was developed after the Pictor PIC format and which usually "sported" a 24 bit color depth (which couldn't be used to its full potential on most of the display hardware of the day), Pictor PIC files were "honestly" mode dependent. At the time, this difference effectively made no difference at all despite the fact that opinions extolling the virtues of each approach were sometimes very strong.

Regardless of its supposed mode independence in usually implementing a 24 bit color model before it was useful, the original PCX header format was based on the EGA palette which only had 48 "slots" which was only enough space for the rgb values of 16 colors, so PCX ended-up extending its header by adding a "tailer" with a second palette tagged-on the end of the file to handle 256 colors. This "alternate" intrepretation to overcome design flaws in the PCX header format actually started when the PCX format was introduced. The original CGA PCX format broke the 24 bit color model and used 2 of the 48 EGA palette slots as an afterthought for CGA palette information effectively in an almost identical device dependent manner to the Pictor PIC CGA palette. Unlike the Pictor PIC CGA palette, PCX developers later abandoned their original CGA format palette scheme for a color ordered CGA variation on the EGA palette which was somewhat less confusing (and which further confounded the myth that PCX was "device independent").

By the time 24 bit color mattered, when 24 bit "TrueColor" images were commonly introduced in the early 1990's, and which ClipShop does not support, both Pictor PIC and PCX formats required additional changes to store a 24 bit image, and no longer required a palette at all. So as it turned-out the 24 bits of color information that were "designed" into the various versions of the PCX format were fundamentally useless except as reduced native mode values in a lower color resolution. In reality PCX is arguably just as mode dependent as Pictor PIC, has unused header information (except in 16 color images), and is arguably less elegant from a programming design point of view than the equivalent Pictor PIC format.

File compression is not significantly different between the two for a CGA mode image either; a fact that you can confirm for yourself if you are interested by using ClipShop to convert the same image to both formats and comparing the two.

<< Back to Top

Pictor PIC to PCX and BSaved Conversion

CGA Scale Pictor PIC to BSaved (PICTOBAS)
CGA Scale Pictor PIC to PCX (PICTOPCX)

BatchMode equivalents of the Above Commands are also on the menu. Use with caution.

Note: Converting a Color CGA Screen saved in the Pictor PIC format to a PCX will accurately store the color information from the Pictor PIC if the Current Palette color mapping option is selected. However, since the BSaved image format does not store palette information the palette of the converted Pictor PIC will be lost unless a palette is saved for the BSaved image using the Palette Shop menu to save the current palette.

<< Back to Top

PCX and BSaved Conversion

CGA Scale BSaved to PCX (BASTOPCX)
CGA Scale PCX to BSaved (PCXTOBAS)
CGA Scale Screen To PCX With COLORMAP (CGATOPCX)
CGA Scale Screen To EGAVGA Scale PCX (CGATOVGA)

BatchMode equivalent of the Above Commands

BATCHMODE CGA Scale BSaved to PCX (BASTOPCX)
BATCHMODE CGA Scale PCX to BSaved (PCXTOBAS)
BATCHMODE CGA Scale Screen To PCX With COLORMAP (CGATOPCX)
BATCHMODE CGA Scale Screen To EGAVGA Scale PCX (CGATOVGA)

Generally speaking, in CGA Mode, EGAVGA Scale PCX is a 640 x 400 Image.

The PCX With COLORMAP option takes a PCX which may not have a ColorMap (some don't), or which may have a "deprecated" ColorMap, and puts-in the ColorMap chosen by Set PCX Conversion Colors To... (See Above).

For any CGA PCX We use a Color Ordered 2 or a 4 color "version" of the EGA/VGA palette rather than attempting to use the original CGA color palette, which is described in the ZSoft PCX File Format Technical Reference Manual.

By Color Ordered, we mean that logical BLACK is Color index 0, logical CYAN (BLUE) is color index 1, logical MAGENTA (RED) is color index 2, and logical WHITE is color index 3 on a CGA PCX 4 color image. On a monochrome PCX image logical BLACK is Color index 0, and logical WHITE is Color index 1.

The reason that we do this rather than follow the original specs is because Earlier Versions of Windows Paint and NEOPaint can both load our 2 color and 4 color PCX files if we use this 2 or 4 color variation on the EGA/VGA Palette. It is the defacto standard.

Ever since PCPaintBrush IV, even ZSoft did not support the original CGA color mapping.(And Windows Paint in XP no longer supports PCX, period.)

You may have noticed that Color index begins with 0. This is programming terminology because in programming and hardware the first number in any index is always zero (0). The CGA Color image has 4 Color indexes as opposed to the EGA/VGA palette, which has 16 (0-15), and conversely the MCGA palette which has 256 (0-255).

<< Back to Top

Convert Color Text Screen...

Individual CGA Graphics Screen Conversion Commands

To Monochrome Bitmap (Windows BMP file)
To Text File
Compress BSV To PTX
Expand PTX To BSV

BatchMode equivalent of the Above Commands

BATCHMODE Compress BSV To PTX
BATCHMODE Expand PTX To BSV

In the 1980's, text screen images in the BSaved Format were used by programmers to design text-based user interfaces, and as a "capture format" from other text programs. Captured text screens could be edited, or used as slideshows for proof-of-concept and so-forth. Back in those days, many average users also did a little programming in the BASIC programming language and it was easy to load BSaved screens in a GWBASIC or QBasic program.

ClipShop comes with a number of sample BSaved CGA Text Screens.

<< Back to Top

Clipping (cropping) Commands

Converting from a 320 x 200 CGA Image to a smaller Image requires cropping (clipping) a smaller area from the CGA Image. Therefore you must select the area required for conversion as the first step in the conversion process, and when you are satisfied with the area chosen, the second step is to save the converted image to the target file.

Arrow-Keys as well as the mouse can be used to position the the clipping area.

<< Back to Top

CGA Image to Apple ][ Image

Select Area For 4 Color CGA Clip to AppleII Screen Conversion
Save CGA Clip to AppleII BIN File using BLUE ORANGE
Save CGA Clip to AppleII BIN File using VIOLET GREEN

Converting from a 320 x 200 CGA Image to a 280 x 192 Apple ][ Image requires cropping (clipping) the CGA Image size to the Apple ][ Image size. Therefore you must select the area required for conversion as the first step in the conversion process, and when you are satisfied with the area chosen, the second step is to save the converted image to the target Apple ][ .BIN file.

This .BIN file can then be put onto an Apple ][ .DSK (DiskImage) or onto an actual Apple ][ Disk, using one of the transport strategies available (Apple ][ Oasis is one of the programs out there that will build an Apple ][ .DSK for you, which later be run in an Apple ][ emulator. This whole topic of Apple ][ Emulators is beyond the scope of this help system but is also referenced in the AppleShop Menu documentation elsewhere in ClipShop Help.

To download an Apple emulator visit my Apple DiskImage Page or one of the links listed in the AppleShop Menu documentation.

The Apple ][ image that I create is a compromise in quality from an image that can be created on the Apple itself, just as my display of Apple ][ images is a compromise since you need a real Apple ][ to "fine tune" the image visually for best display quality, and you need a real Apple ][ for best display quality (period).

The Apple ][ itself uses all 6 colors (BLACK, WHITE, BLUE, ORANGE, VIOLET, and GREEN) but since a CGA Image only uses 4, and for programming reasons, I have always simplified my conversion from CGA to Apple ][ by using the color combinations that I have noted above.

When creating a CGA Image for conversion, it is best to use blocks of pixels 2 wide x 1 deep on even horizontal pixel boundaries, to avoid "anti-aliasing" color anomalies (as they are usually called). This is the "bleed-over" that you sometimes see on the Apple ][ image.

If you can avoid using CYAN (BLUE or GREEN) and MAGENTA (ORANGE or RED) in the same area, that is best, and better yet if you keep it simple. Stay away from WHITE backgrounds, and avoid putting your drawing elements too close together for best results.

<< Back to Top

CGA Image to CGA Text Screen

Select Area For 4 Color CGA Clip to Text Screen Conversion
Save 4 Color CGA Clip to Text Screen (.BSV) File.

ClipShop comes with a number of sample BSAVED Text Screens that have been created using this feature and a number of sample PCX Graphics Screens that are suitable for creating more of these.

<< Back to Top

CGA Image to CGA Graphics Image Fragment

Select Area For 4 Color CGA Clip to 88 x 52 Fragment Conversion
Save Image Fragment to ...
CGA Scale PCPaint Pictor (.CLP)
Screen Scale Windows Monochrome (.BMP)
EGAVGA Scale PCX Monochrome (.PCX)
CGA Scale PCX Monochrome (.PCX)
CGA Scale PCX Monochrome (.PCC)
CGA Scale C Putimage (.PIC)
CGA Scale BASIC BSaved (.PUT)

A CGA Image Fragment is effectively an "Old PrintShop" 88 x 52 "Minipix" image. The text equivalent is 80 x 50 in effective pixels, but since BSaved CGA Text Screens don't have pixels I use OEM DOS Text Characters to "pixelize" a facsimile of the original clipping area.

<< Back to Top

CGA Shop Menu and CGA Mode HotKeys

Most of ClipShop's CGA Shop HotKey commands are listed below. "Hot Keys" are noted beside the command on the top menu and ClipShop's other menus. This means that you can press the "hot key" on the keyboard, and the command will execute, the same way that it would from the menu. The "F KEYS" (Function Keys) [F1] to [F10] are used as "hot keys" in ClipShop but some are exclusive to PrintShop mode and don't work in other modes. The [ESC] (Escape) Key can be used at any time to quit the program.

The CGA Shop pulldown Menu (like the Apple Shop pulldown Menu) has no Hot Keys itself. Use the HotKeys in the Palette Shop menu instead for Both CGA Shop and Apple Shop color mapping features that are not on the CGA Shop or Apple Shop menus. Use the other available hotkeys throughout ClipShop's menus as they are appropriate to your needs.

The CGA Shop menu itself offers the most of the core commands as they apply to CGA Mode images. The Palette Shop menu offers more advanced commands related to Color Selection and so forth. Palette Shop does not apply to PrintShop images or MCGA Mode commands... only to CGA Shop and Apple Shop Image Modes.

The 4 main modes of ClipShop (PrintShop Mode, CGA Mode, Apple ][ Mode, and MCGA Mode) and a fifth sub-mode (Text Mode) are generally exclusive of each other. 3 of these (CGA Mode, Apple ][ Mode, and Text Mode) share the Palette Shop Menu commands as much as makes sense.

[ESC] Exit ClipShop

The [ESC] (Escape) Key can be used at any time to quit the program. (Careful about accidently hitting this key.)

<< Back to Top

The Toplevel "ToolBar" pulldown Menu and HotKeys

Some of the menu commands at the top of ClipShop's Menu Bar are not pull-down menus, but commands. This makes the job of remembering the "hot keys" much easier, since they are shown in plain view on their respective "toolbar" menu command. These are the commands that are related to advancing/selecting an image in PrintShop mode and in toggling Palettes in CGA and Apple ][ modes, and in copying an image to the Windows Clipboard in all modes.

[F2] Next Palette

This menu command advances to the next palette in logical palette sequence for CGA or Apple ][ images. When it gets to the end, it starts at the beginning again. There is no command for Previous, so if you accidently go past the palette that you wanted, you have to wait until you have gone through the entire series again or select from the Palette Shop menu which is feature-rich in color options.

A Variety of CGA Shop HotKey Copy Commands

Generally speaking the copy commands in CGA Shop, Apple Shop, and MCGA Mode are equivalent to the Save to BMP option.

You can choose a copy command from a variety of 3 clipboard copy commands, [F3], [F4], and [F5]. Each of these 3 commands are used to get different proportions for the appearance of the currently loaded image. Using 1 of the 3 commands, Copy the current image to the Windows ClipBoard. You can then Paste the image into your favorite Windows Paint Program or Word Processor (or back into ClipShop from the Shortcut Menu to start an MCGA Mode session).

[F3] Copy

The [F3] copy command will copy a 2X (double magnified) Image to the Windows Clipboard. This is the scale that you see in the ClipShop main window and is about the right size in order to properly see the Image in a Windows program. The graphics screens were not capable of high resolution display when these images were originally created, so by magnifying them 2X, they appear as they were originally intended (or close enough to it).

[F4] Thin Copy

The [F4] copy command will copy a 1X2 (double length) Image to the Windows Clipboard. 1X2 generally stretches the Image in a Windows program.

[F5] Small Copy

The [F5] copy command will copy a 1X1 (to scale) Image to the Windows Clipboard. 1X1 is generally too small to see detail in a Windows program. If you need a tiny image, this is a good command to use. This is actually the correct resolution for these, but (again) this is too darned small to see detail in a Windows program.

<< Back to Top

[F1] Help

Press [F1] at anytime during the program to display the help file.

[F6] About ClipShop

This is pretty much what you might expect. A dialog is displayed with a synopsis of ClipShop and if you have Registered ClipShop, your User information will be displayed here as well. (If you have not yet Registered ClipShop, you have only 30 days from the date of the first installation to do so before ClipShop ceases to function.)


Apple Shop Menu - ClipShop © Users Manual CopyRight Bill Buckels 1991-2007

The AppleShop Menu

    Basic Functionality
    Apple ][ Graphics Extractor
    Apple ][ PrintShop converter
    Apple ][ Disk Images
    Converted PrintShop File Naming
    The Apple ][ Minipix Format
Basic Functionality

The ClipShop Apple Shop menu has 3 main functions:

- Edit and View converted Apple ][ Full Screen Images in Color or Monochrome
- Extract and Convert Apple ][ Full Screen Images to IBM Formats.
- Extract and Convert Apple ][ PrintShop Graphics to IBM Formats.

Save, ClipBoard, and Print Options

The core options in the Apple Shop Menu are similar to the CGA Shop Menu options, although the CGA Shop Menu supports additional options that did not make sense for Apple Shop. Apple Shop Core Options are as follows:

- Copy to ClipBoard
- Save Full Screen Image to 16 Color Windows BMP
- Save Full Screen Image to 16 Color PCPaint Pictor PIC
- Re-Palettize Full Screen Screen Image prior to Copy, Print or Save
- Print Current Screen (Full Page or Proportional)

Note: The CGA Shop Menu offers an IBM to Apple ][ Full Screen conversion option to create Apple ][ Color Screens from an IBM 4 Color CGA Mode Screen.

<< Back to Top

The Apple ][ HIRES Full Screen graphics file extractor

The Apple ][ PrintShop graphics file extractor requires the that you have Apple ][ Disk Images (.DSK Files) in Apple DOS 3.X format containing Apple ][ HIRES Graphics files on your computer. These are freely available on the Internet from a variety of sources that are mentioned below.

In order to use the HIRES graphics on an Apple ][ Disk Image (.DSK File) with ClipShop, they must first be extracted and saved to individual IBM disk files which can then be individually loaded into ClipShop for viewing, etc.

Here's what you need to do:

First select the .DSK file from the AppleShop Menu and if the .DSK file is in a supported DOS 3.X format, ClipShop will make an educated guess (based on file size and file type) as to whether the Disk Image contains HIRES graphics.

If so, the graphics will be extracted to the same directory as the .DSK file. After extraction, you will need to load each individual file into ClipShop, where you can review, remove, rename, edit and clip your converted Apple graphics to your heart's content.

<< Back to Top

The Apple ][ PrintShop graphics converter

The Apple ][ PrintShop graphics converter requires the that you have Apple ][ Disk Images (.DSK Files) in Apple DOS 3.X format containing Apple ][ PrintShop Graphics in the Apple ][ Minipix Format on your computer. These are freely available on the Internet from a variety of sources that are mentioned below.

In order to use the PrintShop graphics on an Apple ][ Disk Image (.DSK File) with ClipShop, they must first be converted and saved to the 1985 IBM version of The Print Shop® format ("Old PrintShop" .DAT and .NAM files), which ClipShop automatically does for you "behind the scenes".

Here's what you need to do:

First select the .DSK file from the AppleShop Menu and if the Disk Image is in a supported DOS 3.X format, ClipShop will make an educated guess (based on file size and file type) whether the Disk Image actually contains Prinstshop Graphics in a supported format.

If so, the graphics will be converted to "Old PrintShop" .DAT and .NAM files of the same base filename as the .DSK file and loaded into ClipShop, where you can review, remove, rename, and clip your converted Apple graphics to your heart's content.

ClipShop will convert any and all 88 x 52 Apple ][ PrintShop Graphics in both "Old PrintShop" and "New PrintShop" Apple ][ Minipix Format if they exist on the Apple ][ Disk Image.

But ClipShop may sometimes add extra "bogus" files during conversion since there is no way to guess correctly all the time if these files are in the correct format, and you will need to delete the bogus pictures from your converted graphics after you get them into ClipShop. You will know which ones they are because the bogus picture (if any) will just be a splotchy mess.

<< Back to Top

Apple ][ Disk Images and PrintShop Graphics

Apple ][ Disk Images are used in emulator programs that actually run like an Apple ][. Not all Apple ][ Disk Images (.DSK Files) contain PrintShop Graphics, but some do.

The Broderbund Print Shop® was widely used on the Apple ][, and many Apple ][ Enthusiasts will remember both how popular it was, and the great number of graphics that were freely available for The Print Shop®.

Fortunately for all the Apple ][ PrintShop enthusiasts, the proliferation of these great little graphics has been preserved by the Apple ][ emulator enthusiasts for harvesting by hordes of ClipShop users who might wish to paste them into Windows for whatever reason.

Here's some links for Apple ][ .DSK Images:
    Apple ][ Links

    Faster
    ftp://ftp.apple.asimov.net/
    ftp://ftp.apple.asimov.net/pub/apple_II/
    Mirror Sites
    Asia Pacific:
    ftp://ftp1.au.apple.asimov.net/pub/apple2/
    http://ftp1.au.apple.asimov.net/pub/apple2/
    Other
    http://public.planetmirror.com/pub/apple2/
If you wish to actually run Apple disk images in Windows XP you can do so in an Apple emulator program. To download an Apple emulator visit my Apple DiskImage Page or visit one of the links above.

<< Back to Top

Converted Apple ][ PrintShop File Naming

The DAT and NAM files that are used with the 1985 IBM version of the "Old" Print Shop® program must be prefaced with the two letters GR. This is why the names of the clipart libraries in this format typically began with with a "GR" prefix.

I am no longer following this naming convention, and I am supporting long filenames, so if your Apple .DSK file has a long descriptive name, so will your .DAT and .NAM files.

Bill Buckels, 2007

<< Back to Top

The Apple ][ Minipix Format

When The Print Shop® first appeared on The Apple ][, the only type of graphics it used were small 4 sector DOS3.3 files, called minipix. Because the range of them built into The Print Shop® was limited, people drew their own, using the print Shop Graphic Editor, and soon these little 88x52 pictures were everywhere. There were disks and disks, just packed with them. The storage format was quite simple, basically just a bit mapped image, with every 11 bytes of the file mapping to one line of 88 dots on the screen. An extra 4 filler bytes were tacked on the end of each mini-graphic file. Each file held only 1 mini-graphic. 52 lines x 8 bytes + 4 = 576 bytes. Now when "The New Print Shop" came along, you could convert these little graphics to the new format. It turns out that all that was done to each graphic to convert it, was a small header was placed at the start, and the 4 filler bytes were dropped from the end, and so 576 byte graphics became 605 byte "NPS" compatible graphics.


Commodore 64 Images in ClipShop - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

Commodore 64 Graphics
Support and Formats

    Introduction
    Formats Supported
    Colors and Palettes
    Saving from MCGA or CGA to C64
    Tips for Saving
    Splitting Commodore Images
    Saving Commodore Image Fragments
    Specifications Commodore 64 and 128
Introduction

Support for Commodore 64 (C64) Graphics Image formats in ClipShop is provided for loading and saving a variety of uncompressed image formats that were popular in the days of the Commodore 64 in the 1980's and 1990's. C64 images are loaded in MCGA Mode (from the File Shop Menu) and can be saved either in MCGA Mode (from the File Shop Menu) or from CGA 4 Color Images in CGA Mode (from the CGA Shop Menu).

The MCGA mode save option uses a color remapping scheme that will attempt to match any MCGA mode image to the nearest color in the C64 16 color palette. The MCGA mode save option is limited to HIRES color and Multicolor formats. When saving an MCGA mode screen with a resolution of greater than 320 x 200, the saved image will be scaled from the maximum MCGA display size of 640 x 400 so some detail will be lost.

The CGA mode save option uses CGA Mode conversion palettes but only provides a maximum of 4 colors. The CGA mode save option is limited to HIRES color and monochrome formats and treats all colors except black as white when saving to monochrome.

When saving to C64 HIRES formats the 2 most dominant colors in any 8 x 8 cell will be used. When saving to C64 Multicolor formats the background color defaults to black, and up to 3 most dominant additional colors in any 4 x 8 cell will be used. The other colors are "thrown away". This is due to the limitations of the C64's color display in HIRES color and Multicolor modes.

ClipShop's support for native resolution when loading and displaying C64 images is limited to widths of 160 or 320 pixels, depending on the image type, and a display height of 200 scanlines (and a maximum of 16 colors depending on the image type). This was the nominal display specification on the C64 when it first appeared. Some later models of the Commodore provided support for images with greater resolutions and more colors. These are not supported in ClipShop.

When displaying a C64 image, ClipShop's Display size is fixed at 640 x 400 (Double Scale). A fullscreen preview is available by pressing the spacebar.

Although the C64 images in the formats that ClipShop supports have a two-byte header, some C64 images that you may download from the internet or get from other sources may have this header removed. ClipShop will load these anyway, despite the missing header. The C64 Images that ClipShop saves have this two-byte header.

As noted below Saving Commodore Image Fragments is also supported from the PrintShop Menu and Splitting Commodore Images for Commodore Emulator Enthusiasts is also included in ClipShop from the FileShop Menu..

<< Back to Top

Formats Supported

ClipShop supports a large number of uncompressed C64 Image Formats, each with slight differences in file structure. Several more uncompressed formats exist that ClipShop does not support, only because I haven't taken the time to research them and*or the information I had on loading them was incomplete or in practice did not match the documentation that I had when I added C64 image support to ClipShop.

The following C64 Image formats are supported:

Hires-Formats: These images consist of a bitmap and in some cases a videoram (colors). Images with a filesize of 9002 bytes or greater have a videoram. The resolution is 320x200 pixels made up of cells of 8 pixels wide by 8 scanlines deep. Each pixel in a cell can have one of 2 colors from from the 16 colors in the currently loaded C64 palette. Hires-Formats are supported for loading and saving. Colored HIRES formats are supported for saving in both MCGA and CGA modes.

Image Type (File Type) | Description | File Size (with header)
*.ART | Art Studio | 9009
*.DD | Doodle | 9218
*.FGS | FGM-Screen (Fun Graphics Machine, Hires) | 8002
*.GCD | Gigacad (Hires) | 8194
*.GIH | Gigapaint (Hires) | 8002
*.HED | Hi-Eddi | 9218
*.HIR,*.HBM | Hires-Bitmap | 8002
*.IPH | Interpaint (Hires) | 9002
*.ISH | Image System | 9194
*.MON | Mono Magic | 8194

Multicolor-Formats: These images consist of a bitmap, a videoram (colors), a colorram (colors) and a background color. The resolution is 160x200 pixels made up of cells of 4 pixels wide by 8 scanlines deep. Each pixel in a cell can have one of 4 colors from from the 16 colors in the currently loaded C64 palette. Multi-Color formats are supported for loading and most are supported for saving (in MCGA mode only). The coarse resolution results in some loss of detail when saving.

Image Type (File Type) | Description | File Size (with header)
*.A64 | Artist 64 | 10242
*.CDU | CDU-Paint | 10277
*.CWG | Create with Garfield | 10007
*.DOL | Dolphin Ed | 10242
*.DRZ | Drazpaint | 10051
*.FPT | Face Painter | 10004
*.GIG | Gigapaint Multicolor | 10003
*.IPT | Interpaint Multicolor | 10003
*.ISM | Image System Multicolor | 10218
*.KOA | Koala Painter | 10003
*.OCP,*.ART | Advanced Art Studio | 10018
*.P64 | Picasso 64 | 10050
*.PI | Blazing Paddles | 10242
*.PMG | Paint Magic | 9332
*.RP | Rainbow Painter | 10242
*.RPM | Run Paint | 10006
*.VID | Vidcom 64 | 10050

<< Back to Top

Colors and Palettes

There has been a great deal of debate amongst C64 enthusiasts as to how the C64 should display in Windows. ClipShop provides 5 preset palettes that have been used by other programs or have appeared in articles on the topic, but if you cannot get the precise color rendering that you wish even with one of these, ClipShop's standard MCGA Mode color remapping can be used to fine-tune individual colors by left-clicking the mouse over the color you wish to change.

The following preset 16 Color C64 palettes are provided for Loading C64 Images:

Windows Style - This is the default. The colors in this palette do not accurately match the native colors in the C64 display, but render more brilliantly in Windows.

Web Style - The colors in this palette do not accurately match the native colors in the C64 display, and are darker than Windows Colors but render more effectively on some images.

Gamma Corrected - This is an accurate native mode rendering of C64 colors and in many cases will appear too dark in Windows.

Raw - This is an accurate native mode rendering of C64 colors before Gamma Correction and in many cases will appear too dark in Windows.

Emulator Style - This is the rendering of C64 colors used by a popular emulator, and in many cases will appear too dark in Windows.

Reverse Black and White - this option is provided because some C64 black and white images have been saved with the two colors reversed resulting in a negative image. Selecting this option will not change the currently selected C64 palette, except to reverse black and white.

<< Back to Top

Saving from MCGA or CGA to C64

C64 images are loaded in MCGA Mode, and HIRES color and Multicolor C64 images can be saved in MCGA Mode from up to a 256 color MCGA mode source image (which will have those colors reduced to a maximum of 16 colors). The MCGA mode greyscale effect can also be used prior to saving on some images with many colors which may provide interesting results.

As an additional option, C64 HIRES images can be saved (converted) from CGA 4 Color Images in CGA Mode (from the "Save CGA Screen to C64 Screen" SubMenu on the CGA Shop Menu).

Multi-Color formats are supported for saving in MCGA mode only. The coarse resolution (160 x 200) results in loss of detail when saving even from a 320 x 200 4 Color IBM CGA screen but provides better overall conversion than CGA to Apple II image conversion by comparison.

The standard preset CGA conversion colors are used to save C64 images from CGA screens when in CGA mode.

Before Saving a C64 Image in CGA mode - select the CGA conversion colors that you want to use from the CGA Shop menu. When ClipShop saves the C64 image, the colors will be automatically converted to the closest C64 equivalent if the format that you are saving to supports Videoram (colors). If you are saving to a C64 monochrome format all colors except black will be mapped to white.

The commands to convert to formats like "Art Studio" and "Doodle" that support Videoram (colors) are at the top of the "Save CGA Screen to C64 Screen" SubMenu. The commands below the separator on the SubMenu like "Basic Hires Bitmap" do not support Videoram, and will be saved as black and white only.

C64 Hires Images (the highest resolution that ClipShop saves) are organized in 8 x 8 Color Blocks. If there are more than two colors in an 8 x 8 color block in the CGA source image that you are saving from, some colors will be thrown away when saving. On complex images this will result in some loss of detail, but the predominant colors will be retained in their closest C64 equivalent. Overall, the conversion on simple images will be fairly accurate, keeping in mind the limitations of the C64 display.

The MCGA mode save option supports both HIRES color and Multicolor formats which may provide you with better results on some images.

<< Back to Top

Some Tips for Saving

Keep your source image simple.

Too many colors in a small area or too much detail in images with more than two colors on HIRES images or four colors on Multicolor images will probably result in a lossy and "blocky" C64 image. When saving HIRES images use only 2 colors in areas containing text to maintain readability. Consider the image as a collection of 8 x 8 pixel blocks that can only contain two colors when doing layouts for HIRES C64 conversion.

ClipShop can do "round-trip" editing of existing C64 Images.

Use Windows Paint to remove unwanted areas of a source image or to add text etc.

You can always paste a CGA or MCGA Mode screen into Windows Paint or other Windows paint programs for editing, "clean-up", and other fussy-bits, and then back into ClipShop after editing before saving to a HIRES color or Multicolor C64 Image in MCGA mode.

Saving to C64 from the other formats that ClipShop supports is a compromise which I have automated as much as possible.

Images that convert well to CGA Mode will survive conversion to C64 completely intact if they are black and white, and usually almost intact if the colors are grouped in simple blocks. Otherwise these can be edited on the C64 or in a more specialized Windows C64 editor like ConGo and the colors and detail can be fine-tuned.

As noted above, my decision to adopt a general purpose and simple technique to convert to C64 formats provides a quick conversion with good overall results without much fussing. All 16 colors can be used when saving HIRES color and Multicolor formats in MCGA mode and in fact "round trip" editing of existing HIRES color and Multicolor formats in MCGA mode can be 100 percent effective.

Use other C64 image editors if you are not satisfied with ClipShop's results.

I do not say this to diminish ClipShop's results, but at least one more complete (and complicated) editor than ClipShop exists for C64 Images; ConGo (Converter for GoDot), a graphic viewer and converter for (mainly) Commodore C64 images written by Matthias Matting.

It has some really neat features that to an expert user might make ClipShop's General Purpose support for C64 Images seem like a "parlour trick". ClipShop is complicated enough for most folks as far as I am concerned, but for an expert user who would prefer more specific control and additional features I would recommend giving ConGo a try.

<< Back to Top

Splitting Commodore Images

This feature is provided in ClipShop primarily for Commodore Emulator Enthusiasts who use the VICE Emulator. When this command is selected from the FileShop Menu, and you select a C64 Image, a file package will be created for you which includes a loader program and the split pieces of the original image. If it was originally a Multi-Color Image the split Image will also be Multi-Color, otherwise it will be HIRES.

The file package will be created in a subfolder of the folder that contains the original image. The subfolder is always called "c1541". If you have the c1541 utility that comes with the VICE emulator installed and on-path, you can run the batch file that is created with the file package to create a d64 disk image by clicking on the batchfile.

ClipShop does not load these split images. They are created for Commodore Emulator Enthusiasts as previously noted as a fun activity to help keep them occupied with re-living their past, and there is really no purpose in inflicting the rest of us with yet another C64 Image Format.

I didn't want to get into a licencing conflict with VICE over creating a derivative work, so I didn't add direct support for any part of VICE to ClipShop except to provide a batch file to use with VICE, which can hardly be considered derivative since VICE didn't invent either batchfiles or the command line interface. VICE is an amazing and fun emulator and already has all the features you need without any help from ClipShop anyway, so use VICE to load them after you use ClipShop to create your C64 graphics.

For more information on the VICE Emulator visit the VICE Website, and download yourself a copy. For more information on splitting Commodore 64 Images, try some and review the "c1541" sub-folder for the results. When you create a d64 image with these and load it into VICE, you can also list and run the loader for additional info.

<< Back to Top

Saving Commodore Image Fragments

This feature is provided in ClipShop primarily for Commodore Emulator Enthusiasts who use the VICE Emulator. When this command is selected from the ShopSave command on the PrintShop Menu, a file package will be created for you which includes a loader program as well as an image fragment in C128 HIRES Bloadable format.

The file package will be created in a subfolder of the folder that contains the ClipArt library that is currently loaded. The subfolder is always called "c1541". If you have the c1541 utility that comes with the VICE emulator installed and on-path, you can run the batch file that is created with the file package to create a d64 disk image by clicking on the batchfile.

ClipShop does not load these C128 Image Fragments. They are created for Commodore Emulator Enthusiasts as previously noted as a fun activity to help keep them occupied with re-living their past, and there is really no purpose in inflicting the rest of us with yet another C64 Image Format.

I didn't want to get into a licencing conflict with VICE over creating a derivative work, so I didn't add direct support for any part of VICE to ClipShop except to provide a batch file to use with VICE, which can hardly be considered derivative since VICE didn't invent either batchfiles or the command line interface. VICE is an amazing and fun emulator and already has all the features you need without any help from ClipShop anyway, so use VICE to load them after you use ClipShop to create your C64 Image Fragments.

For more information on the VICE Emulator visit the VICE Website, and download yourself a copy. For more information on Commodore Image Fragments, try some and review the "c1541" sub-folder for the results. When you create a d64 image with these and load it into VICE, you can also list and run the loader for additional info.

<< Back to Top

Specifications Commodore 64 and 128

Graphics

Strictly speaking all the uncompressed Graphics File Formats on the Commodore 64 (C64) and 128 (C128) (and there were many) were in a variation of the BSAVE graphics image format because the Commodore stored all binary files (including Graphics) with a two-byte header which provided the file's originating load address. However, because most of these could not be BLoaded directly into the video areas of the C128 they really are a little too advanced to be considered as BSaved graphics images in the same context as on the IBM-PC and Apple II computers of the same vintage.

C64's did not provide a BSAVE nor a BLOAD command with their version of the Commodore BASIC language (Version 2). It wasn't until the release of Commodore BASIC 7 on the C128 that the BSAVE and BLOAD commands and the BSAVE graphics image format came into existence on the C128.

Technically the standard HIRES graphics mode on the C128 was the same as on the C64 except that the default address in RAM where videoram (HIRES colors) are stored on the C128 directly preceded the default screen address (unlike the C64). This made loading a single BSAVE graphic file in either a monochrome or color format possible on the C128.

Resolution and Pixel Blocks

The two primary graphics mode resolutions that both the C64 and C128 shared were 320 x 200 (HIRES) and 160 x 200 (Multi-Color Mode). Both modes provided selection of colors from a standard built-in palette of 16 colors.

In HIRES mode, the screen was broken-down in blocks of 8 pixels x 8 scanlines. Pixels of two colors from the 16 color palette could be displayed in each block.

In Multi-Color Mode, the screen was broken down in blocks of 4 pixels x 8 scanlines. Pixels of 4 colors from the 16 color palette could be displayed in each block.

However due to the fact that only 2 colors could be stored in the standard memory area shared by HIRES mode, a separate area of RAM was used to store the other two colors which was not contiguous with the default screen address and which was fixed (even the C128). This meant that a separate BSAVE file containing the remaining 2 colors was required to BSAVE and BLOAD these on the C128 (keeping in mind that the C64 did not support the BSaved format).

This is somewhat similar to the loading of multiple BSaved files on the IBM PC's EGA, VGA, and MCGA Modes.

File Format

The size of a HIRES Monochrome BSAVE image without the two byte header was 8000 bytes (the same size as visible screen memory), and was "linearized". The many file extensions possible included .HIR and .HBM, if a file extension was used at all.

The size of a HIRES Color BSAVE image (of the uncompressed type produced by DOODLE) was 9024 bytes (the same size as videoram plus visible screen memory) without the two byte header, and was "linearized". The file extension was .DD, if a file extension was used at all.

Other variations of HIRES and even Multi-Color BSaved formats could be produced from compatible graphics formats by splitting them into uncompressed pieces with BLoadable addresses. If a split graphics image was used it was generally split into an 8000 byte bitmap and 1000 byte videoram (2 colors) for HIRES mode, and with a third file, a 1000 byte colorram (2 colors), for Multi-Color Mode.

Like all BIN (Binary) files on the C64 and C128, the files had a binary header of 2 bytes (1 integer). The header gave the load address for the file, and the length was already known to BASIC 7. The default load addresses on the C128 were $2000, $1C00, and $D800 for bitmap, videoram, and colorram respectively.

Generally speaking, the popular uncompressed Multi-Color (4 Color) formats produced by the Paintbrush programs of the day could not be BLoaded without splitting them (in a separate program) and performing an additional operation of putting a background color which was stored elsewhere in the orginating file into the 1000 high-nibbles of colorram.

Since the screen address on the C64 and C128 was relocatable, the screen address could be detected and used by the loader program when BLoading these split files.

Rasters (scanlines)

The rasters in a C128 BSAVED image are not contiguous, but are in a simple sequential order of pixel blocks (as noted above). They match the video memory on the C128 which in its standard modes was uncomplicated except for its pixel block orientation.

Because of the slow processor speed of the C128 combined with slow storage access, when a HIRES image loaded it was displayed in 25 passes of 40 chunks creating a choppy effect. If the HIRES image had colors it was often blurry and not recognizable since the colors loaded after the image was already being displayed leaving the user with nothing to do but wait until it was finished.

Pixels (colors)

The standard available colors in a C128 image are BLACK, WHITE, RED, CYAN PURPLE, GREEN, BLUE, YELLOW, ORANGE, BROWN, LIGHT RED,DARK GREY,MEDIUM GREY,LIGHT GREEN, LIGHT BLUE,and LIGHT GREY. Pixel color is represented by 2 bits in HIRES mode and 4 bits in Multi Color Mode. But as indicated above, not all 16 Colors can be displayed in a pixel block.

BLOAD Examples

The following Commodore BASIC 7 program loads a BSAVED HIRES Monochrome Graphics Screen on the C128 then sets each of the colors for the 1000 pixel blocks to black and white, waits for a keypress and ends. No colors are stored in the image. The load address in the image is at the start of display memory at $2000.

1 REM This source code is herewith released
2 REM by me into the Public Domain.
3 REM Bill Buckels, August 19, 2007
10 GRAPHIC 1,1
20 BLOAD "ERINLOG.HIR"
24 REM POKE I,16 will reverse video
25 FOR I = 7168 TO 8167:POKE I,1:NEXT I
30 A$=""
40 GET A$
50 IF A$ = "" THEN 40
60 GRAPHIC 0,1
70 END

The following Commodore BASIC 7 program loads a BSAVED HIRES Colored Graphics Screen in DOODLE uncompressed format on the C128, waits for a keypress and ends. The load address in the image is at the start of C128 videoram at $1C00 directly before screen memory at $2000. No color setting is required since the colors are stored in the image and are loaded directly into the C128's HIRES color memory (videoram).

1 REM This source code is herewith released
2 REM by me into the Public Domain.
3 REM Bill Buckels, August 19, 2007
10 GRAPHIC 1,1
20 BLOAD "ERINLOG.DD"
30 A$=""
40 GET A$
50 IF A$ = "" THEN 40
60 GRAPHIC 0,1
70 END

The following Commodore BASIC 7 program loads a BSAVED Multi-Colored 4 Color Graphics Screen in 3 separate BSaved Files (a split image) on the C128, waits for a keypress and ends. The load address in the 3 files are $2000 for bitmap, $1C00 for videoram, and $D800 for colorram respectively. No color setting is required since the colors are stored in the videoram and colorram and are loaded directly into the C128's RAM memory.

10 GRAPHIC 3,1             :REM  MULTICOLOR GRAPHIC MODE
20 A=PEEK(1): B=PEEK(216)  :REM  SAVE THESE
30 POKE 216,255            :REM  TELL IRQ TO GIVE US VIC CONTROL
40 POKE 1, A AND 252       :REM  SELECT PROCESSOR NYBBLE BANK
50 BLOAD "ERINLOG.BMC"     :REM  LOAD BIT MAP AT $2000
60 BLOAD "ERINLOG.VMC"     :REM  LOAD COLORS 01 AND 10 AT $1C00
70 BLOAD "ERINLOG.CMC"     :REM  LOAD COLORS 11 AT $D800
80 POKE 1,A                :REM  RESTORE SYSTEM NYBBLE BANK
90 POKE 216,B              :REM  RESTORE SYSTEM VIC CONTROL
100 K$ = ""
110 GET K$                 :REM  WAIT FOR A KEYPRESS
120 IF K$ = "" THEN 110
130 GRAPHIC 0,1            :REM  TEXT MODE
140 END


MCGA Mode Menus and Images - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

MCGA Mode Menus and Images

    Introduction
    MCGA Mode Menu Commands
    HotKeys in MCGA Mode
    Display Considerations
    Commodore 64 (C64) Images
Introduction

When I was rewriting ClipShop for Windows XP and adding the routines for the 320 x 200 CGA screen image formats, it slowly dawned on me that I should support all the 320 x 200 older Image Formats that I had used throughout my earlier days as a graphics programmer. The older 320 x 200 x 256 Color graphics files that we used in those days were displayed in a native screen mode called MCGA (Multi Color Graphics Adapter). So I dubbed the Menu Commands "MCGA Mode".

As I added further image support I stayed with the name... perhaps out of nostalgia, but more likely because I reduce my image conversion and display to 256 colors with a base resolution of 320 x 200 although I double this resolution to 640 x 400 for most of my display and copy and paste routines.

My intention never was to write a better paint program... I would find that quite difficult with the excellent software that is out there and has been for many years. My intent was and is to offer migration and conversion of now obsolete graphics.

MCGA Mode eventually became the "Kitchen Sink" of ClipShop.

<< Back to Top

MCGA Mode Menu Commands

MCGA Mode is the "Kitchen Sink" in which all ClipShop image formats converge.

When I rewrote ClipShop for Windows XP and expanded ClipShop's menus, I designed a series of Shortcut menus that correspond with the currently selected commands from the pulldown menus at the top of ClipShop's Main Window. MCGA Mode is available from any of these shortcut menus if you are not already in MCGA mode, or from the FileShop pulldown Menu at the top of the ClipShop Main Window

ClipShop pulldown Menus map to the 4 main image types that ClipShop works with, and these image types can all be used together when in MCGA mode:

FileShop - Newer (and older) Images (2 Color, 16 Color, 256 Color, and 24 bit BMP Files). Also Bsaved Images (4 Color and 256 Color), PCPaint Pictor .PIC and .CLP files (2 Color, 4 Color, 16 Color, and 256 Color), extraction of Pictor .PIC and .CLP files from a GRASP .GL library, Pictor PAL files, and assorted (2 Color, 4 Color, 16 Color, and 256 Color) PCX files.

PrintShop - Old ClipArt (Mostly in the 88 x 52 Old PrintShop Format).

CGA Shop - IBM CGA Mode Screen Images (Mostly of the 320 x 200 x 4 Color Variety).

AppleShop - Apple ][ HIRES Screen Images (280 x 192 x 6 Colors).

Besides offering conversion to Windows BMP and "back-again", MCGA Mode also provides a number of novel composition features within the reasonable (and sometimes unreasonable) limits of each image format.

Whether you are in MCGA Mode or not, I have used ShortCut Menu commands to enhance ClipShop's somewhat chaotic editing and conversion features in an attempt to make this strange combination of old and new image formats a little more manageable.

You can read about Shortcut Menus elsewhere in this help documentation for additional information about MCGA Mode editing features but since experience is the best teacher, I have not gone into exhaustive detail about using the menu commands. I urge you to try them and achieve a better understanding as to both their use and usefulness.

Commodore 64 (C64) Images in several formats are also supported for loading and saving in MCGA Mode (and for saving in CGA Mode and even as ClipArt image fragments). These are handled a little differently by ClipShop than the 4 main image types noted above for no particular reason except that it made more sense to me to add them selectively where I did to the existing menus.

<< Back to Top

HotKeys in MCGA Mode

I am not listing the hotkeys, since they are already noted where and when they apply on all of ClipShop's menus.

<< Back to Top

MCGA Mode Display Considerations

When rewriting ClipShop I had 2 logical choices... unless I wanted to get busy and display non-paletized images in True Color and scale to a variable scale with resampling... ("tweening") which would have made backward compatibility with bit encoding of too many in-between ("tween") colors even harder to consider based on ClipShop's conversion features...

1. Display Old Images in their original resolution on a representative Windows Resolution which is usually a VGA Apect of 4:3. This is the choice I picked... and aside from resulting in a slight squashing of CGA/MCGA mode resolutions really produces good results.

2. My other choice which doesn't work really well from past experience was to expand CGA Resolution by 2 (640 x 400) then to insert a double line each 0, 7, and 15 scaling up to a 16:19 vertical ratio which i s effectively 640 x 480 but distorts the image elements vertically if they fall on a "fat" line. The text is readable, but the result is not as effective for graphics.

Generally speaking, I expand any image that I load in MCGA Mode to 640 x 400 x 256 colors, and this works well for most older formats, because for them, this is the greatest common denominator for both colors and resolution when displaying in Windows. They never looked so good "back in the day".

I make compromises when loading a screen wider and longer than ClipShop's 640 x 400 window. I just clip the image at the bottom and to the right if it is oversize, and center it if it isn't. I scale the image up by 2 if it is 320 or less in horizontal resolution or 200 or less in vertical resolution.

<< Back to Top

Aspect and Proportion

Although it all works pretty well, some understanding is necessary on Historical Screen Aspect (Proportion).

I center the image in the frame if it is proportionately different than 320 x 200 (CGA Aspect is 8:5 and so is MCGA).

640 x 480 is True Vga Aspect (8:6 or more correctly 4:3) which we do not support properly. I just clip the bottom 80 scanlines and fit the rest in the ClipShop Main Window.

640 x 200 is CGA Hires Aspect of 16:5 which is just plain wierd but orginates from using the display memory of 1 bit of CGA for 2 bits of MONO and has always resulted in squashed images when displayed in other modes. These display correctly in ClipShop.

The Apple ][ resolution of 280 x 192 displays fairly well in Windows. The screen aspect is 35:24 (3:2 approximately).

EGA HiRes 16 Color is 640 x 350 which is an aspect of 16:8.75 (2:1 approximately)

Some old display adapters offered a 640 x 400 x 16 Color Resolution which doubles-up on the CGA resolution...

EGA LoRes 16 Color was also 320 x 200.

And if the image has too many colors, (when loading a 24 Bit Image from the Clipboard or from disk) I just throw away the extra ones since ClipShop is not a photographer's tool after all.


MCGA Mode Color Options and Effects - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

MCGA Mode Shortcut Menu
Color Options and Effects

    Fragment/Conversion Color Commands
    Color Effects
    Commodore 64 Colors
    Tints
    Transformations

MCGA Mode Shortcut Menu
Fragment/Conversion Color Commands

The use of these commands also applies to remapping of MCGA Mode images prior to converting to a CGA Mode Image. However, using Fragments and Stickers requires a explanation of greater detail, so the following focuses primarily on the Selection of Fragment and Sticker Colors, but also applies to Conversion Colors.

Sticker Colors (CGA order)

This command automatically cancels previously selected fragment paste colors. This is a built-in command for setting or re-setting the colors before pasting a Sticker Fragment. Stickers use a Black Background. Color order is important when pasting a fragment since the colors in the fragment must correspond to the colors in the background. Fragments use CGA color order by default. Using this command will set the fragment paste colors to the same color order as a CGA Mode image. Transparent Color will be CGA Black for the Paste.

Frag Colors (CGA order)

This command automatically cancels previously selected fragment paste colors. This is a built-in command for setting or re-setting the colors before pasting a Fragment other than a Sticker. Fragments generally use a White Background. Color order is important when pasting a fragment since the colors in the fragment must correspond to the colors in the background. Fragments use CGA color order by default. Using this command will set the fragment paste colors to the same color order as a CGA Mode image. Transparent Color will be CGA Cyan by default for the Paste.

Black to Darkest Color
Cyan to Bluest Color
Magenta To Reddest Color
White to Brightest Color

These commands override but do not cancel previously selected fragment paste colors. You will need to cancel previous CGA Color Selections if setting new transparent colors before using these commands.

Fragments and CGA Overlays need to remap their colors to the currently loaded background. The defaults for CGA Order colors in the 2 commands above will probably give you what you need for CGA and some VGA Images, but you will probably need to remap your fragments to paste onto MCGA Images (256 Colors) and images using Custom Palettes.

These commands automatically attempt to find the closest match in the current palette for basic CGA Mode Colors. If you optimize your background before pasting a fragment, and then select one of the 2 built-in commands above, you may never need this series of commands.

Select Black
Select Cyan
Select Magenta
Select White

These commands override but do not cancel previously selected fragment paste colors. You will need to cancel previous CGA Color Selections if setting new transparent colors before using these commands.

This series of commands select the fragment paste colors from the background. Fragments must always have a transparent background color as one of the 4 available colors. By default this is cyan for fragments and black for stickers. By selecting the 3 visible colors you can make the fourth unselected color the transparent fragment paste color.

You can set more than one transparent color by selecting only the visible colors with these comands, or the previous 4 commands. By default, a black and white fragment will display both colors, so you will need to cancel previous color selections, and then select the transparent color as black or white if you wish to use a transparent background for the fragment paste.

If you want to change a color in the background itself, you can click on the color that you want to change when not in paste-mode.You must then select a replacement color using the ChooseColor dialog when it pops-up. Use the colorbar in choosecolor to "mix" the color, then double-click on the color "swatch" in the larger area in the choosecolor dialog before returning to your image. The choosecolor dialog is used at various places throughout ClipShop and as with all windows programs that use this built-in feature, you must double-click the color "swatch" or your color selection will not "stick".

Cancel CGA Color Selections

This command cancels all previous fragment paste color selections.

If you are not getting what you want in color mapping when pasting a fragment, try the various options noted above, and cancel between them and start over if things get confused again. Also try optimizing the background to get basic colors included in the available colors if nothing else works.

<< Back to Top

MCGA Mode Shortcut Menu
Color Effects Commands

Brighten Colors

Each time this command is used, the current image will get a little brighter (increments of 20/255). Colors must be saved or can be reset after using this command.

Darken Colors

Each time this command is used, the current image will get a little darker (increments of 10/255).Colors must be saved or can be reset after using this command.

Greyscale

This command creates a greyscale of the current image. Colors must be saved or can be reset after using this command.

Swap Red and Blue
Swap Red and Green
Swap Green and Blue

This series of commands interchanges the RGB colors in the current image, and each can be used in conjunction with the other 2 to obtain the 9 possible combinations. Colors must be saved or can be reset after you are finished with these commands.

Shift Colors Right
Shift Colors Left

This series of commands moves the RGB colors in the current image in the direction chosen, and each can be used in conjunction with the other one to obtain the 3 possible combinations. Colors must be saved or can be reset after you are finished with these commands. These commands are not a "bitwise" shift. Sorry about any confusion in the naming of this command if you are a programmer.

Reset Color Effects
Save Color Effects

This series of commands are self explanatory. Colors must be saved or can be reset after you are finished using color effects.

<< Back to Top

MCGA Mode Shortcut Menu
Tint Commands

Colors
Colors with Gamma
Greyscale
Greyscale with Gamma
Greyscale with Proportion

This series of commands offers a variety of tinted effects for the current MCGA Mode image. A Tint must be saved before moving-on.

You must select a tint color using the ChooseColor dialog which pops-up when this command is selected. Use the colorbar in choosecolor to "mix" the tint color, then double-click on the color "swatch" in the larger area in the choosecolor dialog before returning to your image. The choosecolor dialog is used at various places throughout ClipShop and as with all windows programs that use this built-in feature, you must double-click the color "swatch" or your color selection will not "stick".

Reset Tint
Save Tint

This series of commands are self explanatory. A Tint must be saved before moving-on.

<< Back to Top

MCGA Mode Shortcut Menu
Image Transformation Commands

Flip Vertical
Flip Horizontal

This series of commands are self explanatory. Flipping Horizontal creates a Mirror Image, and Flipping Vertical creates an upside-down image, and the two may be combined. Since a transformation changes the image in memory, but not on disk, remember to save your work to a new file.

Spread Up
Spread Down
Spread Out

This series of commands are included primarily for the creation of additional Spreads, over and above the sample spreads that come with ClipShop. Spreading is based on expanding the current MCGA Mode Image in the direction chosen by 50 percent. Color effects can be combined to alter the basic colors on spreads.

ClipShop comes with an assortment of MCGA Mode backgrounds called "Spreads". These are meant to be used as backgrounds for overlaying with various images. Some are quite colorful.

These spreads are generally found in C:\Program Files\ClipShop\MCGAGraphics\Spreads.

Since a transformation changes the image in memory, but not on disk, remember to save your work to a new file.


Stickers and Backgrounds - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

Stickers and Backgrounds

Using Stickers and Sticker Backgrounds in ClipShop

Introduction

For the 2007 release of ClipShop, I have included a variation of the MCGA Mode Image Load called "Load Sticker Background" and a variation of the MCGA Mode Load Fragment called "Load Sticker Fragment".

I have also included 8 CGA "Sticker Backgrounds", 16 EGA "Sticker Backgrounds" and 70 "Sticker Fragments". The Stickers and CGA Backgrounds I originally distributed as part of my Children's Sticker Art System and Drawing Program:

STIX© Sticker Draw Version 4.0
© Copyright 1989-2007 BILL BUCKELS
All Rights Reserved.

I wrote STIX for my children in 1989 and released it as ShareWare in 1990. STIX was not a success, as shareware goes, and I did not receive a single registration, but my children enjoyed playing with the program when they were young, so I feel that it was worth the effort.

I had very nearly forgot about STIX until Spring of 1999, when I ran across my archive copy while cleaning-up my computer room. I ran it for old time's sake and it seemed a waste to let such a great little Children's program "gather dust". I decided to clean STIX up a little and redistribute it as shareware again. Sadly again, not a single registration.

After 18 years without any registered users, I probably won't bother to offer an updated full-blown version of STIX anytime soon if ever, but I decided to provide a "Mini Version" of STIX (Version 4.0) within ClipShop.

Sticker and Background Folders

I have "hardcoded" the stickers and backgrounds to the default folders that the stickers and backgrounds are installed to, ClipShop\Stix\Backgrounds and ClipShop\Stix\Stickers, so it should be relatively easy for Children to create some of the same sticker-art in ClipShop that was possible in STIX. ClipShop's printing, saving, and clipboard features are easy to use as well.

Sticker and Background File Formats

Stickers are 88 x 52 Color Image Fragments in ClipShop. The transparent color in a sticker is black. More of these can be created from the various methods that ClipShop offers to save image fragments... from CGA Images, or from ClipArt Libraries, or even from the ClipBoard as an Image Fragment Paste.

Backgrounds are any Image that can be loaded in MCGA Mode which is generally all the image formats that ClipShop Supports.

The Backgrounds and Stickers that come with ClipShop are either 4 Color CGA Images, or in the case of the EGA Backgrounds, 16 Color Images with standard palettes, and the CGA backgrounds have been created using a matched CGA Palette. If you add additional backgrounds or stickers, 4 Color CGA formats will work best, or EGA Images without exotic color mapping.

Loading a Background

Sticker Backgrounds are MCGA Mode images in ClipShop. A Background is initially loaded from the File Shop Menu in ClipShop, but can be subsequently loaded from the MCGA Mode Shortcut Menu, by right-clicking on the ClipShop Main Window.

Loading a Sticker

Stickers are loaded from the ShortCut Menu in MCGA Mode by right-clicking on the Background in the ClipShop Main Window.

Pasting a Sticker

Stickers are Image Fragments and as such are "Stamped" (Double Pasted) to make them permanent. All the ClipShop commands related to Image Fragments are covered elsewhere in ClipShop's help documentation.

Since experience is the best teacher. please use ClipShop's Stickers and Backgrounds and create some "Sticker-Art" to learn more about "Using Stickers and Sticker Backgrounds in ClipShop".

You can read more about how colors are used to paste Stickers and Other Fragments elswhere in ClipShop's help documentation.

Copyright and Conditions of Use

STIX is Copyrighted by Bill Buckels. STIX is not a derivative work of any other author and is the exclusive property of its author, Bill Buckels.

The CGA Mode images used in STIX were produced by Bill Buckels (the author) and as such are the author's own expression, and a fair use of content that is believed to be in the public domain. I am not clear about the origin of the EGA Mode images, but I believe you may use any of these images in any way you find useful, provided you do not use them in a competitive manner, and of course that you agree that Bill Buckels has no warranty obligations or liability whatsoever resulting from any associated loss or damage.


Sample Images - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

Sample Images
Installed with ClipShop

    Overview
    CGA Graphics Screens
    CGA Text Screens
    Apple ][ Graphics Screens
    MCGA and VGA Graphics Screens
    Spreads
    PCPaint Pictor PIC Graphics Screens
    GRASP GL Libraries of Pictor PICs
    Commodore 64 Images
Overview

ClipShop comes with several sample images in the various legacy formats that it supports. These are installed in sub-folders in the ClipShop folder, usually in C:\Program Files\ClipShop.

Many of ClipShop's sample Graphics have text files (with the file extension ".TXT") which can be read for more information in the same directory as the graphics. When loading an MCGA Mode Graphic in ClipShop you can click-on one of these and Windows Notepad will open the file.

I am not individually documenting the majority of the sample graphics distributed with ClipShop in this help documentation. If it exists, you can read the applicable .TXT file that comes with ClipShop for more information.

<< Back to Top

CGA Graphics Screens

ClipShop comes with a number of sample BSAVED and PCX 4 Color CGA Graphics Screens which are installed by default in C:\Program Files\ClipShop\CGAGraphics\. If you have installed ClipShop using the default installation path and have set-up ClipShop File Associations from ClipShop's FileShop Menu, you can load any of these directly by clicking on the links below:
    Assorted CGA Screens
    Cartoons
    4 Color Screens for FRAGmenting
    2 Color Screens for FRAGmenting
    Assorted 2 Color Screens
    Technical Screens (Sort-of)

    GEM Img Monochrome Images
These can come from a variety of sources and can be used for a variety of purposes. Most of the commands on ClipShop's CGA Shop Menu are related to the use of these and other uses are listed elsewhere in this documentation. The exception is the sample GEM Img files which must be loaded in MCGA Mode even though they are technically a CGA monochrome resolution (sort-of).

<< Back to Top

CGA Text Screens

ClipShop comes with a number of sample BSAVED Text Screens which are installed by default in C:\Program Files\ClipShop\CGAText\. If you have installed ClipShop using the default installation path and have set-up ClipShop File Associations from ClipShop's FileShop Menu, you can load any of these directly by clicking on the links below:
    BSAVED Text Screens
    PTX Text Screens
    FRAG Text Screens
These can come from a variety of sources and can be used for a variety of purposes. ClipShop supports conversion of graphics to BSaved Text Screens from its CGA Shop Menu and THEDRAW which can be optionally installed with ClipShop also creates and edits these screens, you can, if you so desire, use this utility to create demos of your own. The ICONDRAW Old PrintShop® Editor that is optionally installed with ClipShop will also create BSAVED text screens.

<< Back to Top

Apple ][ Graphics Screens

ClipShop comes with a number of sample BSAVED Apple ][ Graphics Screens which are installed by default in C:\Program Files\ClipShop\AppleGraphics\. If you have installed ClipShop using the default installation path and have set-up ClipShop File Associations from ClipShop's FileShop Menu, you can load any of these directly by clicking on the links below:
    Assorted Apple ][ Screens
    Screens from Apple ][ Programs
    Graphics from White Disk 11B
These can come from a variety of sources and can be used for a variety of purposes. Most of the commands on ClipShop's Apple Shop Menu are related to the use of these and other uses are listed elsewhere in this documentation.

<< Back to Top
MCGA and VGA Graphics Screens

ClipShop comes with a number of sample MCGA and VGA Graphics Screens which are installed by default in either C:\Program Files\ClipShop\MCGAGraphics\ or in C:\Program Files\ClipShop\EgaVgaGraphics\. If you have installed ClipShop using the default installation path and have set-up ClipShop File Associations from ClipShop's FileShop Menu, you can load any of these directly by clicking on the links below. Each subfolder is named in a self-descriptive way, and mainly contains files in that category, although some files will be in a variation of the format listed.
    Ega and VGA 16 Color Images

    320x200 EGA Images
    Assorted VGA Images

    MCGA 256 Color Images (mostly)

    640x400 SVGA Images
    Assorted 320x200 MCGA Images
    BSaved MCGA Images
    DoctorDoom and SpiderMan
    MonoChrome 320x200 BMPs
    Assorted American Presidents
    MCGA Images from ShowPIX
    Spreads
    Technical MCGA Images (sort-of)

    Colored ClipArt Spring 1999
    Spring 1999 Assorted
    Spring 1999 EarthDay
    Spring 1999 Easter
    Spring 1999 StPatricks

    Images from WorkBook 1999
    BMP Images from WorkBook 1999
    PCX Images from WorkBook 1999
These can come from a variety of sources and can be used for a variety of purposes. The topics discussed in MCGA Mode Menus and Images are related to the use of these and other uses are listed elsewhere in this documentation.

<< Back to Top
Spreads

ClipShop comes with an assortment of MCGA Mode backgrounds called "Spreads". These are meant to be used as backgrounds for overlaying with various images. Some are quite colorful and all can be transformed by using the various effects in the MCGA Mode Shortcut menu.

These spreads are generally found in C:\Program Files\ClipShop\MCGAGraphics\Spreads.

<< Back to Top

PCPaint Pictor PIC Graphics Screens

ClipShop comes with a number of sample PCPaint Pictor PIC Graphics that were either distributed with PCPaint or that have been created using ClipShop's effects with the original PCPaint Pictor PIC as the basis for the new graphic.

These are installed by default in C:\Program Files\ClipShop\MCGAGraphics\. If you have installed ClipShop using the default installation path and have set-up ClipShop File Associations from ClipShop's FileShop Menu, you can load any of these directly by clicking on the links below. Each subfolder is named in a self-descriptive way.
    PCPaint2
    PCPaintPlus
See below for additional sample PCPaint Pictor PICs.

<< Back to Top
GRASP GL Libraries of Pictor PICs

ClipShop comes with a number of sample GRASP GL Animation Files which are effectively libraries of PCPaint Pictor PIC Graphics. These Pictor PICs can be extracted by loading the GL file as an MCGA Mode Image.

These are installed by default in C:\Program Files\ClipShop\Grasprt\.

<< Back to Top
Commodore 64 Images

ClipShop comes with a number of sample Commodore 64 Images which can be loaded in MCGA Mode.

These are installed by default in C:\Program Files\ClipShop\Commodore64\.


BMP Support in ClipShop - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

Windows BMP Files
Support and Formats

    Introduction
    Saving BMP Files
Introduction

Support for loading the Windows BMP Graphics Image format is limited to a maximum display size of 640 x 400. This is due to ClipShop's fixed Window Size combined with ClipShop's Display Considerations. If If you load a BMP file longer or wider than ClipShop's display window, it will be clipped to fit in the window.

The Windows BMP File format can generally be used to save an image from any and every screen in ClipShop.

As a general rule, BMP Files that have been saved in a nominal dimension of 320 x 200 and below will display at a scale of double their native size within ClipShop.

As a general rule if either the width of a BMP file is 320 or less, or the height of a BMP file is 200 or less, the BMP file will be displayed at double its native size in that direction.

BMP files with more than 256 Colors are not supported properly by ClipShop (the extra colors are "thrown-away" because they don't make sense in the context of legacy graphics nor in the context of ClipShop's other features), and compressed BMP files and 32 bit BMP files are not supported at all.

As a general rule, BMP Files that have been created by ClipShop can be reloaded back in to ClipShop, either as a full-screen image or as an 88 x 52 Image Fragment, depending on the format that was selected for the save.

<< Back to Top

Saving and Converting to BMP

ClipShop has several other output formats besides BMP which are covered elsewhere in this help documentation. Generally, the main output format that ClipShop uses is the Windows Clipboard, followed by the BMP file format. Since the Windows Clipboard and the BMP File Format are practically identical, and really the lowest common denominator in today's world, saving or converting to other formats is provided for backward compatibility with the other old formats that ClipShop works with, and for whatever other reason.

Saving or Converting to BMP takes place from several of ClipShop's menus. Some of the menu commands to do so are listed below, and conversion and saving is limited to 3 formats (Monochrome, 16 Color, and 256 Color) in various sizes depending on exactly what you are saving.
    MCGA Mode Menus
    Save

    PrintShop Menu
    Save/Export to Windows .BMP
    Export Current Clip (ShopSave)

    CGA Shop Menu
    Save
    Convert Text Screen
    CGA Image to CGA Graphics Image Fragment

    Apple Shop Menu
    Save
Converting to a more modern format can be particularly useful if you sometimes work with old graphics and that is really what ClipShop does best. It is not a photographer's tool after all.


BSaved Image File Support in ClipShop - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

BSaved Image Files
Support and Formats

    Introduction
    Saving BSaved Files
    The BSave Image Format
Introduction

BSaved Graphics Screen Images supported by ClipShop are limited to CGA Monochrome and 4 Color or MCGA 256 Color Mode or to Apple HIRES Graphics. No support is provided for 16 Color BSaved Graphics Images.

CGA or MCGA Mode BSaved Graphics Screens have a nominal dimension of 320 x 200 (or in the case of CGA Monochrome 640 x 200), and Apple HIRES BSaved Screens have a nominal dimension of 280 x 192.

The BSaved CGA format PUT Image Fragment also supported by ClipShop has a nominal dimension of 88 x 52 which is the same size as "Old PrintShop" format clipart.

All BSaved Graphics display at a scale of double their native size within ClipShop.

BSaved Text Screen support in ClipShop is limited to CGA Mode Screens of 80 columns x 25 rows x 16 colors. Display of the "blink attribute" is not supported.

<< Back to Top

Saving BSaved Image Files in ClipShop

ClipShop supports saving of MCGA 256 Color and CGA Mode BSaved Graphics Screen Images and Apple ][ HIRES BSaved Screen Images (from CGA Mode Screens), and BSaved CGA graphics format PUT Image Fragments.

Saving or Converting to the BSaved format takes place from several of ClipShop's menus. Some of the menu commands to do so are listed below.
    Save MCGA Mode BLoaDable Picture BLD
    Convert MCGA Mode Image to CGA Mode BSaved Image

    Export Current Printshop Clip (ShopSave)

    Convert from 16 Color Windows .BMP...
    CGA Image to CGA Graphics Image Fragment
    Convert Color Text Screen...


BSAVE (graphics image format)

Forward

The following is an article that I posted on Wikipedia about the BSaved Image Format which provides a fair amount of technical detail.

CllipShop saves and loads the IBM CGA and MCGA BSaved Images discussed in this article. The PUT Image Fragments that ClipShop saves and loads are also discussed in detail. So are the Apple ][ HIRES BSaved Images that ClipShop supports.

I have formatted this Wikipedia article for compatibility with ClipShop’s Help documentation and in doing so I needed to remove all the Wikipedia links. The links I removed will provide you with considerably more information and if you are so inclined you should visit the Wikipedia website and review the Wikipedia version of this article with the Wikpedia links intact.

The URL is http://en.wikipedia.org/wiki/BSAVE_(graphics_image_format)

Bill Buckels

2007

Fig. 1 Typical IBM 4-Color CGA BSAVED Graphics Screen

Fig. 1 Typical IBM 4-Color CGA BSAVED Graphics Screen

Contents

  • 1 Synopsis
  • 2 Typical file format
  • 3 Origin
  • 4 Historical Use
  • 5 Recent Use IBM PC
  • 6 Specifications IBM PC
    • 6.1 CGA Specification
      • 6.1.1 Text
        • 6.1.1.1 Header
        • 6.1.1.2 Example
      • 6.1.2 Graphics
        • 6.1.2.1 Typical Variations
        • 6.1.2.2 Pixel Data
        • 6.1.2.3 Cross-Loading
        • 6.1.2.4 Header
        • 6.1.2.5 Example
      • 6.1.3 XCGA Low Resolution Graphics
        • 6.1.3.1 Memory
        • 6.1.3.2 Header
        • 6.1.3.3 Pixel Data
        • 6.1.3.4 Example
    • 6.2 EGA VGA Specification
    • 6.3 MCGA Specification
      • 6.3.1 Example
  • 7 IBM PC BSAVE Image Fragments
    • 7.1 PUT
      • 7.1.1 Example
    • 7.2 GET
      • 7.2.1 Example
  • 8 Specifications Apple II
    • 8.1 Graphics
      • 8.1.1 Resolution
      • 8.1.2 File Format
        • 8.1.2.1 Rasters (scanlines)
        • 8.1.2.2 Pixels (colors)
    • 8.2 BLOAD Example
  • 10 External Links
  • 11 References

Synopsis

A BSAVE Image (aka "BSAVED Image") as it is referenced in a graphics program is an image file format created usually by saving raw video memory to disk (sometimes but not always in a BASIC program using the BSAVE command).

This format was in general use when the IBM PC was introduced. It was also in general use on the Apple II in the same time period.

On the IBM, BSaved graphics and text images could be created for any video mode, with more complexity for the newer modes.

Typical file format

The BSAVED format is a device-dependent raster image format; the file header stores information about the display hardware address, and the size of the graphics data. The graphics data follows the header directly and is stored as raw data in the format of the native adapter's addressable memory.

There is no file compression, and therefore these load very quickly and without much programming when displayed in native mode.

No additional information such as (screen resolution, color depth and palette information, bit planes and so on) is stored. Video adapters were simple when this format was in wide use and the other information to load these could usually be inferred by programs that loaded these.

Origin

The BASIC programming language was shipped as part of the operating system on the first IBM PC's and Apple computers. On some other computers like the Commodore 64/128, BASIC was the operating system. On computers that did not start-up in BASIC, BASIC was loaded by running a program called an interpreter. The user could then type BASIC commands in "immediate mode" or by creating and/or running a numbered BASIC program within the interpreter.

One of the commands that early BASIC offered was BSAVE (Binary Save) and another (complimentary) command was BLOAD (Binary Load). Using the BSAVE command, an addressable area and length of memory could be saved to disk as a named file (referred to as an "Image"). This "Image" of saved memory could then be re-loaded from disk into addressable memory later with the BLOAD command. If the BSAVED image contained program code it could be executed, if data it could be used again, and if the BSAVED image contained graphics it could be viewed. The video area of memory was addressable.

The PUT and GET commands were used in addition to the BSAVE and BLOAD commands on the IBM-PC to allow "clips" of the screen (or the entire screen) to be pre-formatted for BSAVE and BLOAD. These commands added image height and width to the BSAVE format, and were later carried over into the C programming language by some compiler vendors for the MS-DOS platform as the putimage() and getimage() run-time library functions. PUT and GET allowed display modifier verbs which resembled functions in the Windows Graphical Device Interface (GDI) used by programmers today.

Microsoft evolved and produced the BASIC interpreters that were bundled with the IBM-PC, Apple II, and Commodore 128, and included the ability to BSAVE and BLOAD RAM memory images on all 3 platforms. While it is not clear whether or not Microsoft and its founder Bill Gates originated the BSAVE format they can be clearly credited with providing continued support for the BSaved Graphics Image throughout the history of its use by making it accessible to all users of these platforms and by completely documenting its use.

The BSAVE format of that time can be compared to some intents and purposes to the Windows BMP and DIB of today.

Historical Use

It was generally more common for computer users of the day (most who knew how to program in BASIC to some degree) to use the BLOAD command to load a graphics image that had been BSAVED than to load a BSAVED executable or data image.

Most early drawing programs allowed their graphics images to be BSAVED, making them easily available by an average user to be BLOADED back into video memory and viewed in a simple external program written in BASIC.

Recent Use IBM PC

Common use of BSAVED images in graphics programs continued well into the 1990's but their use was primarily limited to users of programs like the Freeware program PicEM and the Shareware program VGACAD (which saved the MCGA display to a BSAVED file format called BLD BLoaDablepicture), and by beginning programmers and enthusiasts.

With the passing of MS-DOS so did the use of DOS programs that saved in the BSAVED format. Their use by programmers has stopped because the BLOAD command is no longer supported in modern programming languages which discourage accessing video memory directly.

Specifications IBM PC

CGA Specification

CGA memory starts at memory segment B800 offset 0. Up to 16K of memory is available for video.

The amount of memory used for display depends on the video mode selected. A graphics screen requires 16000 bytes of memory and an 80 x 25 text screen requires 4000 bytes. A 40 x 25 text screen requires 2000 bytes.

The 3 common video modes are monochrome graphics, 4-color graphics or 80 column x 25 row color text.

A low-resolution 160 x 100 x 16 color graphics mode unofficially called "XCGA" and not supported in BIOS (interrupt 10h) also existed and had limited popularity amongst enthusiasts for a while. Technically this mode worked like color text mode.

40 column text mode was not generally used for BSAVED images.

Text

Fig. 2 Typical BSAVED Text Screen using Graphics Characters

Fig. 2 Typical BSAVED Text Screen using Graphics Characters

80 column text is stored in 4 pages of 4000 bytes each. Generally only page 1 was used for BSAVED text images. Each character in an 80 column x 25 row text screen is stored in a contiguous byte array of character, attribute pairs of 2 bytes per text character. The attribute byte stores the foregroung color in in the low nibble and the background color and blink attribute in the high nibble. The colors 0-16 correspond to the colors offered by the basic 16 color EGA.

These could be cross-loaded to a low-end monochrome text video display with only 4K of memory with varying degrees of success since the color attributes on monochrome displayed differently.

The file extension that became popular for the BSaved text screen format was .BSV.

In the BBS days before the Internet was widely used, many Sysops used a program called TheDraw© from TheSoft Programming Services in Fremont, CA as the tool-of-choice to design and build user interface screens. Programmers used TheDraw© to design text-based user interfaces, or to edit screens that had been captured from other text programs, and then often would display these edited screens in their own programs, or as slideshows for proof-of-concept and so-forth. TheDraw© saved in various formats including BSAVED with the default file extension of .BSV.

Header

The following C language source code documents the header and tailer in a BSAVED text image:

/* a microsoft compatible bsaved memory text image format descriptor */
unsigned char BSV_header[7]={

    '\xfd',          /* ID Flag = file descriptor identifier bsaved file */

    '\x00', '\xb8',  /* base address     = LSB | MSB original segment    */
    '\x00', '\x00',  /* offset from base = LSB | MSB original offset     */

    '\xA0', '\x0F'   /* data size = LSB | MSB of bytes to be loaded +    */
    };

unsigned char BSV_image[4000];

unsigned char BSV_tailer[1]={
    '\x1A'                      /* traditionally used by BASIC */
    };                          /* as a terminator */
Example

By contrast the following tiny GWBASIC program demonstrates how easy it was to load these in BASIC.

1  DEF SEG=&HB800
2  KEY OFF
3  CLS
4  FILES "*.BSV"
5  INPUT"Enter Name of Image To Load. <Blank Ends> : ",A$
10 IF A$="" THEN SYSTEM
30 BLOAD A$,0
40 A$=INPUT$(1)
50 GOTO 3

Graphics

The CGA Video Card (and other IBM PC video cards which support CGA which until recently were almost all) has two interleafs when in monochrome or 4-color Graphics mode. Visible memory is 16000 bytes. There are 192 bytes of unused data between the first and second interleaf, and 192 bytes of unused data following the second interleaf. The byte array is identical for either mode.

Typical Variations

File Size 16392 bytes

Header Size 7 bytes

First Interleaf 8000 bytes

Unused 192 Bytes

Second Interleaf 8000 bytes

Unused 192 Bytes

Tailer Size 1 byte

Variations on the above include a smaller BSaved file format that does not load the unused memory after the second interleaf, nor the traditional trailer byte 0x1a (CPM EOF). This resulted in a slight saving of disk space.

File Size 16199 bytes

Header Size 7 bytes

First Interleaf 8000 bytes

Unused 192 Bytes

Second Interleaf 8000 bytes

A variation of the BSAVED CGA Image used by the earliest version of PCPaint stored a signature followed by a 2 byte palette index in the unused area directly following the first interleaf.

In the beginning BSAVED CGA Images were usually saved with either a .BAS or a .PIC extension. In the end, the .BAS extension was almost always used.

Pixel Data

Monochrome data is stored as 1 bit per pixel with pixel(0,0) (x,y) being the high bit in the first byte and pixel(0,7) being the low bit in the first byte. The horizontal resolution for a monochrome CGA image is 640 pixels.

Color data is stored as 2 bits per pixel with pixel(0,0) (x,y) being the 2 highest bits in the first byte and pixel(0,3) being the 2 lowest bit in the first byte. The horizontal resolution for a color CGA image is 320 pixels.

The nominal color values are either BLACK, CYAN, MAGENTA, WHITE or BLACK, GREEN, RED, and ORANGE in color order depending on which of the two palettes was selected, with variations on border color (color 0). A third palette was available on some cards as well with nominal values of BLACK, CYAN, RED, WHITE. The horizontal resolution for a monochrome CGA image is 320 pixels.

The interleaf breaks on 80 byte boundaries which means that byte[80] is displayed starting at pixel(2,0), and conversely byte[8192] is displayed starting at pixel(1,0), and so it goes. Both color and monochrome have a vertical resolution of 200 scanlines.

Cross-Loading

Fig. 3 4-Color BSAVED Graphics Screen displayed in Monochrome

Fig. 3 4-Color BSAVED Graphics Screen displayed in Monochrome

Because the monochrome and color images could be cross-loaded, a color image displayed in monochrome would be naturally dithered because of the bit alteration provided by the bit pairs in colors 1 and 2. Color 0 was still BLACK and color 3 was still WHITE. This dithering was fairly good for printouts of color images on the black and white printers of the day.

Fig. 4 Monochrome BSAVED Graphics Screen displayed in 4-Color CGA Mode

Fig. 4 Monochrome BSAVED Graphics Screen displayed in 4-Color CGA Mode

Monochrome images displayed in color didn't do so well. The aliasing of pixels that were not paired on bit boundaries created CYAN and MAGENTA anomalies which usually looked terrible.

Header

The following C language source code documents the header and tailer in a BSAVED graphics image:

/* a microsoft compatible bsaved memory image format descriptor */
unsigned char PUT_header[7]={

    '\xfd',          /* ID Flag = file descriptor identifier bsaved file */

    /* BASIC will use original segment and offset information  */
    /* to reload a memory image unless "DEF SEG" has been used */
    /* and then an explicit offset is used as the second arg   */
    /* of the bload command.  If an offset is specified without*/
    /* first calling DEF SEG, The image will then be loaded to */
    /* the offset specified in the last segment pointed to     */
    /* by the last call to DEF SEG. DEF SEG without args returns */
    /* to DGROUP (the default data segment)                      */

    /* if loading a data array like an image fragment */
    /* we would first dimension the array as an integer array */
    /* which allocates memory just like malloc() and by the way */
    /* not like the Dim command works in VB.NET in 2007 */

    /* we would normally implement using an array in memory and */
    /* VARSEG and VARPTR to obtain the window for the array's   */
    /* memory location, i.e. override the defaults by windowing */
    /* to the array base using DEF SEG = VARSEG(arrayname(0)) then to    */
    /* fill the array we would use BLOAD arrayname, VARPTR(arrayname(0)) */
    /* using VARPTR to point to the offset from the memory base segment  */

    /* remember that this is intel byte order - unsigned short in win32  */
    '\x00', '\xb8',  /* base address     = LSB | MSB original segment    */
    '\x00', '\x00',  /* offset from base = LSB | MSB original offset     */

    '\x00', '\x40'   /* data size = LSB | MSB of bytes to be loaded +    */
    };

unsigned char PUT_image[16384];

unsigned char PUT_tailer[1]={
    '\x1A'                      /* traditionally used by BASIC */
    };                          /* as a terminator */
Example

The following GWBASIC program shows by how easy it was to load and save these in BASIC. It loads an existing image, draws a border around it and saves it.

10 INPUT"PICNAME : ", A$
20 INPUT"border color : ",B$
30 B%=VAL(B$)
40 SCREEN 1
50 DEF SEG=&HB800
55 BLOAD A$
60 LINE (0,0)-(319,199),B%,B
61 LINE (1,1)-(318,198),B%-1,B
62 LINE (2,2)-(317,197),B%,B
63 LINE (3,3)-(316,196),0,B
70 BSAVE A$,0, 16384
80 SYSTEM

XCGA Low Resolution Graphics

The Color Graphics Adapter page on Wikipedia calls this mode "The 160×100 16 color mode".

XCGA mode as it was known as in the late 1980's enjoyed a brief notoriety amongst enthusiasts but never served any practical purpose because it was too coarse for even for the primitive graphics of the day.

Even so, computers equipped only with a CGA video adapter were still prevalent, with users who wanted to display graphics in more than the 4 color maximum that CGA graphics offered.

XCGA images were generally created by reducing images produced in higher resolution to a lower resolution facsimile by the use of file conversion software. This was generally done by enthusiasts as more of a novelty than for any real purpose.

BSAVED XCGA Images were usually saved with a .BAS or a .CGX extension.

Memory

The memory on XCGA was a contiguous byte array (just like MCGA mode) and was not interleaved like other CGA graphics modes. It started at memory segment B800 like all CGA video memory, and displaying the first 16000 bytes of the segment.

Header

The BSAVED image header was the same as the other CGA BSAVED headers, but the data length was 16000.

Pixel Data

Pixels were in a raw format, arranged in pixel pairs called "big pixels" with 2 bytes per each 2 pixel-color pair stored in a contiguous byte array of 8000 big pixels.

Since XCGA was technically a color text mode, the first byte in a big pixel was actually the top two scanlines of a "text graphics" character in video ROM. As in color text mode the second byte stored the foreground color in the low nibble and the background color in the high nibble.

The colors 0-16 corresponded to the colors offered by the basic 16 color EGA.

By selecting the appropriate 2 pixel text block graphics character from the video ROM, even though the technical resolution was 80 x 100, the effective resolution was 160 x 100. Fig. 2 above uses the same graphics character normally used in in an XCGA image to display a graphic in standard color text mode

Each scanline was 160 bytes long.

Example

The following QuickBasic source code shows how a low resolution BSAVED Image with 16 Colors was displayed. The commands are the same as displaying BSAVE images in standard CGA graphics or text modes with the addition of setting of registers on the CGA's MC6845 CRT controller.

CGXNAME$ = Command$:                    'get name from Command line
On Error GoTo NoFile

Open CGXNAME$ + ".CGX" For Input As 1:  'make sure it exists
Close

GoSub SetXCGA                           'trigger 160x100x16 mode
DEF SEG = &HB800                        'change DSEG to screen
BLOAD CGXNAME$ + ".CGX", 0              'dump picture to screen
a$ = INPUT$(1)
Screen 2: Screen 0: End                 'restore text mode and exit

NoFile: Beep:
        Print "Cannot find " + CGXNAME$
        End

SetXCGA:

'WARNING: Changing these registers settings may cause a CRASH !

DEF SEG = 0
POKE &H465, 0: OUT &H3D8, 0:
POKE &H466, 0: OUT &H3D9, 0
OUT &H3D4, 0: OUT &H3D5, 113
OUT &H3D4, 1: OUT &H3D5, 80
OUT &H3D4, 2: OUT &H3D5, 90
OUT &H3D4, 3: OUT &H3D5, 10
OUT &H3D4, 4: OUT &H3D5, 127
OUT &H3D4, 5: OUT &H3D5, 6
OUT &H3D4, 6: OUT &H3D5, 100
OUT &H3D4, 7: OUT &H3D5, 112
OUT &H3D4, 8: OUT &H3D5, 2
OUT &H3D4, 9: OUT &H3D5, 1
OUT &H3D4, 10: OUT &H3D5, 32
OUT &H3D4, 11: OUT &H3D5, 0
POKE &H465, 9: OUT &H3D8, 9
Return

EGA VGA Specification

BSAVE images using multiple color planes and color registers were not common but they did exist.

Additional program code was needed to save and display these which was more complicated than the average user of the day could easily write. By the time the EGA came out fewer users bothered with programming in BASIC so the use of these was primarily restricted to beginning programmers and enthusiasts[1] [2] who were unwilling or unable to work in more capable programming languages than BASIC, or who were unwilling or unable to decipher the more advanced graphics formats that had started to emerge with file compression and color palettes.

MCGA Specification

Fig. 5 Typical IBM 256-Color MCGA BSAVED Graphics Screen

Fig. 5 Typical IBM 256-Color MCGA BSAVED Graphics Screen

BSAVE images using 256 colors and color palettes were not common but they did exist. Additional program code was needed to save and display these which was more complicated than the average user of the day could easily write.

By the time the MCGA came out fewer users bothered with programming in BASIC so the use of these was primarily restricted to beginning programmers and enthusiasts[3] who were unwilling or unable to work in more capable programming languages than BASIC, or who were unwilling or unable to decipher the more advanced graphics formats that had started to emerge with file compression and color palettes.

Two MS-DOS based utilities, PICEm and VGACad, offered saving of BSAVE MCGA images, with the latter also offering a BSAVE-style palette save. VGACad used the file extensions .BLD (BLoaDablePicture) and .PLT.

The problem with saving and loading an MCGA BSaved image was less difficult than saving and loading an EGA Bsaved image. The MCGA was organized in one contiguous byte array of 64000 bytes each with a value of 0-255, and each representing a pixel.

Loading and saving these was virtually the the same as the CGA Bsaved format with the difference being that there were too many colors to infer the color palette, and the color palette was not easily saved unless the BASIC programmer understood some assembly language. If the programmer did understand assembly language, it usually wasn't very long before that understanding extended to more capable languages than BASIC and more advanced graphics formats than the BSAVE format.

Example

The following QuickBASIC program shows by how hard it was to load these in BASIC, especially by comparison to the small amount of programming that the GCA equivalent required.

'This source code is herewith released by me into the Public Domain.
'Bill Buckels, May 23, 2007
'You have a royalty-free right to use, modify, reproduce and distribute this
'source code and the binaries that it produces in any way you find useful

'MCGVU.BAS by Bill Buckels 1991
'an MCGA image viewer
'revised to use VGACad file extensions 2007

'CALL ABSOLUTE Statement Programming Examples
'demonstrate the use of ML routines to implement MCGA mode
'and setting of VGA Palette Registers in QuickBASIC 4.5

'Must be compiled using BC.EXE and ON ERROR option

IF COMMAND$="" THEN
   PRINT "MCGVU(C) Copyright 1991 by Bill Buckels
   PRINT "USAGE IS MCGVU <filename> <no extension>
   END
END IF

ON ERROR GOTO ENDER

DIM PCOL(384)
DIM R(256), G(256), B(256)

'parse the file name

PROOT$=""
TARGET$ = COMMAND$
TARGET = LEN(TARGET$)

FOR I = 1 TO TARGET
           A$=MID$(TARGET$,I,1)
           IF A$ = "." OR A$=" " THEN
                       I = TARGET
           ELSE
               PROOT$ = PROOT$ + A$
           END IF
NEXT I

' The MCGA Image and the Palette were saved outside of here
' Both are in BSAVED format
PCOLOR$=PROOT$ +".BLD"
PNAME$ =PROOT$ +".PLT"

'arrays to store machine language routines
DIM SETMCGA(5)
DIM SETDAC(10)
DIM CLEARDAC(14)

       ' Poke the machine-language program into the array.

       '---------------------- set MCGA Screen Mode ----------------
       RESTORE MCGABYTES
       READ NUMBYTES  'prepare assembler routine to set to MCGA mode
       DEF SEG=VARSEG(SETMCGA(0)) ' Window the segment.
       FOR J = 0 TO NUMBYTES-1
           READ VALUE
           POKE VARPTR(SETMCGA(0))+J,VALUE
       NEXT J
       CALL ABSOLUTE(VARPTR(SETMCGA(0)))
       DEF SEG   ' Restore the segment.

      '--------------------- set DAC REGISTERS --------------------
       RESTORE CLEARBYTES
       READ NUMBYTES  'prepare assembler routine to clear DAC regs
       DEF SEG=VARSEG(CLEARDAC(0)) ' Window the segment.
       FOR J = 0 TO NUMBYTES-1
           READ VALUE
           POKE VARPTR(CLEARDAC(0))+J,VALUE
       NEXT J
       DEF SEG   ' Restore the segment.

      '-------------------- load the ML routine ----------------
      RESTORE DACBYTES
      READ NUMBYTES  'load DAC registers
      DEF SEG=VARSEG(SETDAC(0)) ' Window the segment.
      FOR J = 0 TO NUMBYTES-1
             READ VALUE
             POKE VARPTR(SETDAC(0))+J,VALUE
      NEXT J

PALREAD:

    '--------------------- Read the palette File ----------------

    DEF SEG   'restore segment
    SEGMENT = VARSEG(PCOL(0))
    OFFSET  = VARPTR(PCOL(0))
    DEF SEG = SEGMENT
    BLOAD PCOLOR$,OFFSET

    '--------------------- load the color registers -------------

    FOR I = 0 TO 255
               R(I)  =PEEK(OFFSET)
               G(I)  =PEEK(OFFSET+1)
               B(I)  =PEEK(OFFSET+2)
               OFFSET=OFFSET+3
    NEXT I
   '-------------------- reset the DAC to 0 ----------------------
       DEF SEG=VARSEG(CLEARDAC(0)) ' Window the segment.
       CALL ABSOLUTE(VARPTR(CLEARDAC(0)))
       DEF SEG   ' Restore the segment.

   '------------------- load the image to the screen -------------

   DEF SEG= &HA000
   BLOAD PNAME$,0

   '----------------- initialize the registers ----------------

   FOR I = 0 TO 255
         IF NOT (R(I)+G(I)+B(I)) THEN        ' if the palette entry is used
            DEF SEG=VARSEG(SETDAC(0))        ' Window the segment
            POKE VARPTR(SETDAC(0))+4,I       ' register number
            POKE VARPTR(SETDAC(0))+6, R(I)   ' red gun value
            POKE VARPTR(SETDAC(0))+8, G(I)   ' green gun value
            POKE VARPTR(SETDAC(0))+10,B(I)   ' blue gun value
            CALL ABSOLUTE(VARPTR(SETDAC(0))) ' do an open ML call
         END IF
   NEXT I

  ' wait for key press

  DEF SEG
  A$=INPUT$(1)

ENDER:
  SCREEN 2
  SCREEN 0
  CLEAR
  END

  '-------------------- Machine Language Routines --------------------

MCGABYTES:
       'Set Video Mode to MCGA mode 13H
       DATA 9
       DATA &H55, &HB4, &H00, &HB0, &H13, &HCD, &H10, &H5D, &HCB

DACBYTES:
      'SET DAC REGISTERS
      'The following assembly language  routine has 4- null characters
      'Which are replaced with Register Number, Red, Green, And Blue
      DATA 19
      DATA &H55, &H33, &HDB, &HB3, &H00
      DATA &HB6, &H00
      DATA &HB5, &H00
      DATA &HB1, &H00
      DATA &HB4, &H10, &HB0, &H10, &HCD, &H10, &H5D, &HCB

CLEARBYTES:
     'Clear the DAC registers
     DATA 27
     DATA &H55, &H33, &HDB, &H8B, &HF3, &HB8, &H10, &H10, &H33, &HC9
     DATA &H33, &HD2, &HCD, &H10, &H8B, &HDE, &H81, &HFB, &HFF, &H00
     DATA &H74, &H03, &H46, &HEB, &HEC, &H5D, &HCB

IBM PC BSAVE Image Fragments

PUT

Example

'This source code is herewith released by me into the Public Domain.
'Bill Buckels, May 26, 2007
'You have a royalty-free right to use, modify, reproduce and distribute this
'source code and the binaries that it produces in any way you find useful

'BPIC.BAS by Bill Buckels 1991
'PUT loader routine
'Written in QuickBASIC Version 4.5

DEFINT A-Z

'check for a color card
CLS
DEF SEG=&HB800
BYTE=PEEK(0)
IF NOT BYTE = 32 THEN
         PRINT"Sorry... CGA compatible adapter required
         END
END IF
'switch back to default segment
DEF SEG

'allocate memory for picture buffer
DIM PIC(8002)
SCREEN 1
COLOR 17,1

'Menu Routine

DO
 IF COMMAND$="" THEN
    CLS
    PRINT"Image Fragment Load
    FILES"*.PUT
    INPUT "Enter pic name :", PICNAME$
  ELSE
    PICNAME$=COMMAND$
  END IF

  IF NOT PICNAME$ = ""  THEN
           CLS
           GOSUB LOADPIC
           KEYPRESS$=INPUT$(1)
  END IF
  IF NOT COMMAND$ = "" THEN
                       PICNAME$=""
  END IF
LOOP UNTIL PICNAME$ =""
END

GET

Example

'This source code is herewith released by me into the Public Domain.
'Bill Buckels, May 30, 2007
'You have a royalty-free right to use, modify, reproduce and distribute this
'source code and the binaries that it produces in any way you find useful

' This is a corrected and rewritten example based on the QBASIC manual
' Demonstrating GET, BSAVE, PUT and BLOAD.

' Both the GWBASIC manual and the QBASIC manual presented their
' examples in a confusing manner, with too much or too little information.
' The QBASIC manual further complicated the matter with incorrect calculations.

' Here's a less-confusing example with properly calculated values.

' A BASIC Screen Fragment is stored in a byte array
' Preceded with a header giving the image size.
' Header - 4 bytes
' X - width of image in bits - short integer (2 bytes)
' Y - height of image in rasters - short integer (2 bytes)
' Image data - Variable
' Image data is arranged in rasters. Each raster is byte-aligned.

' In the example below, CGA 4-color screen mode is used.
' Rasters are stored at 2 bits per pixel (4 pixels per byte).
' Since the Cube is 101 pixels wide, 26 bytes are required per raster.
' The last 6 bits (3 pixels) of each scanline are unused (padding)
' Since the Cube is 101 rasters high, image data is 26 bytes x 101 = 2626 bytes.
' The Header requires 4 bytes.
' The array size required to store the image is 2630 bytes.
' Since a short integer is 2 bytes in size and since an integer array is
' required to use the GET and PUT commands, an integer array size of 2630/2 =
' 1315 is required for this example.

' Allocate enough memory in an integer array to hold an image fragment
DIM fragment(1315)
fragmentSize = 2630
fragmentName$ = "MAGCUBE.PUT"
SCREEN 1

' Create an image fragment
GOSUB DRAWCUBE

' Transfer the image fragment into the integer array
GET (140, 25)-(240, 125), fragment

' BSAVE
' Point to the the fragment array and BSAVE to disk.
DEF SEG = VARSEG(fragment(1))
BSAVE fragmentName$, VARPTR(fragment(1)), fragmentSize
DEF SEG                 ' Restore default BASIC segment.

LOCATE 1, 1: PRINT fragmentName$ + " Saved. Press a key to load."
KeyPress$ = INPUT$(1)
CLS

' BLOAD
' The image fragment's array size is BSaved
' so the BLoad command knows how to re-load it from disk
DEF SEG = VARSEG(fragment(1))
BLOAD fragmentName$, VARPTR(fragment(1))
DEF SEG               ' Restore default BASIC segment.

' Put the fragment on the screen.
' The fragment dimensions that the GET command stored are now in
' the array, so the PUT command knows the width and height to display
PUT (80, 10), fragment
LOCATE 1, 1: PRINT "Press a key to end..."
KeyPress$ = INPUT$(1)

SCREEN 2
SCREEN 0

END

DRAWCUBE:
' Draw a white box.
LINE (140, 25)-(140 + 100, 125), 3, B
' Draw the outline of a magenta cube inside the box.
DRAW "C2 BM140,50 M+50,-25 M+50,25 M-50,25"
DRAW "M-50,-25 M+0,50 M+50,25 M+50,-25 M+0,-50 BM190,75 M+0,50"
RETURN

Specifications Apple II

Fig. 6 Typical APPLE II BSAVED Graphics Screen

Fig. 6 Typical APPLE II BSAVED Graphics Screen

Graphics

The Apple II had 2 graphics modes; HGR and HGR2. HGR was a "mixed text and graphics" mode and only offered a partial display of a graphics image. HGR2 was most commonly used since it was a "pure" graphics mode. HGR2 ("page 2") started at memory address 4000 hex ($4000).

Resolution

The resolution of an Apple II Graphics screen was 280 pixels x 192 rasters and allowed up to 6 colors to be displayed simultaneously. However, the hardware was designed to interpret the colors based on "rules" of pixel arrangement in a raster line, and colors would "bleed" (artifact) into each other if the pixels were incompatibly arranged. This was a memory saving technique that allowed a 6 color image to be displayed in only 8K of video memory.

File Format

The size of an Apple II BSAVE image was 8K (the same size as the video memory) plus 4 byte header, and was interleaved in sections, and was not "linearized". Like all BIN (Binary) files on the Apple II, the file had a binary header of 4 bytes (2 integers) in addition to the 8K binary (image) data following the header.

The first integer gave the load address for the file, and the second gave the length in bytes.

The file extension was usually .BIN or .PIC, if a file extension was used at all.

Rasters (scanlines)

The rasters in an Apple II BSAVED image are not contiguous, nor are they in a simple sequential order. They match the video memory on the Apple II which was relatively complicated, and are arranged as follows:

Each scanline is 40 bytes long. There are 3 parent interleaves of 64 scanlines each. Starting at the beginning of the image file, scanlines are arranged in 128 byte blocks beginning with scanlines 0, 64, and 128 in the first block (see table below). 8 bytes at the end of each block are unused by the image.

Each parent interleaf has 8 child interleaves of 8 scanlines each, with a spacing of 1024 bytes (1K) between sequential scanlines in each of the 3 parent interleaves.

Starting at the beginning of the file and respective of the Apple II's interleaved display, the first 8 of the 128 byte blocks run as shown below. This also represents the first of 8 scanlines in each of the 24 child interleaves, and is effectively a block group. 8 of these block groups are stored in the file, with the scanlines in the table below being incremented by 1 for each subsequent block group sequence of 1024 bytes, totalling 8192 bytes (8K) of graphics image data.

First of 8 Sequential Scanline Block Groups in Apple II BSAVE Image 1024 Bytes (1K)
 | Block | Leaf 1 - Offset 0 40 Bytes | Leaf 2 - Offset 40 40 Bytes | Leaf 3 - Offset 80 40 Bytes | Padding - Offset 120 8 Bytes
Scanlines | 1 | 0 | 64 | 128 | Unused
Scanlines | 2 | 8 | 72 | 136 | Unused
Scanlines | 3 | 16 | 80 | 144 | Unused
Scanlines | 4 | 24 | 88 | 152 | Unused
Scanlines | 5 | 32 | 96 | 160 | Unused
Scanlines | 6 | 40 | 104 | 168 | Unused
Scanlines | 7 | 48 | 112 | 176 | Unused
Scanlines | 8 | 56 | 120 | 184 | Unused

Because of the interleaved display and the slow processor speed of the Apple II, when these loaded, a visible "venetian blind" effect was produced creating a "wipe" (fade effect) of the previous graphic if any.

Pixels (colors)

The colors in an Apple II BSAVED image are Black, Green, Violet, Orange, Blue, and White. Pixel color is represented by 2 bits. Although the nominal resolution is 280 x 192, the effective resolution considering colors is really only 140 x 192.

In a 40 byte scanline pixels are stored in an bit array of 280 pixel positions referred to as "columns". The highest bit of each byte is used as a "palette" bit and is not considered a column.

If the palette bit in a byte is set, the 4 colors available for the pixels in that byte are black, blue, orange, and white.

If the palette bit is not set, the 4 colors available for the pixels in that byte are black, violet, green, and white

Ignoring the 40 palette bits in in a 40 byte scanline, there are 280 columns (bits, pixel positions) but only 140 available pixels. So considering each pixel as being a column pair, with an even and odd column, from left to right starting at column 0, if even is set and odd is not set, the pixel is blue or violet. If even is not set and odd is set, the pixel is orange or green. Any two adjacent columns that are set will be white. This means that white pixels (and black pixels) can be positioned at more places than the other colors, but does not alter the fact that the effective resolution is really only 140 x 192 for an Apple II BSAVED image.

BLOAD Example

The following AppleSoft BASIC program loads a BSAVED Apple II Graphics Screen under Apple DOS 3.3. First it clears the screen, lists a directory, waits for user input (the BSAVED screen name) and then loads the screen and waits for a keypress, and repeats until the user ends the program.

1 REM This source code is herewith released
2 REM by me into the Public Domain.
3 REM Bill Buckels, May 31, 2007
10 TEXT
20 HOME
30 CALL - 1184: CALL 42350
40 PRINT "---------------------------------"
50 PRINT "ABINLOAD(C) APPLEII SCREEN LOADER"
60 PRINT "COPYLEFT BILL BUCKELS 2006"
70 PRINT "ENTER BIN FILE OR BLANK TO END..."
80 PRINT "---------------------------------"
90 INPUT "?"
100 IF BIN$ = "" THEN GOTO 500
110 HGR2
120 PRINT CHR$(4)"BLOAD "BIN$",A$4000"
130 GET A$
140 GOTO 10
500 TEXT
510 CALL - 1184: CALL 42350
520 END

External Links

  • How to Save Color Registers After BSAVE of (PICEM) Graphics
  • Complete Instructions to BLOAD and BSAVE EGA and VGA Screens
  • How to BLOAD/BSAVE Multiple Screen Pages for EGA Screens 7-10

References

  1. ^ http://support.microsoft.com/kb/69986
  2. ^ http://support.microsoft.com/kb/45699
  3. ^ http://support.microsoft.com/kb/78888
  • Microsoft BASIC Manual BSAVE Command
  • Microsoft BASIC Manual BLOAD Command
  • Apple II DOS & Commands FAQ
  • AppleSoft FAQ
  • Commodore 128 Personal Computer System Guide Commodore Business Machines, Ltd. 1985
  • Pictor PC Paint File Format Summary


Pictor PIC Support in ClipShop - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

PCPaint Pictor PIC Graphics
Support and Formats

    Introduction
    2 Color and 4 Color Pictor PIC Files
    Pictor CLP Image Fragments
    16 Color Non-Planar Pictor PIC Files
    16 Color Planar EGA Pictor PIC Files
    16 Color Planar VGA Pictor PIC Files
    256 Color Pictor PIC Files
    GRASP GL Library Files
    Saving Pictor PIC Files

    The History of the Pictor PIC File
    The History of the GRASP GL Library File
Introduction

Support for the PCPaint Pictor PIC Graphics Image format in ClipShop is limited to a maximum width of 640 pixels, and a maximum display size of 640 x 400. This is due to ClipShop's fixed Window Size combined with ClipShop's Display Considerations. If If you load a Pictor PIC file longer than ClipShop's display window the bottom will be clipped to fit in the window.

As a general rule, Pictor PIC Files that have been saved in a nominal dimension of 320 x 200 and below will display at a scale of double their native size within ClipShop.

Pictor PIC Files that are wider than 640 are not supported by ClipShop, and Pictor PIC Files with more than 256 Colors are not supported by ClipShop.

As a general rule, Pictor PIC Files that have been created by ClipShop can be reloaded back in to ClipShop, either as a full-screen image or as an 88 x 52 Image Fragment, depending on the format that was selected for the save. This includes 256 Color MCGA Mode images, and 320 x 200 16 or 4 Color or 640 x 200 Monochrome full-screen images.

ClipShop comes with a number of sample Pictor PICs that you can practice on.

<< Back to Top

2 Color and 4 Color Pictor PIC Files

These are supported up to a maximum width of 640 and to a display height of 400. If you load a 2 or 4 Color Pictor PIC longer than ClipShop's display window the bottom will be clipped to fit in the window.

If you load a 2 or 4 Color Pictor PIC that is smaller than 320 x 200, it will be displayed at double its native size.

With the exception of the standard CGA Screen Sizes, 2 Color and 4 Color Pictor PIC files can be loaded and edited in MCGA Mode only.

Since ClipShop targets support in CGA Mode for the 320 x 200 x 4 Color and 640 x 200 Monochrome non-planar Pictor PIC formats, the CGA Mode editing support for this type of Pictor PIC file is limited to these sizes.

<< Back to Top

Pictor CLP Image Fragments

The Pictor CLP 88 x 52 image fragments that ClipShop creates can either be loaded as an MCGA Mode Image or pasted as an MCGA Mode image fragment.

All of of the Pictor CLP fragments that ClipShop saves can be pasted either as Fragments or Stickers from the MCGA Mode Shortcut Menu.

Pictor CLPs can also be used as Overlays from the MCGA Mode Shortcut Menu with or without a Pictor PAL file (which is loaded as an MCGA Mode Image if used).

<< Back to Top

16 Color Non-Planar Pictor PIC Files

These are supported to a maximum width of 640 and a display height of 400. If you load a 16 color non-planar Pictor PIC longer than ClipShop's display window the bottom will be clipped to fit in the window.

If you load a 16 color non-planar Pictor PIC that is smaller than 320 x 200, it will be displayed at double its native size.

<< Back to Top

16 Color Planar MCGA Mode EGA Pictor PIC Files

These are supported to a maximum size of 320 x 200. These will display in double their native size to height of 400. If you load a 16 Color Planar Pictor PIC larger than 320 x 200 it will be displayed at its native size as a VGA Pictor PIC.

<< Back to Top

16 Color Planar MCGA Mode VGA Pictor PIC Files

These are supported to a maximum width of 640 and to a display height of 400. If you load a 16 Color planar Pictor PIC longer than ClipShop's display window the bottom will be clipped to fit in the window.

<< Back to Top

256 Color MCGA Mode Pictor PIC Files

These are supported to a maximum width of 640 and to a display height of 400. If you load a 256 Color Pictor PIC longer than ClipShop's display window the bottom will be clipped to fit in the window.

If you load a 256 Color Pictor PIC that is 320 x 200 or smaller, it will be displayed at double its native size.

<< Back to Top

GRASP GL Library Files

GRASP GL files often contain Pictor PIC and CLP files as part of a GRASP animation. If you load a GRASP GL file as an MCGA Mode Image, the GL file will be "dumped" into a subdirectory of the same base name as the GL file, and all the files in the GL file will be extracted, including Pictor PICs and CLPs (if any).

You can then load these into ClipShop in MCGA Mode to your heart's content.

If you are not quite sure what GRASP or a GL file is you can review more information on the GRASP GRaphic Animation System for Professionals elsewhere in ClipShop's documentation.

ClipShop also comes with a number of sample GL Libraries which you can practice on.

<< Back to Top

Saving and Converting to Pictor PIC

ClipShop has several other output formats besides Pictor PIC which are covered elsewhere in this help documentation. Generally, the main output format that ClipShop uses is the Windows Clipboard, followed by the BMP file format. Since the Windows Clipboard and the BMP File Format are practically identical, and really the lowest common denominator in today's world, saving or converting to the Pictor PIC format is provided for backward compatibility with the other old formats that ClipShop works with, and for whatever other reason.

However ClipShop's support for saving and converting to the Pictor PIC format is the most prevalent over any other format that ClipShop supports, Legacy or Otherwise. It should also be noted that even in an expired ClipShop version which will no longer support saving to other file formats or copying to the Windows Clipboard, saving to Pictor is still supported. Pictor Forever! 'Nuff Said.

Saving or Converting to Pictor PIC takes place from several of ClipShop's menus. The menu commands to do so are listed below, and saving or conversion is limited to an MCGA. EGA or CGA Mode Pictor PIC or to an image fragment.
    MCGA Mode Menus
    Convert from MCGA Mode Screen

    PrintShop Menu
    Export Current Clip (ShopSave)

    CGA Shop Menu
    Convert from 16 Color Windows .BMP...
    Convert between Pictor PIC and BSaved Graphics Screens...
    CGA Image to CGA Graphics Image Fragment
Converting to a CGA Mode Pictor PIC from a more modern format may be particularly useful if you sometimes work with old graphics.(Or if you are using an expired trial version of ClipShop.)


PCPaint

Forward

The following is an article that I co-wrote with John Bridges (the author of PCPaint) and his wife, and posted on Wikipedia, that provides an overview of PCPaint. I can take very little credit for the content of this article since all the information was provided by John and most of the effort was also by them.

I have formatted this Wikipedia article for compatibility with ClipShop’s Help documentation and in doing so I needed to remove all the Wikipedia links. The links I removed will provide you with considerably more information and if you are so inclined you should visit the Wikipedia website and review the Wikipedia version of this article with the Wikpedia links intact. In addition to the Wikipedia links that existed when we posted this article, John Bridges, his wife, and I have also provided Wikipedia with many more related articles which are linked to the Wikipedia version of this article.

The URL is http://en.wikipedia.org/wiki/PCPaint

Bill Buckels

2007

PCPaint
A demonstration of PCPaint
Developer: | Microtex Industries for Mouse Systems
OS: | DOS
Genre: | Graphics software

PCPaint was the first IBM PC-based mouse driven GUI paint program [1]. It was developed by John Bridges and Doug Wolfgram.

The hardware manufacturer Mouse Systems bundled PCPaint with millions of computer mice that they sold, making PCPaint also the best-selling MS-DOS-based paint program of the late 1980s.[2]

Contents

  • 1 Background
    • 1.1 Authorship and Ownership
  • 2 Versions
  • 3 Pictor PIC Image Format
  • 4 Gallery
  • 5 References
  • 7 External links

Background

During the dawn of the IBM-PC age in 1983, John Bridges and Doug Wolfgram started work on what became the world's first commercial GUI painting program for the PC. The software was released as PCPaint.

In 1982 John Bridges worked for an educational software company, Classroom Consortia Media, Inc., developing and writing Apple and IBM graphics libraries for CCM's software. Bridges wrote all the core graphics code for the first version of PCPaint, and an earlier drawing program called SuperDraw for CCM. He met Doug Wolfgram through a mutual friend, and Wolfram ran a modem dial-up BBS which Bridges joined.

By 1983 Wolfram had begun to write a mouse-driven drawing program called MouseDraw using Bridges' graphics routines. The two collaborated cross country via the BBS, Wolfram in California and Bridges in New York. After some work, Doug Wolfram presented his program to Mouse Systems. There was some conversation about the program, but Wolfram's proposal "didn't go anywhere" and Doug asked Bridges to include more routines in order to get Mouse Systems interested.

In 1984, Apple introduced its new Macintosh Computer with its bundled program MacPaint, and MousePaint for the Apple II was also released. Mouse Systems became interested in having a similar paint program for the PC to help them sell their mice. John Bridges created a quick mock-up of a new program using still images to do the border and menus, using MousePaint screen captures scaled to PC resolution.

Following the SoftCon trade show in New Orleans in March of 1984, Mouse Systems bought exclusive rights to the program and paid Bridges to continue to develop the program under their guidelines, and PCPaint was officially born.[3],

In creating the first version of PCPaint, Doug had a dual floppy machine with a Computer Innovations compiler on one disk and source code on the other. John had the "luxury" of a 10MB hard disk in his XT. Data was exchanged daily via 1200, then 2400 baud modems.

Authorship and Ownership

John Bridges continued to work on PCPaint on behalf of Mouse Systems until 1990. Also in that year, Doug Wolfgram sold his remaining rights to PCPaint (and its successor, GRASP) to John Bridges.

Versions

In June of 1984, Mouse Systems shipped PCPaint 1.0, the first GUI based Paint program for the IBM PC family of computers. John Bridges and Doug Wolfgram, were the co-authors of PCPaint 1.0. PCPaint 1.0 saved its graphics in a modified BSaved image format with the extension of ".PIC".

The release of PCPaint Version 1.5 followed in late 1984, with the additions of graphics image compression for the .PIC format and support for "larger-than-screen" images. PCjr support was also added in this version after overcoming severe memory shortage problems getting PCPaint to run on the 128k PCjr.

October 1985 saw the release of PCPaint 2.0. EGA support and publishing features were added to this version. The .PIC format was further refined, offering support for the rapidly expanding graphics capabilities of the PC and efficient image compression.

PCPaint 3.1 was released in 1989. Unlike previous versions, it was not bundled with mice but was sold as a stand-alone software product. PCPaint 3.1 offered improved text and image handling, provided 36 types of flood and fill, worked with VGA adapters in hi-res 16-color and 256-color modes, allowed the user to save and retrieve files in a variety of intercompatible formats (.PIC, .GIF, .PCX, .IMG), and printed selected portions of images on color or black and white dot matrix, ink jet, and laser printers such as Postscript and HP Laser Jet.[4]

PCPaint 3.1 is still in use today by some users of DOS emulation programs like DOSBox.[5]

Pictor PIC Image Format

PCPaint 1.0 saved its graphics in a modified BSAVE image format (which was popular at the time) with the file type (extension) of ".PIC". By PCPaint 1.5 this format was extended further to accommodate image compression. With the release of version 2.0 the PICtor PIC image format was developed almost to its present state, with no similarity to the BSAVE format used by earlier versions.

Gallery

About screen for PC Paint Plus v2.00 | Demonstration of PC Paint | Demonstration of PC Paint | Demonstration of PC Paint
Original box for PC Paint Plus | Original back of box for PC Paint Plus | Front of box for PC Paint 3.1 | Back of box for PC Paint 3.1

References

  1. ^ http://www.dans20thcenturyabandonware.com/text/sw-catalogs/software-catalog-dos.txt - Retrieved: June 9, 2007
  2. ^ http://www.dal.co.kr/chair/ce/gformat/zs.txt - Retrieved: June 9, 2007
  3. ^ http://www.time.com/time/magazine/article/0,9171,952360-1,00.html - Retrieved: June 9, 2007
  4. ^ Mouse Systems Corporation, PC Paint 3.1 User's Manual. Mouse Systems Corporation, Fremont California, 1989. Part Number 302302-001.
  5. ^ http://www.shdon.com/patches#pcpaint

External links

  • PCPaint GRASP GLPro History
  • Doug Wolfgram on PCPaint's beginnings
  • Pictor PC Paint File Format Summary
  • Info on .PIC and .CLP image formats
  • PCPAINT/Pictor Page Format Description Format by John Bridges. Document by Microtex Industries, Inc. Revision Date: 2/9/88
  • "Doug and Melody Wolfgram", by Cynthia Gregory Wilson


GRASP GRAphics Animation System for Professionals

GRASP GRaphic Animation System for Professionals

Forward

The following is an article that I co-wrote with John Bridges (the author of GRASP) and his wife, and posted on Wikipedia, that provides an overview of GRASP. I can take very little credit for the content of this article since all the information was provided by John and most of the effort was also by them.

I have formatted this Wikipedia article for compatibility with ClipShop’s Help documentation and in doing so I needed to remove all the Wikipedia links. The links I removed will provide you with considerably more information and if you are so inclined you should visit the Wikipedia website and review the Wikipedia version of this article with the Wikpedia links intact. In addition to the Wikipedia links that existed when we posted this article, John Bridges, his wife, and I have also provided Wikipedia with many more related articles which are linked to the Wikipedia version of this article.

The URL is http://en.wikipedia.org/wiki/GRaphics_Animation_System_for_Professionals

Bill Buckels

2007

GRASP
GRaphic Animation System for Professionals
Developer: | John Bridges
OS: | DOS
Genre: | Graphics software

Contents

  • 1 GRASP - GRAphical System for Presentation
  • 2 GRASP - GRphic Animation System for Professionals
    • 2.1 GRASP 1.0
    • 2.2 GRASP 2.0
    • 2.3 GRASP 3.0 and 3.5
    • 2.4 GRASP 4.0
    • 2.5 Multi-Media GRASP 1.0
  • 3 See Also
  • 4 External Links
  • 5 References

GRASP - GRAphical System for Presentation

GRASP was the first multimedia animation program for the IBM PC "Family of Computers". It was also at one time the most widely used animation format[1].

Originally conceived under the name FlashGun, the first public version of GRASP was the GRAphical System for Presentation. It later became the GRaphic Animation System for Professionals.

GRaphical System for Presentation Graphic Animation System for Professionals

GRASP - GRaphic Animation System for Professionals

GRASP 1.0

John Bridges was the primary developer of GRASP for Microtex Industries with Doug Wolfgram. Subsequent versions followed. Version 1.10c was released in September 1986[2].

Starting with John's source code for PCPaint, the painting aspects were chopped out and instead a simple font editor for Doug's slideshow program FlashGun was created. The graphics library was used to make a simple script playback that had a command for each graphics library function. It also originally used the assembly language fades from FlashGun for a "FADE" command, but those image fade routines were mode specific (CGA) and difficult to enhance. The routines were rewritten along with the script parts. It stored all the files in a ZIB archive, renaming John Bridges' program ZIB to GLIB and the archives it produced were GL files (GRASP GL library format).

GRASP 2.0

In 1987, GRASP 2.0 was released and no longer distributed as ShareWare. It became a commercial product published in the USA by Paul Mace Software, with John Bridges taking over the product.

GRASP 3.0 and 3.5

In 1988, GRASP 3.0 was released, followed in October 1988 by GRASP 3.5, bundled with Pictor Paint, an improved PCPaint minus publishing features. GRASP 3.5 "[supported] a wide range of video formats, including CGA, EGA, Hercules, VGA and all popular enhanced VGA modes up to 800 x 600 pixels and 1,024 x 768 pixels resolution. The software [displayed] and [edited] images in several standard formats, including PC Paintbrush (PCX) and GIF."[3]

Award-winning animator Tom Guthery claims that by using GRASP in 1990 his early animated computer programs "[gave] smooth movement and detailed animation to a degree that many programmers had thought impossible at the time".[4]

GRASP 4.0

In February 1991 GRASP 4.0 was released, with the ability to create "self-executing" demos (bind to make EXE added), AutoDesk FLI/FLC support, PC Speaker Digitized Sound, and a robust programming environment. It also included ARTOOLS, a collection of image manipulation tools which included an early morphing utility which tracked all points in source and destination images, creating all the in-between frames. Later that year HRFE (High Res Flic Enhancement) was offered as an add-on for GRASP, "[enabling] GRASP to recognize, import, manipulate and compile animations created in Autodesk's Animator Pro environment."[5]

In a published paper critiquing GRASP 4.0, the authors Stuart White and John Lenarcic said that "The GRASP language offers creative freedom in the development of interactive multimedia presentations, especially to seasoned programmers with an artistic inclination."[6]

A stripped-down version of GRASP 4.0 was also included with copies of Philip Shaddock's Multimedia Creations: Hands-On Workshop for Exploring Animation and Sound[7].

Multi-Media GRASP 1.0

In June 1993, Multi-Media GRASP 1.0 was released with True Color support.

Authorship and Ownership

Early in 1990 Doug Wolfgram sold his remaining rights to GRASP (and PCPaint) to John Bridges.

In 1994, GRASP development stopped when John Bridges terminated his publishing contract with Paul Mace Software. In 1995, John created GLPro for Jason Gibbs at IMS Communications Ltd, the newest incarnation of John's ideas behind GRASP updated for Windows. In 2002, John Bridges created AfterGRASP, a successor to GRASP and GLPro.

Although some web pages list Paul Mace Software as "buying" GRASP or "owning" GRASP, that is not correct.

External Links

  • GRASP - GRaphical System for Presentation v1.10 Manual, released May 1986
  • EONQUEST: An interactive multimedia learning environment for elementary mathematical problem solving by Stuart White and John Lenarcic
  • "Doug and Melody Wolfgram", by Cynthia Gregory Wilson
  • Pmace

References

  1. ^ http://www.fileformat.info/format/grasp/egff.htm
  2. ^ http://mediasrv.ns.ac.yu/extra/fileformat/animation/gl/grasp.txt
  3. ^ http://findarticles.com/p/articles/mi_m0NEW/is_1990_Oct_31/ai_9601535
  4. ^ http://www.edu-soft.org/featured/tom.php
  5. ^ http://findarticles.com/p/articles/mi_m0NEW/is_1991_Nov_13/ai_11479624
  6. ^ http://www.ascilite.org.au/aset-archives/confs/iims/1994/qz/white.html
  7. ^ Shaddock, Philip. Multimedia Creations: Hands-On Workshop for Exploring Animation and Sound. Waite Group Press, Corte Madera California, 1992. ISBN 1878739263. Google Book Search: [1]
  • GLPro History
  • GLPro Mailing List Archive
  • GRASP File Format Summary
  • Encyclopedia of Graphics File Formats, 2nd Edition by Murray, James D. , Van Ryper, William ISBN: 1-56592-161-5
  • The formats of GRASP animation files By George Phillips
  • The Graphics File Formats Page GL - Another animation format Dr. Martin Reddy Technical Lead, R & D, Pixar Animation Studios


PCX Support in ClipShop - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

ZSoft PCX Graphics
Support and Formats

    Introduction
    2 Color and 4 Color PCX Files
    PCX and PCC Image Fragments
    16 Color Non-Planar PCX Files
    16 Color Planar EGA PCX Files
    16 Color Planar VGA PCX Files
    256 Color PCX Files
    Saving PCX Files
    The History of the PCX File
Introduction

Support for the ZSoft PCX Graphics Image format in ClipShop is limited to a maximum width of 640 pixels, and a maximum display size of 640 x 400. This is due to ClipShop's fixed Window Size combined with ClipShop's Display Considerations. If If you load a PCX file longer than ClipShop's display window the bottom will be clipped to fit in the window.

If you are interested in the technical specifications for the "now-orphaned" PCX file format, and you have installed ClipShop using its default path, you may wish to review the ZSoft PCX File Format Technical Reference Manual for more information.

As a general rule, PCX Files that have been saved in a nominal dimension of 320 x 200 and below will display at a scale of double their native size within ClipShop.

PCX Files that are wider than 640 are not supported by ClipShop, and PCX Files with more than 256 Colors are not supported by ClipShop.

As a general rule, PCX Files that have been created by ClipShop can be reloaded back in to ClipShop, either as a 320 x 200 4 Color or 640 x 200 Monochrome full-screen image or as an 88 x 52 Image Fragment, depending on the format that was selected for the save.

This includes the so-called EGAVGA Scale CGA PCX which is expanded to a 320 x 400 4 Color or 640 x 400 Monochrome PCX when saving, but which cannot then be re-loaded for editing except in MCGA Mode. The support for this save feature is primarily added to elongate the Monochrome CGA format to correct its aspect ratio, for use in publishing and paint applications that still provide support for the PCX format. The CGA Monochrome PCX will otherwise appear squashed.

<< Back to Top

2 Color and 4 Color PCX Files

These are supported up to a maximum width of 640 and to a display height of 400. If you load a 2 or 4 Color PCX longer than ClipShop's display window the bottom will be clipped to fit in the window.

If you load a 2 or 4 Color PCX that is smaller than 320 x 200, it will be displayed at double its native size.

With the exception of the standard CGA Screen Sizes, 2 Color and 4 Color PCX files can be loaded and edited in MCGA Mode only.

Since ClipShop targets support in CGA Mode for the 320 x 200 x 4 Color and 640 x 200 Monochrome non-planar PCX formats, the CGA Mode editing support for this type of PCX file is limited to these sizes.

CGA Editing support extends to non-planar 320 x 200 x 16 color PCX's because some PCX readers will expand from 2 bits per pixel to 4 bits per pixel when saving. Notably NeoPaint does this, and ClipShop will reverse this expansion when reloading a 320 x 200 x 4 bit non-planar PCX, making the assumption that it is one of our 2 bit PCX's that has been edited outside ClipShop and has been expanded to 4 bits when being resaved.

<< Back to Top

PCX and PCC Image Fragments

The PCX 88 x 52 image fragments that ClipShop creates can either be loaded as an MCGA Mode Image or pasted as an MCGA Mode image fragment. The exception is PCX image fragments with the .PCC filetype extension which cannot be loaded as an MCGA Mode image. You should save PCX fragments using the .PCX file extension unless you have a compelling reason not to do so.

If you want to load an image fragment directly into ClipShop as an MCGA Mode Image, save the fragment with a .PCX extension, or in either of the 2 BMP image fragment sizes available. You will get a 2X scaled-up version of the fragment when ClipShop displays the fragment as an image. If you save a fragment as a .BMP and display the same fragment in Windows Paint, it will be displayed at normal size.

All of of the PCX fragments that ClipShop saves can be pasted either as Fragments or Stickers from the MCGA Mode Shortcut Menu.

<< Back to Top

16 Color Non-Planar PCX Files

These are supported to a maximum width of 640 and a display height of 400. If you load a 16 color non-planar PCX longer than ClipShop's display window the bottom will be clipped to fit in the window.

If you load a 16 color non-planar PCX that is smaller than 320 x 200, it will be displayed at double its native size.

<< Back to Top

16 Color Planar MCGA Mode EGA PCX Files

These are supported to a maximum size of 320 x 200. These will display in double their native size to height of 400. If you load a 16 Color Planar PCX larger than 320 x 200 it will be displayed at its native size as a VGA PCX.

<< Back to Top

16 Color Planar MCGA Mode VGA PCX Files

These are supported to a maximum width of 640 and to a display height of 400. If you load a 16 Color planar PCX longer than ClipShop's display window the bottom will be clipped to fit in the window.

<< Back to Top

256 Color MCGA Mode PCX Files

These are supported to a maximum width of 640 and to a display height of 400. If you load a 256 Color PCX longer than ClipShop's display window the bottom will be clipped to fit in the window.

If you load a 256 Color PCX that is 320 x 200 or smaller, it will be displayed at double its native size.

<< Back to Top

Saving and Converting to PCX

ClipShop has several other output formats besides PCX which are covered elsewhere in this help documentation. Generally, the main output format that ClipShop uses is the Windows Clipboard, followed by the BMP file format. Since the Windows Clipboard and the BMP File Format are practically identical, and really the lowest common denominator in today's world, saving or converting to the PCX format is provided for backward compatibility with the other old formats that ClipShop works with, and for whatever other reason.

Saving or Converting to PCX takes place from several of ClipShop's menus. The menu commands to do so are listed below, and saving or conversion in all cases is limited to an MCGA or CGA Mode PCX or to an image fragment.
    MCGA Mode Menus
    Convert from MCGA Mode Screen

    PrintShop Menu
    Export Current Clip (ShopSave)

    CGA Shop Menu
    Convert from 16 Color Windows .BMP...
    Convert between PCX and BSaved Graphics Screens...
    CGA Image to CGA Graphics Image Fragment
Converting to a CGA Mode PCX from a more modern format may be particularly useful if you sometimes work with old graphics.

<< Back to Top

The History of the PCX File

ZSoft Corporation was a software company in the 1980s. Zsoft, based in Marietta, Georgia, was famous for its development of the PCX graphic file format and the PC Paintbrush software that could edit these files. ZSoft was bought by Wordstar. Another company, Softkey, later bought Wordstar. Softkey was later absorbed by The Learning Company.

PCX was the native file format for PC Paintbrush, introduced in 1985, one of the first popular DOS graphics programs for early PCs.

PC Paintbrush was originally developed as a response to the first paintbrush program for the IBM PC, PCPaint which had been released the prior year by Mouse Systems, the company responsible for bringing the mouse to the IBM PC for the first time.

In 1984 Mouse Systems had released PCPaint to compete with Apple Paint on the Apple II computer and was already positioned to compete with MacPaint on Apple Computer's new Macintosh platform. Unlike MacPaint, PCPaint enabled users to work in color.

When PC Paintbrush was released the following year PCPaint had already added support for the PC's 16 color EGA (Enhanced Graphics Adapter) and Paintbrush followed with the PC's advantage of EGA support as well.

Also following the lead of Mouse Systems and PCPaint (one of the first pieces of software to use a mouse on the PC), the earliest versions of PC Paintbrush were distributed (by Microsoft) with a mouse included.

Both Microsoft and their competitor Mouse Systems bundled their mice with Mouse System's PCPaint the prior year. In Christmas 1984, amidst record sales volumes in the home computer market, Microsoft had created a "sidecar" bundle for the PCJr complete with their mouse but with their competitor's product PCPaint. With the release of PC Paintbrush the following year, Microsoft no longer needed to sell their competitor's software to have the same market advantage.

Microsoft's mechanical mice out-sold Mouse Systems optical mice after a few years, but PCPaint outsold PC Paintbrush until the late 1980's.

Along with the release of PC Paintbrush, ZSoft, following in the footsteps of PCPaint's Pictor PIC format, the first popular image format for the PC, created the PCX image format.

The first version of PC Paintbrush only allowed the use of a limited EGA 16 color palette. By version III 256 colors and extended SVGA resolutions were supported through the use of hundreds of custom tailored graphics drivers. The PCX format grew in ability accordingly.

The PCX format supports simple data compression and was quite common on early DOS and Windows systems. Like the PCPaint Pictor PIC format, it was one of the first widely accepted de facto DOS imaging standards, partly because its data compression feature was then very appreciated. Most PCX files use a 2, 4, 16 or 256 color palette, but towards the end of its lifecycle, the format was extended to allow 24-bit images. Today it has been effectively replaced by formats which support better compression ratios, such as GIF, JPEG and PNG.

After ZSoft was absorbed by The Learning Company, an extremely low priced and simple graphics application was released under the title PC Paintbrush Designer.

Windows ME (Millenium Edition) was the last version of Windows that offered support for the PCX file format through the Windows Paint program. That was 7 years ago already. It was also the last version of Windows that allowed its users to copy DOS graphics screens directly to the Windows Clipboard where they could be pasted into Windows Paint and saved as PCX files (as well as BMP and GIF files). No native PCX support is provided in Windows XP, and no DOS graphics at all are offered in Windows Vista (as far as I can tell).


Sample ClipArt - ClipShop© Users Manual CopyRight Bill Buckels 2007

Sample ClipArt
Installed with ClipShop

    Overview
    Converted Apple ][ ClipArt
    The MiniPix Collection
    The Green Disk Collection
    Apple ][ Links
Overview of Sample ClipArt

The collection of "Old Printshop" Data Files of Clipart Images distributed with ClipShop is quite extensive. Like all of ClipShop's sample graphics, these are installed in sub-folders in the ClipShop folder, usually in C:\Program Files\ClipShop.

The ClipArt subfolder C:\Program Files\ClipShop\ClipArt is organized by library type ("Old Printshop", "New PrintShop","Old PrintMaster") and each group of libraries is generally organized by collection origin.

Many of ClipShop's sample Graphics have text files (with the file extension ".TXT") which can be read for more information in the same directory as the graphics. When loading a ClipArt library in ClipShop you can click-on one of these and Windows Notepad will open the file.

Many of the sample ClipArt libraries distributed with ClipShop were converted from Apple ][ format to IBM-PC format. The AppleShop Menu in ClipShop offers conversion from Apple ][ Dos 3.3 Disk Images to IBM "Old PrintShop" Libraries directly. Other utilities are also available on the Internet to both run Apple ][ DiskImages on the IBM and to convert Apple ][ Disk Images to IBM Disk Files, but to my knowledge these utilities will not directly produce an IBM "Old PrintShop" file like ClipShop. However, I have listed some of these below, and also some sources for Apple ][ disk images and utilities.

I am not documenting the majority of the sample graphics distributed with ClipShop in this help documentation. You can read the applicable .TXT files that come with ClipShop for more information if you are interested.

<< Back to Top

Converted Apple ][ ClipArt

The first collection of Apple ][ ClipArt that I converted to IBM format was The Beagle Bros. Minipix Collection. This collection is documented below.

In those days (circa 1990) I would use a serial cable from my Apple ][ to my IBM and send files back and forth and I would write whatever additional programs I needed for the occasion. This process is quite technical for the average person, and assumes that you have an Apple ][ in the first place and the ability to use all the low-level programs that are not necessarily necessary anymore. ClipShop's AppleShop menu and other utilities and the availability of Apple ][ disk images on the Internet now make the process easier.

The MiniPix collection survived the 15 years since I did the conversion and is distributed with ClipShop. It can be found in C:\Program Files\ClipShop\ClipArt\OldPrintShop\MiniPix.

I have also documented the second collection that I converted below ("The Green Disk Collection"). Around the time that I wrote my first version of ClipShop by consolidating several of my earlier efforts, I was thrilled when I discovered the excellent Internet Culture that has developed around the Apple ][. I discovered this as a result of my ongoing search for "Old Printshop" clipart.

When I realized that groups of Apple users had come together and created large archives of Apple ][ disk images and emulators and other utilities, I had great fun downloading and playing with these. When I determined how to extract apple printshop files from the disk images that they are archived on, I wrote a couple of utilities of my own to convert these from Apple ][ files to the "Old Printshop" format for the IBM-PC and used these in conjunction with an extraction utility called DISKREAD which is still available at ftp://ftp.apple.asimov.net/pub/apple_II/utility/a2_dos_utils_v1.zip

ClipShop's AppleShop Apple ][ Conversion routines are based-on one of the commandline utilities from the Apple ][ Internet Archives called A2DiskDump by Alexander G. M. Smith, Ottawa Canada. This was originally written for the Amiga. Mr. Smith had kindly placed the source code into the Public Domain, and before including his routines in ClipShop I created an IBM command-line version of his program with additional features including the same support for PrintShop Libraries that is included in ClipShop. The IBM Version of A2DiskDump complete with source is included with ClipShop in C:\Program Files\ClipShop\AppleDiskImage.

<< Back to Top

The MiniPix Collection of "Old Printshop" Clipart

Introduction

The collection of "Old Printshop" Data Files of Clipart Images listed below was converted from Apple II format to IBM-PC format. These images were originally distributed on 3 disks.

How I ported Minipix from the Apple to the IBM-PC

In 1991, I converted Disks 1-3 of The Beagle Bros. Minipix disks to Apple Bsaved screens using the Beagle Bros. Minipix Converter that Came on Disks 2 and 3 ("Read Page 6 in Your Manual").

I then used the Proterm Terminal program and a Null Modem cable to port the Bsaved screens from my Apple ][ to my IBM-PC running the Procomm Plus Communications program.

I then wrote a program called Minipix.Exe to convert the Apple Bsaved screens to IBM Bsaved screens. (Yes Virginia, there are Bsaved screens on Both Platforms.)

This was so long ago now, that I forget exactly what other programs that I eventually wrote to convert these to their final resting place in their respective "Old PrintShop" Graphics Library.

File List - Converted MiniPix Clipart
If you have set-up ClipShop File Associations, Click Below
to load The Converted "Old Printshop" Clipart
from the corresponding MiniPix Disk:

<< Back to Top

The Green Disk Collection of "Old Printshop" Clipart

Like many of the sample ClipArt libraries distributed with ClipShop, this collection was converted from Apple ][ format to IBM-PC format. These images were originally distributed on several disks as part of the "Green Disk" collection for the Apple ][.

The original Apple ][ disk images are currently available for download by ftp at ftp://ftp.apple.asimov.net/pub/apple_II/images/unsorted/GRN/ or http at http://public.planetmirror.com/pub/apple2/images/unsorted/GRN/.

The Converted "Old Printshop" Clipart from the corresponding "Green Disk" is listed below. If you have set-up File Associations within ClipShop clicking-on the links below will open the library in a fresh copy of ClipShop.

      Green Disk 2b - Printshop Data
      Green Disk 3a - Printshop Data A-E
      Green Disk 3b - Printshop Data F-L
      Green Disk 4a - Printshop Data M-R
      Green Disk 4b - Printshop Data S-Z

Before finding its way to the Green Disks, this Clipart originated from a variety of sources, including the original Print Shop® Disks distributed by BroderBund. Some of the Green Disk Clipart images are duplicates of some of the other "Old Printshop" Clipart distributed with ClipShop.

<< Back to Top

    Apple ][ Links

    Faster
    ftp://ftp.apple.asimov.net/
    ftp://ftp.apple.asimov.net/pub/apple_II/
    Mirror Sites
    Asia Pacific:
    ftp://ftp1.au.apple.asimov.net/pub/apple2/
    http://ftp1.au.apple.asimov.net/pub/apple2/
    Other
    http://public.planetmirror.com/pub/apple2/


File Formats Etc - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

File Formats Etc.

ClipArt Library File Formats Revealed

All the Library File Formats supported by ClipShop are proprietary unpublished formats, but are very simple to figure-out. These Library File Formats all contain multiple graphics images, and text descriptions for each image (usually in seperate matching files... see below).

The 3 - Main Library File Formats supported by ClipShop are the 88 pixels wide X 52 rasters high UNCOMPRESSED .DAT, .POG, and .SHP files ("Old PrintShop", "New PrintShop", and "Old PrintMaster" graphics formats). There is not much different between these formats, except that the .POG and .SHP files each have some extra information mixed in with the graphics, and the .DAT file is raw. Other than that, they are all identical.

These are really "File Pairs". Each file also has a matching caption file of descriptions of the graphics that must be kept synchronized with the graphics file. These files are .NAM (name) , .PNM (printshop name), and .SDR (shape header) files and correspond with their partner files; .DAT (data), .POG (printshop old graphics), and .SHP (shape) files.

Acropolis Software of Fair Oaks, California, developed PrintPartner as a competing ShareWare product to The Print Shop® and PrintMaster®. A Windows ShareWare product competing against The Print Shop® and PrintMaster® would be difficult today, and in 1999 TLC (The Learning Company) who owned both The Print Shop® and PrintMaster®, distributed fairly recent (2 year old) versions of PrintMaster® on CD almost for free through their SoftKey division. But in the DOS world it is/was different, and Acropolis created a decent competing product that has been referred to as "The Shareware Alternative".

If you want to see what Acropolis is up to now, or if you want to download an Evaluation Version of PrintPartner v3.5 (still a DOS based product), use the following URL to visit their website...

http://www.wwmen.com/acropolis

In earlier versions of PrintPartner, ShareWare Version 1.1 (distributed by Digital Horizons and perhaps others) and PrintPartner Version 2.0, a user had the option of creating and saving custom graphics libraries in a non-compressed format. PrintPartner Version 2.0 is the version that can be optionally installed with ClipShop. Maybe this user library feature was in other versions of Print Partner as well, but for sure it was in these versions.

ClipShop's support for PrintPartner is limited to this particular flavour of non-compressed monochrome graphics (Versions 1.1 and 2.0).

Print Partner graphics are variable size (not 88 x 52 like the others). The graphics name is in the same file as the graphics (not in a second file like the others) and longer names than the others are allowed. Because they are just too different, only basic support for Print Partner graphics is offered in ClipShop.

On a positive note, this support was added out of tribute for the excellent aspirations of Acropolis Software, whose ambitions were (or so it appears) to single handedly provide a better product than the other ones that were available for that time and place in history, and to market that product (Print Partner) as relatively inexpensive shareware.

<< Back to Top

Using the "Old Print Partner" (Versions 1.1 and 2.0) Image Format

In the custom of the time, Print Partner offers a way to import graphics from other applications, but no way to get them back out again (except by printing them, of course). ClipShop solves this problem by allowing you to view non-compressed graphics libraries (.GPH files) created in Print Partner Versions 1.1 and 2.0, and to copy these to the Windows Clipboard, to Paste directly in other programs.

Since Print Partner versions 1.1 and 2.0 were shipped with many very good graphics, if you have the original graphics, or additional high quality Print Partner graphics, you may find this feature handy.

Raw black and white data (Type 1 - non-compressed) is the only type of Print Partner data storage that ClipShop supports. Compressed black and white data (Type 2) is not supported.

The Picture files that Print Partner 1.1 and 2.0 are shipped with (Standard.Gph) are in Compressed Format (Type 2). You must convert these inside of Print Partner in order to use them with ClipShop.

In order to use Print Partner files in ClipShop that have been provided in compressed format you must do the following:

Resave Print Partner Files In Non-Compressed Format. Resave these in the Print Partner Picture Maker editor by adding them to a New Library (i.e. "EXPANDED.GPH"). The new library will be saved as Raw data (Type 1). Now these can be used by ClipShop.

Note: Files that have been converted from PrintMaster® to Print Partner using the pmtopp.exe utility that was shipped with Print Partner are saved in non-compressed format and therefore can be used directly by ClipShop.

<< Back to Top

Disclaimer: We are not suggesting that you steal Print Partner or anyone else's graphics, and Print Partner strictly prohibits redistributing files that are "altered in any way". ("Distribution with one or more of the files missing or altered in anyway is strictly prohibited.") Technically, if you copy a clipboard image of one of the Graphics that was originally supplied with Print Partner and send it to a friend, you have broken this rule (not that we're suggesting you break any rules...).

Leather Winged Demons of the Night could possibly descend upon you in retribution for doing so, if they existed and were summoned by Acropolis Software, but as you know, this is unlikely. Acropolis likely only want you and others to register your Print Partner shareware, and they likely want to keep their program files together if you pass them on, so the next person gets a fair chance to try their product... it's better for product advertising and protects Acropolis's Property Rights, that's all.

However, in the case of using graphics, the usual laws of Copyright and Fair Use apply. You can't use Print Partner's graphics, or anyone else's graphics for that matter, especially in commercial work, without following copyright law. At the same time, if you are a registered user of Print Partner (or another Print Program that comes with artwork) and print a poster for a garage sale using graphics that were supplied with the program, it is unlikely that anyone will be damaged or even mind that you do so. In fact it is probably expected and arguably part of your software licence agreement... commercial work may be a licenced use for your software too for all we know. Similarily we would argue that the same law should apply to using a Graphic on a WebPage, and it is probably even more ok if the WebPage is for yourself... but this is an argument that we might not win...

Since we are Software Developers and not lawyers, and cannot advise you one way or the other. So especially if you build a thriving business using Acropolis's or anyone else's artwork to build WebPages, or do commercial work, and you are not sure if your use is legal, your best action might be to get both the artist's permission and the publisher's permission, stating your intended use. The artist may say something like "OK, great. It's fine with me to reprint those graphics, but I don't know how the ownership works - I suspect the company would think they're theirs...", so if the publisher says yes too, you are probably ok.

If it is not possible to find out who the artist is, or if the publisher does not know who the artist is, you may wish to reconsider using the graphic in question. At the very least, you should probably always consider if your use is fair, and credit the source of your artwork when it practical to do so.

The proceeding is the opinion of The Author. It is presented for general information and discussion only. For a specific legal opinion, always consult a lawyer.


XShop PShop Library Converter - ClipShop(C) Users Manual CopyRight Bill Buckels 1991-2007

XShop PShop Library Converter SubMenu

The XShop SubMenu is available from the PrintShop dropdown Menu at the top of the ClipShop Main Window or by using the hotkeys listed on the XShop SubMenu as listed below. The purpose of XShop is to convert "Old PrintShop" Style libraries between the 3 formats that they were available in.

XShop has been distributed for 15 years as a standalone DOS application. For ClipShop's XShop Menu I have added support for long filenames, but little else has changed except for the "Hot Keys" (see below).

I have also placed "Export Current Library to BMP" on the XShop SubMenu as part of my general attempt in ClipShop to group like-minded commands together.

XShop PShop Library Converter...

DAT TO POG - [SHIFT F1] OLD PRINTSHOP to NEW PRINTSHOP
POG TO DAT - [SHIFT F2] NEW PRINTSHOP to OLD PRINTSHOP
SHP TO POG - [SHIFT F3] PRINTMASTER to NEW PRINTSHOP
POG TO SHP - [SHIFT F4] NEW PRINTSHOP to PRINTMASTER
SHP TO DAT - [SHIFT F5] PRINTMASTER to OLD PRINTSHOP
DAT TO SHP - [SHIFT F6] OLD PRINTSHOP to PRINTMASTER

[F10] Export Current Library to BMP

The [F10] command will "export" an entire library of ClipArt from "Old PrintShop", "New PrintShop" and "Old PrintMaster" ClipArt libraries to a Windows .BMP file. Using the Windows BMP file format is a more usual way to store images than the old ClipArt format, and makes it easier to convert to other formats.

Another possible use for an exported library in the Windows Bitmap (.BMP) format is to provide a graphics catalog of the old ClipArt libraries that you might have. You can then print these out using Windows Paint. This can be useful when trying to find a specific image for whatever reason.

[F12] XShop Help

Displays this Help Topic

Using Converted Libraries In The "Old" (Circa 1985) Print Shop®

In order to use the DAT files that XSHOP creates with the 1985 IBM version of The Print Shop®, put the DAT file and its NAM file on-floppy.

When Print Shop® gives the user a choice to "SELECT A GRAPHIC" one of the options is "FROM DISK". This option is selected and Print Shop® then prompts the user to put the DATA DISK into the disk drive. The so-called "New" Print Shop® works much the same way, and the POG file and its PNM file are required rather than the DAT file and the NAM file.

The DAT and NAM files that are used with the 1985 IBM version of The "Old" Print Shop® program must be prefaced with the two letters GR. I am no longer following this convention, and I am supporting long filenames (2006).

In 1991 I was not too familiar with PrintMaster® and I was able to perform only the most rudimentary compatibility tests with my samples, which were limited to SHP files of 88 pixels in width by 52 rasters in length. The PrintMaster® SHP file format allows for variable size graphics.

The same holds true for the NEW Print Shop® Format which I do not attempt to convert except for files with the POG extension. The Files That I Handle are The Same Format To Which The "New" Print Shop® Convert Utility Changes the Original Print Shop® Graphics.

Bill Buckels 1991, Revised Ever So Slightly 2007.


DOS Legacy Applications - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

DOS Legacy Applications
Optionally Installed with ClipShop

    Overview
    DOS Applications in Windows XP
    Using the DOSBox emulator with DOS Legacy Applications
    README Files and Documentation
    Historical Terminology
    File Compression
    BBS's (Bulletin Boards)
    ShareWare

    ICONDRAW Old PrintShop® Editor
    PCPG PC Picture Graphics System
    PrintMaster® Plus
    PrintPartner Version 2.0
    THEDRAW Version 4.63

    Programs by John Bridges
    PCPaint 2.0 and 3.1 ©John Bridges (DOSBox required)
    GRASP 1.0 and GRASP 4.0 ©John Bridges
    Pictor Paint ©John Bridges
    GLPaint ©John Bridges
    PicEM ©John Bridges

    Copyright and Author's Rights
    The Evolution of Copyright
    Copyright and Software
    Fair Use
    Trade Marks
    Disclaimer

Overview of DOS Legacy Applications

ClipShop can be installed with a number of DOS "Legacy Applications" which are included to further your understanding of each's historical and technical significance, and to generally appreciate their authors' work by providing an active medium that may or may not work on your computer (hopefully they will).

After being installed, most of these can be run from ClipShop's FileShop Menu, if they will in fact run on your computer with or without using the DOSBox DOS emulator for Windows XP.
These applications are the property of their respective authors, and are distributed without warranty. In preparing these applications for distribution with ClipShop, I believe that I have respected the authors' and artists' copyrights.

In the case of PCPaint, GLPaint, Pictor Paint and GRASP, John Bridges, the author has kindly given me permission to distribute these with ClipShop.

In the case of PrintMaster® Plus, Don Joyce, the artist who did most of the clip art gave me his permission long ago to reproduce his Artwork and what better place to see Don's Artwork but in PrintMaster® Plus, the original gallery for his creations! It should be noted that PrintMaster® Plus is not the same PrintMaster® program that is distributed today by BroderBund, although that fact should also be abundantly clear when you run PrintMaster® Plus.

I have followed the conditions of distribution, where they have been stated in the author's documentation, as in the case of PrintPartner© and TheDraw©, where each installation remains intact. In fact all legacy applications are generally complete (or in the case of PCPG© as complete as possible).

Additional notes about Copyright and Author's Rights can be found at the bottom of this page.

The rest is up to you and I hope you enjoy taking a look-at and even using these Legacy Applications for whatever usefulness they may still have, if in fact your computer will still run-them. You may determine conditions of use for yourself by reading each's documentation.

<< Back to Top

DOS Legacy Applications in Windows XP

Windows XP will support DOS Legacy Applications with varying degrees of success, depending primarily on whether the video display properly supports "native low-level" Graphics and on many other factors, some which are hard to determine. Getting XP to run DOS applications is beyond the scope of this document. Suffice to say that they will either work on your computer or they won't, and may require "tweaking" to work on your computer.

If they won't run even after "tweaking", you may wish to try the DOSBox DOS emulator for Windows XP. See the DOSBox topic below for more information.

If they will run with or without "tweaking" or with DosBOX, the DOS Legacy Applications that are optionally installed with ClipShop can be run from the FileShop menu.

Please see below for the description of these applications.

<< Back to Top

Using the DOSBox emulator with DOS Legacy Applications

Since PCPaint will not run under Windows XP without DOSBox, if you decide to optionally install PCPaint with ClipShop, the DOSBox Version 7 installer will also be installed.

If you can't get some or all of the DOS Legacy Applications that are optionally installed with ClipShop to run from the FileShop menu without using DOSBox there is still a pretty good chance that they will run using DOSBox.

Here are the steps to follow:

1. Make sure that you have installed PCPaint and DOSBox with ClipShop. The installation for DOSBox version 7.00 and DOSBox shortcuts for all ClipShop's DOS Legacy Applications with the exception of Pictor Paint are installed by default in ClipShop's DOSBox folder C:\Program Files\ClipShop\DOSBox. You must install DOSBox Version 7.0 prior to using these shortcuts by clicking on the DOSBox installer in this folder.

2. Install DOSBox and make sure the shortcuts work. If they don't you will not be able to run ClipShop's DOS Legacy Applications in DOSBox. If they do, you will be able to run ClipShop's DOS Legacy Applications with the exception of Pictor Paint in DOSBox from the File Shop menu.

In preparing PCPaint for distribution with ClipShop, I created a local DOSBox configuration file in ClipShop's DOSBox folder which I tested with ClipShop's other legacy applications on a problem computer with good results with the exception of Pictor Paint which hangs in DOSBox. Hopefully your results will be the same as mine.

Note: DOSBox launches of Legacy Applications from ClipShop's FileShop menu require that you install DOSBox Version 7.0 that comes with ClipShop using default settings.

If you want to know more about DOSBox visit the DOSBox Wiki at http://dosbox.sourceforge.net/wiki/index.php

<< Back to Top

README Files and Documentation for DOS Legacy Applications

DOS Applications generally come with a "README" in the form of a text file usually called README.TXT, README.DOC, "ProgramName.DOC", or something similar, since in those days there was no single standard naming convention, but some naming conventions survived better than others, so today we generally refer to these text documents as README files and they are generally called README.TXT. The applicable README file is listed below along with the Applications's description. These decriptions are taken where applicable from the application's documentation, and I have left them somewhat "unvarnished" and intact as they were originally written, and tried to preserve some of their "original flavour" in the spirit of "remembering their day".

<< Back to Top

A Historical Note
Legacy Documentation Terminology

When you are reading the documentation for some of the Legacy Programs distributed with ClipShop, you will encounter terminology from days gone by that may be unfamiliar to you. Some of the lingo related to the use and distribution of these programs is almost frightening, and conditions of use can conjure-up images of visitations by Leather Winged Demons of the Night if you fail to comply with all of the implied contractual obligations in the documentation, that like our EULA's (End User Licence Agreements) of today seem to drag-on ad-nauseum.

In an effort to make these old documents a little easier to understand, I will attempt to provide a translation of some of these ancient terms into modernese. I have also included some notes on Copyright at the bottom of this page for those of you who are interested.

<< Back to Top

File Compression (Archiving)

The ClipShop installation is distributed using the modern-day equivalent of a "Self-Extracting Archive". It has been compressed so it can be down-loaded over the Internet as quickly as practically possible. In the time of DOS, ZIP archives which are widely used today had many other counterparts such as ARC, ARJ, and LHA to name afew. This practice allowed faster downloads and disk space saving just as it does today.

To hide the technical commands required to extract an archive from the user it became fashionable to offer these in an executable format called a "Self-Extracting Archive". Today programmers use installers that do the same thing. And today Windows XP reads ZIP archives as folders which helps us save space.

We can thank the late Phil Katz who, above all the others, moved archiving to the sophisticated state that it enjoys today. He developed the PKZIP program which advanced the ZIP format, eventually winning-out both legally and by the majority of the computing community over the others including the original ARC format, which was in my opinion a good starting point. 'Nuff said.

<< Back to Top

BBS's (Bulletin Boards)

In 1993 when the Internet was not as well-known or as well used as it is now, another common method of distributing installations was through telephone access via modem. Public Access "Dial-up" services called Bulletin Board Systems (BBS's) were run by computer enthusiasts known as "Sysops" (System Operators).

ClipShop's Author was among then. My BBS was called "The BuckBoard". It operated 24 hours a day like most BBS's and allowed BBS users to download files which were mostly distributed in those days as "ShareWare" most in an archived format.

And now we have websites instead of BBS's.

Sysops and BBS Users sometimes used "aliases". This was done by some to protect their public identity, and others, like myself, just for fun. My alias was "Uncle Willy". The practice of using an alias has continued to this day.

ShareWare

The modern day equivalent of ShareWare is a "Trial Version" and ClipShop, like many programs today, is distributed as a Trial Version. Things are not so very different today.

<< Back to Top

ICONDRAW Old PrintShop® Editor
Version 3.0 © Copyright Bill Buckels 2006

iConDraw is a simple Graphics Editor Program for "Old PrintShop", "Old PrintMaster", and "New PrintShop" ClipArt Graphics Libraries. iCondraw's "Mouse-Based Bit-Map Editor" is straight-forward to use, "No experience necessary".

Since there are only two drawing commands, "White Pixel" (Right Button) and "Black Pixel" (Left Button), no need to get lost in endless menus to change existing pictures or create new pictures in your "Old PrintShop", "Old PrintMaster", or "New PrintShop" ClipArt Graphics Libraries.

After editing is complete, IconDraw can be used to rename and resave the ClipArt images within these libraries, by either overwriting the original image or appending a copy to the end of the library. You can edit and directly resave "Old PrintShop" ClipArt (.DAT and .NAM Files), "New PrintShop" ClipArt (.POG and .PNM Files) and "Old PrintMaster" ClipArt (.SHP and .SDR Files).

iConDraw will also "export" (save) the Clipart images stored in these libraries to a variety of export formats, allowing these "Image Fragments" to be used later by other programs. This can be particularily useful to programmers and other creative people who want to "spruce-up" their work by using a small image in a simple format.

iCondraw lets you cut the tiny (88 x 52) Individual Clipart images from an "Old PrintShop", "Old PrintMaster", or "New PrintShop" Graphics library and save to individual "Image Fragments" in the following Standard Graphics File Formats :

ZSOFT .PCX or .PCC formats
BINARY .PIC FILE compatible with C 's putimage() function
BINARY .PUT FILE compatible with BASIC's PUT statement
TEXT screen in .BSV format BLoadable from BASIC or C

iConDraw is distributed as FreeWare with Open Source.

Even though iConDraw is an older DOS program, it is a complimentary companion program to ClipShop. "Old PrintShop" Graphics libraries created in ClipShop can be edited in iConDraw. iConDraw also directly edits "New PrintShop" and "Old PrintMaster" Graphics libraries.

Several demos and programming examples are bundled with iConDraw as well. However all the functionality of "The PrintShop Utilities Toolkit" (Released in 1991) and "The ShopSave Graphics Plaything" (Released in 1992) has been replaced completely by ClipShop. So updated versions of these are no longer bundled with iConDraw, with the exception of the dos-only demos which are still in iConDraw. The TSR Frame Grabber GBAS.EXE has been removed completely since it no longer works under Windows XP.

The documentation for iConDraw is installed by default as C:\Program Files\ClipShop\ICONDRAW\README.TXT.

<< Back to Top

PCPG PC Picture Graphics System
© Copyright Eugene Ying 1984

PCPG was written by Eugene Ying with his PC at home using the compiled BASIC language. "It is available free to all PC users." The objective of this program is to promote the use of the IBM PC. PCPG requires 128K memory in DOS 1.1, or 192K in DOS 2.0. "If you like this program, you can help publicize it by distributing it to your friends."

PCPG contains hundreds of graphic symbols that took the author many hours to design. Graphic objects can be either text or picture and can be moved on the graphics display either by the numeric keypad or a light pen or a joystick.

PCPG optionally saves BSAVED Files that can be converted to other formats wihin ClipShop, or used within other programs (usually Legacy Programs).

The documentation for PCPG is installed by default as C:\Program Files\ClipShop\PCPG\README.TXT.

<< Back to Top

PrintMaster® Plus
© Copyright Unison World 1987

In the first half of 1987, Broderbund Software and Pixellite Software announced an out-of-court settlement on their copyright suit against Kyocera Unison.

Under the terms of the settlement, Kyocera Unison of Berkley California, was to pay an undisclosed sum to Broderbund of San Rafael California, and Pixellite, also of Berkley, and permanently agreed to remove its Printmaster® graphics program from the market. In return, Broderbund and Pixellite agreed to drop pending claims against Kyocera Unison.

In October 1986 a federal district judge in San Francisco ruled that the "look and feel" of Printmaster®'s user interface violated the software copyright on Broderbund and Pixellite's Print Shop® program, a decision that almost immediately affected other software copyright cases.

In December, the court ordered Kyocera Unison to stop selling PrintMaster®. Shortly after, in 1987, the company released PrintMaster® Plus, a version of the program that both sides agreed was significantly altered to avoid infringing Broderbund and Pixellite's copyright.

Kyocera Unison's original and unabridged 1987 version of PrintMaster® Plus can be optionally installed with ClipShop, by default as C:\Program Files\ClipShop\PMaster. Only installation documentation exists.

<< Back to Top

PrintPartner Version 2.0
Printer Graphics Program
© Copyright Acropolis Software 1992

For further information about licencing PrintPartner© contact:

Robert Bequette
Acropolis Software
P.O. Box 5037
Fair Oaks, CA 95628

Acropolis Software of Fair Oaks, California, developed PrintPartner as a competing DOS Based ShareWare product to The PrintShop® and PrintMaster®. A Windows ShareWare product competing against The Print Shop® and PrintMaster® would be difficult today.

You can read further about ClipShop's support for PrintPartner© graphics elsewhere in ClipShop's documentation. If you want to see what Acropolis is up to now, or if you want to download an Evaluation Version of PrintPartner v3.5 (still a DOS based product), use the following URL to visit their website...

http://www.wwmen.com/acropolis

PrintPartner allows you to make printed banners, signs, calendars, greeting cards and letterheads. You can edit pictures and create new ones.

You can directly load Printmaster® Plus and Print Shop® graphics ("old Print Shop" only, not the "New Print Shop") into PrintPartner©.

PrintPartner© is provided on an "as is" basis without warranty of any kind expressed or implied. For a full description of conditions of use please see the documentation (link below).

PrintPartner© is copyrighted by Acropolis Software. If you like PrintPartner© and find it useful you are asked to register as a user with Acropolis Software.

The documentation for PrintPartner© Version 2.0 is installed by default as C:\Program Files\ClipShop\PPartner\PP.DOC.

<< Back to Top

THEDRAW Version 4.63
© Copyright TheSoft Programming Services and
Ian E. Davis 1993
TheDraw is not a Public Domain program and is not free.
All Rights are Reserved

For further information about licencing TheDraw© contact:

TheSoft Programming Services
P.O. Box 7657
Fremont, CA. 94537-7657

TheDraw© is a Color and Monochrome DOS Text Screen Image Generator/Editor. As far as I am concerned, like all the Legacy programs on this page, it is simply the best tool that has ever been available for what it did and (hopefully) will still do on your computer.

In the BBS days before the Internet was widely used, many Sysops used TheDraw© as the tool-of-choice to design and build user interface screens. Programmers used TheDraw© to design text-based user interfaces, or to edit screens that had been captured from other text programs, and then often would display these edited screens in their own programs, or as slideshows for proof-of-concept and so-forth. Back in those days, many average users also did a little programming in the BASIC programming language and it was easy to load screens created in TheDraw© in a GWBASIC or QBasic program. TheDraw© also has a save option for loading a standalone display of a screen from within DOS, so even DOS Batch programmers could use screens created in TheDraw© for user interfaces in a batch program. You can in fact still do so if your computer supports TheDraw©'s output as a .COM program.

The documentation is extensive and the program's online quick-reference help is very comprehensive. Menus and Commands are available by right-clicking your mouse button, or by keyboard commands listed in the quick-reference help. You must register this program with the author if you use it beyond the evaluation period. See TheDraw©'s documentation for details.

The documentation for TheDraw© is installed by default as C:\Program Files\ClipShop\TheDraw\THEDRAW.DOC.

ClipShop's CGA Shop menu provides support for the BSAVED Text screens that can be saved in TheDraw©. The PMHLP.EXE utility that comes with ClipShop can also be used with BSAVED Text screens created in TheDraw© by Batch Programmers wishing to create help systems if your computer supports DOS Text Screen programs. How to do this is beyond the scope of this documentation.

<< Back to Top

Programs by John Bridges

John Bridges is the co-author of the software program PCPaint and primary developer of the program GRASP for Microtex Industries with Doug Wolfgram. He is also the sole author of GLPro and AfterGRASP. His article entitled "Differential Image Compression" was published in the February 1991 issue of Dr. Dobb's Journal.

In 1982, he started working for Classroom Consortia Media, Inc. (CCM), an educational software company, developing and writing Apple and IBM graphics libraries and tools for their software. During his tenure there he created a drawing program called SuperDraw for CCM, and on his own wrote the core graphics code for what would later become PCPaint, as well as develop the GRASP GL library format.

John has kindly given permission to distribute a number of his early applications with ClipShop. These are listed below along with additional relevant information. If they run on your computer they will potentially provide you with very high quality and informative experience of the history of PC Graphics from days long ago.

    PCPaint 2.0 and 3.1 ©John Bridges (DOSBox required)
    GRASP 1.0 and GRASP 4.0 ©John Bridges
    Pictor Paint ©John Bridges
    GLPaint ©John Bridges
    PicEM ©John Bridges

    PCPaint - History and Overview
    GRASP - History and Overview

If installed, two of these programs, Pictor Paint and GLPaint, will be available as Legacy Applications from ClipShop's File Shop menu and all John's programs that come with ClipShop with the exception of Pictor Paint will be available as DOSBox applications from ClipShop's File Shop menu if you have installed DOSBox as noted above

Some of the programs by John listed below want to be run from the CMD prompt in the case of programs like GRASP and PicEM, because they were designed to be run in the DOS environment, or using DOSBox.

<< Back to Top
PCPaint

In 1984, John developed the first version of PCPaint with Doug Wolfgram for Mouse Systems. PCPaint was the first IBM PC-based mouse driven GUI paint program. The company purchased the exclusive rights to PCPaint, and John continued development until 1990.

ClipShop is distributed with 2 versions of PCPaint; Version 2.00 and Version 3.1. These programs if optionally installed with ClipShop require DOSBox to run under Windows XP (if they will run on your computer). This is primarily due to the differences between the way the mouse is handled by XP and the way it used to be handled by DOS.

The installation for DOSBox version 7.00 and shortcuts for PCPaint are installed by default in C:\Program Files\ClipShop\DOSBox. You must install DOSBox prior to using these shortcuts.

<< Back to John
GRASP

In 1985, John's PCPaint code and Doug's slideshow program morphed into a new program, GRASP. GRASP was the first multimedia animation program for the IBM PC and created the GRASP GL library format. GRASP was originally released as shareware through Doug's company, Microtex Industries. However, version 2.0 and after were sold commercially by Paul Mace Software. Doug sold his shares of both PCPaint and GRASP to John in 1990, and John's work on GRASP continued through 1994, when he terminated the contract with Paul Mace Software. John's work on GRASP included several toolsets and add-ons, such as Pictor Paint.

If you have optionally installed PCPaint with ClipShop, GRASP Version 1.0 is also installed by default in C:\Program Files\ClipShop\GRASP1

If you have optionally installed Pictor Paint with ClipShop, GRASP Version 4.0 is also installed by default in C:\Program Files\ClipShop\GRASP4

ClipShop also comes with a number of sample GRASP GL Animation Files. These are installed by default in C:\Program Files\ClipShop\Grasprt along with Versions 1, 3, and 4 of GRASPRT, which is the GRASP "runtime" interpreter and required to run the GRASP animations stored in the GL files in this folder. Since there were some differences between releases of GRASP, if the GL animation that you try doesn't work properly with one version of GRASPRT, try another, because they do work. Try GRASPRT3.EXE first... usage is "GRASPRT3 REDLAKE.GL" etc. Try GRASPRT1.EXE second (for very old GL files). Then try GRASPRT4.EXE. These are DOS applications so require abit of typing.

GRASP is not run as a Legacy Application from the ClipShop File Shop menu and must either be run from the CMD prompt or using DOSBox. Only GRASPRT3 runs without problems in DOSBox on my computers, but really runs nicely on most of the sample GL animations that come with ClipShop. Strangely enough the CMD prompt does not have the same issues with other versions of GRASPRT as DOSBox and certain GLs run better outside DOSBox. But generally speaking, DOSBox runs old GLs quicker and with more success using GRASPRT3.

<< Back to John
Pictor Paint

When GRASP 3.5 was released, it included John's newest version of PCPaint, Pictor Paint. Version 4.0 included John's ARTOOLS, which was a collection of image manipulation tools which included an early morphing utility that tracked all points in source and destination images, creating all the in-between frames.

The version of Pictor Paint that came with GRASP 4.0 can be optionally installed (with Grasp 4.0) by default in C:\Program Files\ClipShop\GRASP4 and can be run from ClipShop's File Shop menu if it runs on your computer, or from the CMD prompt. I was unable to get it to run using DOSBox.

<< Back to John
GLpaint

GLpaint was an improved version of PCPaint and Pictor Paint, and was the last in a series of paint programs that descended from the first IBM PC-based mouse driven GUI paint program (PCPaint).

By 1994, GRASP development had stopped and so had development of Pictor Paint. John Bridges terminated his GRASP publishing contract with Paul Mace Software, and went off to create GLPro (the next generation of GRASP) with Jason Gibbs at G-media, a division of IMS Communications Ltd.

In 1995, GLpaint was released. Bundled with GLPro, GLpaint saved its files in a compressed format with the file extension PIC, which was the same format used by PCPaint and Pictor Paint.

By 1998 version 7.0 provided support for TrueColor images and the Pictor PIC format was expanded to handles these.

GLPro was moved into a separate company, GMedia, in early 2000, which closed their doors in February 2001.

John Bridges has not announced any plans to create a successor to GLpaint.

The 1995 first release version of GLPaint is the version that can be optionally installed with ClipShop by default in C:\Program Files\ClipShop\GLPaint and can be run from ClipShop's File Shop menu if it runs on your computer, or from the CMD prompt or using an emulator program like DOSBox.

GLPaint ran fine on my computers during testing but sadly John Bridges was unable to run GLPaint even under DOSBox on his. I hope it runs on yours.

From my point of view, the 1995 release of GLPaint was the last truly "Legacy" version of GLPaint. As far as I am concerned, the addition of TrueColor images in Version 7 signalled the end of an era.

<< Back to John
PICEM

In 1988, John Bridges authored a freeware image viewer program named PICEM. Other image viewers at the time were commercial. PICEM also allowed the user to adjust images' brightness and contrast and to save the image being viewed to other formats including the BSAVE (graphics image format).

PicEM can be optionally installed with ClipShop by default in C:\Program Files\ClipShop\PicEM and can be run from the CMD prompt or using DOSBox.

By default PicEM Version 2.7 is installed with ClipShop as a live executable, but the PicEM folder contains a ZIP archive with PicEM Versions 1.7, 2.1, 2.7, and 3.2.

Note: PicEM 2.7 will open Pictor PIC's saved in PCPaint 1.5 format, which ClipShop regretably doesn't support despite my best efforts in trying to figure-out what John had done to create this transitory compressed BSaved format and for which documentation does not exist. It can then be used to resave which will upgrade to the version 2.0 Pictor PIC format.

<< Back to John

<< Back to Top

BOOK CURSE

A book curse was the most widely-employed and effective method of discouraging the thievery of manuscripts during the medieval period. It was from these curses that modern copyright laws and penalties for plagiarism have descended. Many of these curses vowed that harsh repercussions, often to do with religion, would be inflicted on anyone who appropriated the work from its proper owner. One such example from a book in the monastery of San Pedro in Barcelona reads as follows:

"For him that stealeth, or borroweth and returneth not, this book from its owner, let it change into a serpent in his hand and rend him. Let him be struck with palsy, and all his members blasted. Let him languish in pain crying out for mercy, and let there be no surcease to his agony till he sing in dissolution. Let bookworms gnaw his entrails ... when at last he goeth to his final punishment, let the flames of Hell consume him forever."

<< Back to Top

The Evolution of Copyright

While governments had previously granted monopoly rights to publishers to sell printed works, the modern concept of limited duration copyright originated in 1709-1710 with the British Statute of Anne. This statute first accorded exclusive rights to authors (ie, creators) rather than publishers, and it included protections for consumers of printed work ensuring that publishers could not control their use after sale.

As room was not made for the authorized reproduction of copyrighted content within this newly formulated statutory right, the courts gradually created a doctrine of "fair abridgment", which later became "fair use", that recognized the utility of such actions.

The Berne Convention in 1886 first settled the recognition of copyrights between sovereign nations. Under the Berne Convention the right of ownership (eigendomsrecht in Dutch) was automatically granted to every creative work. The author no longer needed to register the work, and was not required to apply for copyright coverage.

The Berne Convention is still in effect today. When a work is finished (defined as being written or recorded on a physical medium), the author automatically receives all exclusive rights for that work as well as derivatives, unless and until the author explicitly renounces those rights or the copyright expires.

The expiration time differs from country to country, but according to the Berne Convention the minimum time is the lifetime of the author plus 50 years. In the Netherlands the term is 70 years after the death of the author.

<< Back to Top

Copyright and Software

Under international agreements, such as the WTO's TRIPs Agreement, any software written is automatically covered by copyright. This allows the owner to prevent another entity from directly copying the source code and there is generally no need to register code in order for it to be copyrighted. In fact, one of the most recent EPO decisions T 424/03 clarifies the distinction, stating that software is patentable, because it is basically only a technical method executed on a computer, which is to be distinguished from the program itself for executing the method, the program being merely an expression of the method, and thus being copyrighted.

The World Intellectual Property Organization Copyright Treaty, abbreviated as the WIPO Copyright Treaty, is an international treaty on copyright law adopted by the member states of the World Intellectual Property Organization (WIPO) in 1996. It provides additional protections for copyright deemed necessary by knowledge monopoly dependent industries due to advances in information technology since the formation of previous copyright treaties before it.

There have been a variety of criticisms of this treaty, including that it is overbroad (for example in its prohibition of circumvention of technical protection measures, even where such circumvention is used in the pursuit of legal and fair use rights) and that it applies a 'one size fits all' standard to all signatory countries despite widely differing stages of economic development and knowledge industry.

It ensures that computer programs are protected as literary works in its fourth article, and that the arrangement and selection of material in databases is protected in its fifth.

It provides authors of works with control over their rental and distribution in Articles 6 to 8 which they may not have under the Berne Convention alone. It also prohibits circumvention of technological measures for the protection of works as stated in Article 11 and unauthorised modification of rights management information contained in works in Article 12.

<< Back to Top

Fair Use

The Berne three-step test is a clause that has been included in several international treaties on copyright. It imposes constraints on the possible limitations and exceptions to exclusive rights under national copyright laws.

It was first applied to the exclusive right of reproduction by Article 9(2) of the Berne Convention for the Protection of Literary and Artistic Works in 1967. Since then, it has been transplanted and extended into the TRIPs Agreement, the WIPO Copyright Treaty, the EU Copyright Directive and the WIPO Performances and Phonograms Treaty.

The most important version of the test is that included in Article 13 of TRIPs. It reads,

"Members shall confine limitations and exceptions to exclusive rights to certain special cases which do not conflict with a normal exploitation of the work and do not unreasonably prejudice the legitimate interests of the rights holder."

<< Back to Top

Trade Marks

In both the USA and Canada, enforcement of Trade Mark law is entirely a domestic civil rather than a criminal matter. It is up to the Trade Mark owner to file a private lawsuit in a civil court to stop Trade Mark infringement. If the Trade Mark owner does not file suit, failure to do so can result in a loss of protection of the Trade Mark.

This is different than Copyright law, which is International. Copyright infringements are criminal matters, but additionally, like Trademark infringement can also be enforced through private lawsuits to seek compensation for damages.

Canadian Trade Mark law is covered under the Canadian Trade-mark Act. It protects against violators who use the Trade Mark fraudulently.

A Trade Mark that has been registered gives the right to the owner to sue a violator. Under section 20 of the Act, the owner must have a) registered the mark in Canada, b) used the mark in Canada, and c) used it for the sale of identical wares or services in Canada.

A Trade Mark must be registerable in order to be protected under the Act.

Trade Marks that possess certain characteristics prohibited by the Act cannot be registered. Among the prohibited characteristics include a mark that is "clearly descriptive" or "deceptively misdescriptive".

<< Back to Top

Disclaimer

The preceeding notes on Copyright etc.are presented for general information and discussion only.

Bill Buckels has no warranty obligations or liability resulting from the use of ClipShop or any of the programs it came with in any way whatsoever. If you don't agree, remove ClipShop.Exe and all associated files from your computer now.

<< Back to Top

Some parts of this page are:
© Copyright Bill Buckels 1991-2007
All Rights Reserved.
The Other Parts are Fairly Used.


Other Programs - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

Demo and Other Programs
Installed with ClipShop

    Overview
    Source Code and Compilers
    Where to Get Compilers

    Utilities that come with ICONDRAW
    A2DiskDump Apple ][ Disk Image Utility
    Bsaved Text Screen Help Menu Utility
    GLdmp GRASP Dos Legacy Graphics Library Extractor Utility
    WSQUASH and the SQUASH Utilities for Windows

    Curse
    Disclaimer
Overview of Programs Included with ClipShop

ClipShop is installed with a small number of utility and demo programs, written or adapted by the author. These have been installed for a variety of reasons, which are discussed below and some are optionally installed with the DOS "Legacy Applications" that are bundled with ClipShop.

After being installed, some of these can be run from ClipShop's FileShop Menu, and others require an XP Cmd Box (a DOS command line), and a working knowledge of DOS Applications in Windows XP and DOS Commands.

Some of the discussion below is very technical, and only "scratches" the surface of how these utilities and demos are programmed. If you are not a programmer, skip the technical details. If you are a novice programmer, I have included enough information for you to decide if you might be interested in exploring the technical details further. If you really are a programmer then you will understand all that I have said, and probably don't need to read any of this. 'Nuff said.

<< Back to Top

Source Code and Compilers

Some of the utility program source code installed with ClipShop requires one of two "flavours" of MicroSoft C compilers in order to be re-compiled; 16 Bit and 32 bit, the applicable linkers, libraries, and nmake utilities, and with applicable environment variables set in the command window.

This is not to say that they can't be built with other compilers, but this is way beyond the scope of this discussion. The make files and source code provide all the details anyway.

For the 16 bit programs I have used the command line compiler that came with MSVC 1.53, "Microsoft (R) C/C++ Optimizing Compiler Version 8.00c Copyright (c) Microsoft Corp 1984-1993. All rights reserved". This was, as far as I know the last 16 bit compiler that Microsoft released.

For the 32 bit programs I have used the command line compiler that came with Microsoft Visual Studio 2005, "Microsoft (R) 32-bit C/C++ Optimizing Compiler Version 14.00.50727.42 for 80x86 Copyright (C) Microsoft Corporation. All rights reserved." and in the case of ClipShop itself, the WIN32 Platform SDK for Windows XP. At the time of this writing (March 2007), this is, as far as I know, a subversion of Microsoft's most recent compiler.

Some demo programs have been installed with the ICONDRAW Old PrintShop® Editor. They include two assembly language examples included which are assembled under Windows XP using:
    Microsoft (R) Macro Assembler Version 6.14.8444
    Copyright (C) Microsoft Corp 1981-1997. All rights reserved.

    Microsoft (R) Segmented Executable Linker Version 5.60.339 Dec 5 1994
    Copyright (C) Microsoft Corp 1984-1993. All rights reserved.

    EXECOM v.0499 Copyright (c) 1988,1989,1999 Thomas G. Hanlin III
How this is done (especially under XP) is way beyond the scope of this discussion, but here are the steps anyway:

@echo off
rem MASM.BAT
if not exist %1.asm goto NOTFOUND
c:\masm\ml /c %1.asm
c:\masm\link %1.obj, %1.exe, NUL,,NUL
if exist %1.exe erase %1.obj
c:\masm\execom %1.exe %1.com
goto END
:NOTFOUND
echo %1.ASM was not found!
echo Usage is : MASM [BaseName only - .ASM is assumed]
:END
If you are interested in assembly language programming, as a starting point you can obtain more information from The MASM32 Project. Just a note on converting assembled EXE files to 16 bit COM files under Windows XP. You will see above that I have used EXECOM as the last step in my assembly language build sequence. EXE2BIN is waytoo DOS version specific and used to require fixups to run under DOS. I used EXECOM instead because I was too lazy to fix-up EXE2BIN and didn't know if it would work under XP anyway.

There are also some DOS BASIC programming examples installed with ICONDRAW. The compiled basic can be re-compiled using either "Microsoft (R) QuickBASIC Compiler Version 4.50 (C) Copyright Microsoft Corporation 1982-1988." or Microsoft basic 7.X and "Microsoft (R) Programmer's WorkBench Version 1.10 Copyright (c) Microsoft Corp 1990. All rights reserved."

The interpreted BASIC programs will run within their respective interpreters, either "GW-BASIC 3.23 (C) Copyright Microsoft 1983,1984,1985,1986,1987,1988" or "MS-DOS QBasic Copyright (C) Microsoft Corporation, 1987-1992". These interpeters came with their respective DOS versions and are on the internet out there somewhere if you want to pursue this further.

<< Back to Top

Where to Get Compilers

In three words: "On the Internet."

But its not really that simple, because especially if you are new to programming andalso haven't purchased licenced versions of the old compilers and the utilities that came with them, you will be forced to balance your ethics against your desire to play with the code that comes with ClipShop, or to spend a pile-of-dough for old stuff, or do both. I wish you luck. "Old Timers" like me bought all these "Toys" back-in-the-day. However, I have some suggestions and observations that may help you resolve this dilemma for yourself.

Compilers for Free Download

For anyone who doesn't already know... Microsoft have released free (for personal use) functional editions of their now-current programming languages. Their "express" editions also include MSSQL server. The licencing for the express editions is free forever.

The Visual C++ 2005 Express Edition is available for free download from the Microsoft Website. Also on the Microsoft site is additional information on tweaking Visual C++ 2005 to support Win32 Development and command line development of Win32 applications using Make files.

However, probably in the interests of leaving the past behind, Microsoft don't have as much old technology available for free download as they used-to. Over the years "free" compilers that were available from Microsoft have disappeared from their websites.

The Free Country also have a number of Free C/C++ Compilers and Interpreters listed. And Older versions of 16 bit Borland and Turbo C, and information on the infamous Mr.Borland can be found at the Borland Museum. Of course minor fix-ups might be required to make these work with 16 bit MSC.

Compilers.Net also has many Free Compilers listed, and an internet search on "free compilers" will turn-up many more.

But things come and go. At the time of this writing (March 2007) an internet search turned-up the Microsoft MSDN's Free Release of Version 1.52 16 bit C, but this may be removed by the time you read this, as of course could any of the other compiler links that I have mentioned. Also be warned that this is a slow connection and is probably best used early in the morning.

If you are looking for a Microsoft BASIC Compiler, just do an internet search for qb45.zip or qbasic45.zip. You can also try a search for qbasic71.zip.

For a Microsoft BASIC interpreter, try an internet search for qbasic11.zip or for qb11.zip, and for a GWBASIC interpreter try gwbasic.zip.

<< Back to Top

Utilities that come with ICONDRAW

The ICONDRAW Old PrintShop® Editor and its utilities are 16 bit programs.

The documentation for ICONDRAW's examples is installed by default as C:\Program Files\ClipShop\ICONDRAW\EXAMPLES\EXAMPLES.txt.

ICONDRAW's examples are installed by default in C:\Program Files\ClipShop\ICONDRAW\EXAMPLES\.

ICONDRAW's source code is installed by default in C:\Program Files\ClipShop\ICONDRAW\SRC\.

<< Back to Top

A2DiskDump Apple ][ Disk Image Extraction Utility

A2DiskDump is a utility for extracting all files from an Apple II DOS 3.3 disk image file (like the kinds made from ADT the Apple Disk Transfer utility). The files are written to the current directory, using the name from the disk's catalog, with illegal characters replaced. By default, a comment is attached to each file with its catalog listing plus secret info (file length, start address).

Public domain by Alexander G. M. Smith, Ottawa Canada. February 27, 2000

IBM Version by : Bill Buckels, September 6, 2006

The Disk Image Routines used in ClipShop's Apple Shop Menu are adapted from A2DiskDump, which was originally a source file for an Amiga program which I adapted initially for the IBM, then incorporated into ClipShop's source code for specific purposes.

Extraction is limited to genuine Apple ][ DOS 3.X disk images only, and you will need to use a utility like Apple ][ Oasis that manipulates other formats like PRODOS 8 to deal with other old Apple ][ Disks. The Apple Shop Menu documentation will tell you where to go and how to get there if you wish to pursue any of this further.

Apple ][ emulators, and compilers are also available from the links provided on the Apple Shop Menu. To download an Apple emulator visit my Apple DiskImage Page or one of the links listed in the AppleShop Menu documentation.

Note also that those of us who developed Apple ][ programs professionally have other tools like IBM based cross-compilers that are licenced and still commercially available, and you will probably not find these free for the taking. Mine is still quite functional and I can still produce new PRODOS programs with it.

The documentation for A2DiskDump is installed by default as C:\Program Files\ClipShop\AppleDiskImage/A2DiskDump.txt.

The ready-to-go source code and Visual Studio 2005 Makefile for A2DiskDump is installed by default in C:\Program Files\ClipShop\AppleDiskImage\A2DiskDump\.

The A2DiskDump.Exe executable is installed by default in C:\Program Files\ClipShop\AppleDiskImage\.

<< Back to Top

Bsaved Text Screen Help Menu Utility

This utility is used to display BSaved Text Screen Help Menu Systems in DOS Text Mode. It really isn't much good for anything else. It is a 16 bit C Program.

A demo is available from the ClipShop FileShop Menu which launches this utility by default as C:\Program Files\ClipShop\CGAText\PTX\BATJOB.EXE.

The Source Code is installed by default in C:\Program Files\ClipShop\CGAText\PTX\.

Since ClipShop supports conversion of graphics to BSaved Text Screens from its CGA Shop Menu and THEDRAW which can be optionally installed with ClipShop also creates and edits these screens, you can, if you so desire, use this utility to create demos of your own. The ICONDRAW Old PrintShop® Editor that is optionally installed with ClipShop will also create BSAVED text screens.

<< Back to Top

GLdmp GRASP Dos Legacy Graphics Library Extractor Utility

GLdmp is not a replacement for John Bridge's GLIB Utility. GLdmp is a dump utility and as such its single purpose in life is to extract all files from a GRASP .GL Library into an appropriately same-named directory.

Period.

It will not list a .GL without extracting.
It will not selectively extract a file from a .GL.
It will not delete or move a file into a .GL.
It will not add a file to a .GL.

It ain't fancy, or pretty, and the code is verbose. (Written in that onerous mixed style that spans all the years of "worst practices" that your programming instructor probably never wanted you to know about and maybe didn't know about himself, expecially if he couldn't grow a decent beard.)

So what will it do that GLIB won't, you may well ask.

Two Things:

1. The source code may offer some informative insights into how and what the GL file format is and how it historically evolved.

This is one of the reasons that I indulged myself in the exercise of producing GLdmp. It certainly offers a discussion point for those who are so inclined to discuss such things, and those who have already forgotten such things.

Since the source code for GLIB may or may not be handy for you, this might be important to you.

2. The second thing that GLdmp will do is to create a directory of the same "basename" as the target .GL, and then extract all the files in that .GL into that directory so you can have your way with those files. That's not really so special considering that GLIB does the same thing except without creating a directory first for the extracted files.

Is this really a feature? It is if you are working in a directory with multiple .GL's and you don't want to mix them and yourself up, or overwrite files of the same name in different .GL's.

Otherwise, you might just as well use GLIB, since it is pretty hard to find a compelling reason not to, unless you don't have a copy of GLIB.

If it ain't broke, why fix-it?

The ready-to-go source code and Visual Studio 2005 Makefile for GLdmp is installed by default in C:\Program Files\ClipShop\Grasprt\GLdmp\.

The GLdmp.Exe executable is installed by default in C:\Program Files\ClipShop\Grasprt\.

<< Back to Top

WSQUASH and the SQUASH Utilities for Windows

WSQUASH© Version 2.0
The SQUASH Utilities for Windows (Win32)
© Copyright 1995-2007 Bill Buckels
All Rights Reserved.

Distributed as FreeWare

WSquash is available from ClipShop's File Shop Menu, or can be run as an external program.

Introduction

The SQUASH Utilities are Graphics Programs for reducing Windows .BMP Files in size while preserving details (especially in text screens) by using a process called "SQUASHING". WSQUASH is the core program of the SQUASH Utilities for Windows (Win32). The SQUASH Utilities also include two Command Line Programs... SQUASH32.EXE and SQUASH25.EXE.

WSQUASH is a special purpose Windows Graphics Program for reducing Windows .BMP files in size. A good use for WSQUASH is reducing screenshots of Windows programs for use as "thumbnails" in Online Help.

Windows .BMP files with greater resolutions than 800 x 600 or more than 256 colors (8 bit color depth) are not supported in this version of WSQUASH. This is because I wrote these programs long ago when running Windows in more than 256 colors was the exception and I didn't take the time this release to extend these programs to support additional BMP formats.

If you reduce a 256 color Windows .BMP file in size using conventional techniques, you will lose detail when shrinking your image. SQUASHING (scaling by even factors) increases the quality of the reduced image. Geometric objects are almost preserved. Text is still almost readable.

WSQUASH uses a color loss method called Color Clipping resulting in a uniform appearance, and reduces your image by 3:2 each time it is processed. WSQUASH expects that you are running Windows in 256 color mode (or better), and that you are squashing 2, 16, or 256 color bitmaps.

WSQUASH is written in Microsoft C using Standard Windows API Calls. It comes with open source, and may be used and distributed freely. (See the Source Code agreement for restrictions.)

The SQUASH32 command line program uses the same algorithm as WSQUASH. WSQUASH will likely be all most folks will ever need, but the Command Line Programs are included as an "industrial strength" alternative solution.

If you work with the commandline, you can use SQUASH32 to reduce your image by 1/3 each time it is processed (3:2). SQUASH25 reduces your image by 1/2 (25% of the area) each time it is processed.

SQUASH32 loses slightly more colors than SQUASH25, but because the reduction is exactly HALF WAY between SQUASH25 and the original, more detail is preserved. Text is more readable, and line objects are clearer.

SQUASH25 on the other hand makes quite a nice thumbnail "preview" image, and its colors generally don't degrade at all when reducing a Windows Screen the first time through. (Although SQUASH32's text is still more accurate.)

SQUASH25 and SQUASH32 will only accept 256 color .BMP files, but they can be set-up to run unattended in a production environment so there are benefits as well as drawbacks to using the command line versions.

Regardless, no Matter if you chose to work in Windows and use WSQUASH, or to work at the cmd prompt and use SQUASH25 and SQUASH32, if you wish to preserve detail and if you can live with general purpose limited size reduction, why not SQUASH?

The ready-to-go source code and Visual Studio 2005 Makefile for WSQUASH is installed by default in C:\Program Files\ClipShop\WSquash\SrcWin32\.

The WSQUASH.Exe executable is installed by default in C:\Program Files\ClipShop\WSquash\.

<< Back to Top

BOOK CURSE

A book curse was the most widely-employed and effective method of discouraging the thievery of manuscripts during the medieval period. It was from these curses that modern copyright laws and penalties for plagiarism have descended. Many of these curses vowed that harsh repercussions, often to do with religion, would be inflicted on anyone who appropriated the work from its proper owner. One such example from a book in the monastery of San Pedro in Barcelona reads as follows:

"For him that stealeth, or borroweth and returneth not, this book from its owner, let it change into a serpent in his hand and rend him. Let him be struck with palsy, and all his members blasted. Let him languish in pain crying out for mercy, and let there be no surcease to his agony till he sing in dissolution. Let bookworms gnaw his entrails ... when at last he goeth to his final punishment, let the flames of Hell consume him forever."

<< Back to Top

Credits and Disclaimer

Bill Buckels has no warranty obligations or liability resulting from the use of ClipShop or any of the programs and the source code it came with in any way whatsoever. If you don't agree, remove ClipShop.Exe and all associated files from your computer now.


The Print Shop® Saga - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

The Print Shop® Saga

The Print Shop® and BroderBund - The Early Days

Teacher's Choice Productions | Broderbund was founded by Doug and Gary Carlston in 1980, when the personal computer software industry was still in its infancy. The brothers established the company in order to market computer game programs Doug had written in his spare time when he wasn't practicing law. Before the end of its third year, Broderbund had had grown to more than 40 employees and was selling millions of dollars' worth of software annually.
Teacher's Choice Productions | In December 1987, in "The Official PrintShop Handbook" (Bantam), Doug Carlston, still President of Broderbund, wrote "We never expected that The PrintShop would become one of the precursors to a whole new category of software applications referred to as desktop publishing."

Pixellite Software and The Print Shop®

Teacher's Choice Productions "When David Balsam and Marty Kahn first showed us an early version of a program later to be called The Print Shop®, we were struck with the extraordinary creativity it permitted even the most artistically hopeless of us." - Doug Carlston, President, Broderbund Software, 1987.

Was Pixellite Software owned by David Balsam and Marty Kahn? Pixellite Software certainly held the Copyrights for The Print Shop®.

What happened to Pixellite Software?

Teacher's Choice Productions On May 31, 1995, Sierra On-Line merged with The Pixellite Group ("Pixellite"), a developer of personal printing software, in exchange for 245,779 shares of Sierra's Common Stock.

Known in the late '70s as On-Line Systems, company founder Ken Williams took on the task of programming Roberta Williams' hand-written game concept into the first graphic-text adventure game ever created. On-Line Systems became Sierra On-Line in 1980. The following years brought many successes. By fiscal year 1995 (ending March 31, 1995), revenues exceeded $80 million and Sierra's staff grew to more than 700 employees. 1995 saw a number of acquisitions, primarily in the home productivity genre.

"In May (1995), Sierra purchased the rights to Print Artist, a program that enables users to quickly and easily create and print their own professional-quality documents."

Was Print Artist written by Pixellite?

If it was, this would make PrintArtist, The Print Shop®, and PrintMaster®, members of some kind of "extended software family".

© Copyright Bill Buckels 1999-2007


The PrintMaster® Saga - ClipShop© Users Manual Copyright Bill Buckels 1991-2007

The PrintMaster® Saga
A Historical "FanFact"

"Probably the best feature of PrintMaster... was the artwork that Don Joyce (of Negativland/Over The Edge fame) did. The amazing thing about Don was that he walked in having never done computer-based art before, and came up with these amazing images the first day he tried our rather hokey bitmap editor. I thought the artwork was much more sophisticated than what Broderbund was shipping at the time. Amazing for the format (those little bitmaps...)" - An Early PrintMaster® Developer

In 1999 an Ancient PrintMaster® User was talking with some folks who worked at Unison World in the early days...

Teacher's Choice Productions User - "I have been wondering if the PrintMaster that was later distributed by Micrologic Software, and then by Mindscape, and now by The Learning Company (TLC), was the descendant of the Unison World product."

Developer - "Yep, it's the same software. Unison was bought by Kyocera and then at some point sold PrintMaster..."

User - "I noted that you were with Unison World around the time that Broderbund filed their intellectual property case re: The Print Shop vs PrintMaster. I find it ironic that TLC is now the parent company of both PrintMaster and The PrintShop."

"I believe that part of the saga goes something like this... "Unison's program development commenced during license negotiations between the two parties (PrintShop and PrintMaster). During this time, the programmer was instructed to make the IBM version a copy of Print Shop. When negotiations broke down, the programmer was then instructed to take the present state of the program and enhance it to be a better product than Print Shop."

Developer - "Essentially, that's the case. We were going to do a PC version for Broderbund under contract, but Broderbund didn't like the idea of paying us much, so since at the time nobody had ever won a look-and-feel lawsuit..."

"We never saw their source code, nor would it have been very useful, since they AFAIK wrote it in 6502 Assembler, and we wrote PrintMaster in C... Going into the lawsuit, our lawyers took the position that look-and-feel was invalid, and had lots of precedent to back it up. It was actually a landmark case in intellectual property case law, I'm told."

"Macduff Hudges did most of the early work (on PrintMaster) while he was a student at Stanford (he's the one mentioned in the law books about the Broderbund-Unison suit) and Peter MacLeod took it over for a while, and Chico Romano and another programmer by the name of Sheldon finished it after Peter left Unison in 1984."

Teacher's Choice Productions User - "As an aside, I noticed that after Kyocera bought Unison, PrintMaster's interface changed entirely (between 1986 and 1987) and I assume this was as a result of the Broderbund ruling."

Developer - "Yes, after the ruling, they changed the menus around... they were trying to intimate that there was some originality in the idea of making a vertical menu (i.e. choices one after another in a row, like almost every windowing system in existence). It was kind of funny, but I guess lawyers are like that."

"(Around that time a lead engineer/inventor by the name of Fred Fischer worked at Unison.) I don't think Fred worked on PrintMaster; I think he worked on that little page layout program, whatever it was called."

"After Fred worked for Unison, he and Adam Ratoosh started MicroLogic, which eventually bought the PrintMaster from Kyocera. I don't know what Kyocera did with the rest of Unison's software. Mindscape bought MicroLogic, which was funny because Macduff was working there at the time, and had to work on PrintMaster again! Then, TLC bought Mindscape."

Teacher's Choice Productions "We were joking (since Macduff works for Adobe) that Adobe would by TLC and he could work on PrintMaster again..."

User - "He-He... If that happened they could change the name to 'PrintAcrobat Master Illustrator Gold'... I don't think he needs to worry. That was another time and place, and in that time as much as today PrintMaster was a great program... back in the early days there seemed to be something really special about making banners and signs and stuff on our old dot-matrix printers... they didn't even need to be all that complicated."

A computer story:

When I first came upon computers in the early 80s, I was impressed with the then current philosophical approach to creating graphics interfacing which suggested that the goal was to get the computer to act like your brain does, to be intuitively useable.

Then this all reversed and didn't seem to matter anymore. Rather suddenly, we had to learn with difficulty art programs that had and have little to do with how our art brains want to work. When stuff like Adobe appeared, the goal was then to force your brain into compliance with distinctly unintuitive graphic processes.

Computers were no longer trying to be like us, we were trying to be like computers.

That's backwards, and that's when I got out of computer graphics for good.

I still like computers, they're great for writing and probably a few other things, but they remain to this day the worst and most unsympathetic of all mediums to attempt visual art on. Unless you have a hollywood million to work with, they're just plain klunky and force you up against more road blocks than you can shake a mouse at as far as serious art (the human brain type) is concerned.

DJ (Don Joyce) 1999


PrintMaster® and The Print Shop® at War- ClipShop© Users Manual Copyright Bill Buckels 1991-2007

PrintMaster® and The The Print Shop® "at War"

Broderbund Software, Inc. v. Unison World, Inc., 648 F.Supp. 1127 (N.D. Cal. 1986) (interface of program which generated customized greeting cards copyrightable). "It was actually a landmark case in intellectual property case law, I'm told."

The Print Shop® Won

The Print Shop® and PrintMaster® did not get along as well in the Early Days as they do now. On October 8, 1986, the U.S. District Court, Northern District of California ruled in a court case between Broderbund Software, Inc., and Pixellite Software v. Unison World, Inc. and gave an Opinion and Order in favor of The Print Shop® and against PrintMaster®.

Broderbund sued Unison, claiming its Print Shop computer program for Apple II computers was infringed by Unison's Printmaster program for IBM computers. (Don Williams was the programmer who eventually produced the first IBM version of The Print Shop® for Broderbund in 1985, and Berkley Softworks eventually wrote the Apple II version of PrintMaster®.)

Lead On, MacDuff

Unison's program development commenced during license negotiations between the two parties. During this time, the programmer (MacDuff Hudges) was instructed to make the IBM version a copy of Print Shop. They "were going to do a PC version for Broderbund under contract, but Broderbund didn't like the idea of paying much".

When negotiations broke down, the programmer was then instructed to take the present state of the program and enhance it to be a better product than Print Shop ("at the time nobody had ever won a look-and-feel lawsuit").

"We never saw their source code, nor would it have been very useful, since... we wrote PrintMaster® in C... Going into the lawsuit, our lawyers took the position that look-and-feel was invalid, and had lots of precedent to back it up."

Leave My Screens Alone

The Court took a broad view of copyright, holding that the copyright in a computer program extends beyond the literal program codes to the structures of the program, including the sequencing and arrangement of its audiovisual displays. Unison's Printmaster held to infringe Print Shop, and Broderbund won with the ruling that " `the overall structure, sequencing and arrangement of screens' in the user interface of a program are protected by copyright..."

Although this case included screen displays, later, in another case, Digital Comm. Assocs. v. Softklone Distrib. Corp., 659 F. Supp. 449 (N.D. Ga. 1987), the court found this to be erroneous.

Debate also continues, with one side saying that in these cases, as with Lotus Dev. Corp. v. Paperback Software Int'l, 740 F. Supp. 37 (D. Mass. 1990), district courts made a similar analytical mistake in applying copyright law to the outputs of computer programs.

The argument against this being in some cases it may be difficult to classify a given interface as one or the other. Some output formats will contain sufficient original expression to merit protection.

What are the Fundamental Copyright issues for Computer Software?

Leave My Ideas Alone

Why Copyright is used beyond the protection of "purely artistic" artifacts in a computer program can be a puzzling topic. If we consider Copyright in music, for example, we would certainly not consider the topic of a song to be Copyrighted. The average person would usually consider only a literal "rip off" copy of a song to be a violation of the artist's Copyright.

But it is usually the idea and not the expression which is valuable for computer software, and that is the exact opposite of what copyright protects.

Copyright has necessarily been stretched out of its true ambit to include the 'structure, sequence and organisation' (Whelan v Jaslow) and the 'look and feel' (Broderbund Software Inc. v Unison World Inc.) of programs. This has happened because the use of copyright for 'literary work' as such does not enable software to be protected in the way that the computer industry would wish.

A Question of Balance

 Copyright in software is extremely subjective. It is held by the industry that Copyright is supposed to balance effective protection for intellectual property rights in computer programs with the need for a free flow of information to encourage competition.

The use of copyright to protect computer software is the result of lobbying by companies to a perceived problem (in the mid 1970's) of home copying of computer games and counterfeiting of them in the Pacific Basin. Companies suffering from this 'piracy' were in the entertainment business and already using copyright to restrict the use of their goods, and decided to use copyright to protect computer software.

While the 'literary expression' of computer code comes under the Berne Convention, it is a rare program where the codes are the valuable aspect.

More fundamentally, basic copyright law requires that outputs of computer programs be evaluated solely on the basis of their own merits as expressive works of authorship and not any copyright in the program that produces them.

Who was the lawyer?

Claude M. Stern, later a partner in the Litigation and Intellectual Property Groups at Fenwick & West LLP, a law firm in Palo Alto, specializing in representing technology clients.

Mr. Stern served as lead trial counsel in a number of precedent setting cases, including Broderbund Software, Inc. v. Unison World, Inc., the pioneering case in the area of user-interface copyrightability.


Historical Facts and Fiction- ClipShop© Users Manual Copyright Bill Buckels 1991-2007

Historical Facts and Fiction
"TLC is swallowing everything"

The Print Shop® and PrintMaster® In 1999

In 1999, the Learning Company (NYSE:TLC) owned and distributed both The Print Shop® and PrintMaster®, (apparently) positioning their two competive products strategically against each other. "Just look on the shelf the next time you are in your favorite computer store. PrintMaster® and The Print Shop® will probably be beside each other in the same size boxes."

As a matter of fact, the only other two products that appeared to compete "head to head" with TLC's Print Shop® and PrintMaster® were Print Artist from Sierra and Print House from Corel (which no longer appears to be in production). All these products were or are excellent, leaving little room for competition, and TLC with their two competing leading products continued to dominate.

On March 6, 1998, The Learning Company Inc., announced that it had entered into an agreement to acquire all of the stock of Mindscape, Inc., the publisher of PrintMaster®. MindScape then became a division of The Learning Company. "Yep, it's the same software. Unison was bought by Kyocera and then at some point sold PrintMaster® to (Micrologic which was then bought by) Mindscape... "

Broderbund Software, Inc., the publisher of The Print Shop®, was at that time also a wholly-owned subsidiary of The Learning Company.

The Learning Company grew through acquisition and merger. On December 7, 1995 The Learning Company (NASDAQ: LRNG) and SoftKey International Inc. (NASDAQ: SKEY) announced a definitive merger agreement.

At that time The Learning Company terminated its merger agreement with Broderbund Software, Inc. (NASDAQ: BROD) but the merger with Broderbund was later resurrected.

On October 24, 1997, SoftKey International Inc. announced that the company had changed its name to "The Learning Company, Inc." "As the market share leader in educational software, we are America's Learning Company," said Michael Perik, Chairman and Chief Executive Officer.

The Print Shop® and PrintMaster® In 2006

http://www.broderbund.com/

Broderbund continues to publish and distribute The Print Shop® and PrintMaster®.

http://www.thelearningcompany.com/

The Learning Company (TLC) was founded in 1980. The company produced educational software like Reader Rabbit and the ClueFinders. The company also purchased the Minnesota Educational Computing Consortium.

The original The Learning Company became the target of larger software firms interested in purchasing it. After the 1995 "bidding war" between Brøderbund and SoftKey, with the latter eventually acquiring TLC for $606 million in cash, SoftKey took up The Learning Company's name and continued acquiring other software companies including Mindscape, Inc. in March 1998 for $150 million and former rival Brøderbund in June of the same year for $416 million. Mattel purchased the company in 1999, renaming it "Mattel Interactive", but eventually sold it.

The Learning Company and its affiliate company, Broderbund®, are now subsidiaries of Riverdeep, Inc, LLC; a provider of educational software to more than 45,000 schools in more than 20 countries. Founded in 1995, Riverdeep Inc. has offices in San Francisco, California, Cedar Rapids, Iowa, Dublin, Ireland and Manchester, United Kingdom, and is the fastest growing education and consumer software company in the United States.

http://www.riverdeep.net/

Print Artist and Sierra

In 1985 Pixellite Software held the Copyright for the MS-DOS version of The Print Shop®. On May 31, 1995, Sierra On-Line merged with The Pixellite Group ("Pixellite"), a developer of personal printing software, in exchange for 245,779 shares of Sierra's Common Stock.

http://www.sierra.com/en/home.html

Today Sierra is a division of Vivendi Universal Games (Headquartered in Los Angeles, with 16 offices around the world conducting business in 75 countries). As well as now owning Sierra Entertainment, Vivendi Universal Games’ divisions own over 700 titles including Warcraft®.

On August 23, 2004 Vivendi Universal Games (VU Games) announced the divestiture of Hallmark Card Studio and Print Artist, to Nova Development Corporation. Under terms of the agreement, Nova Development acquired technology and content use rights to both franchises, as well as an extended license with Hallmark for the Card Studio product line. The divestiture of home productivity software was part of VU Games’ strategy of refocusing its business exclusively on games.

Based in Southern California, Nova Development Corporation is the #1 publisher of home graphics software in North America for both the Windows and Macintosh platforms.

http://www.novadevelopment.com/

Print Artist (along with Corel Print House) appears to no longer be in production, leaving (you guessed it) The Print Shop® and PrintMaster®.

© Copyright Bill Buckels 1999-2007


Dedication - ClipShop© Users Manual Copyright Bill Buckels

Dedications

    Introduction

    Original Dedications 1999

      Don Joyce
      MacDuff Hudges and Peter MacLeod
      Michael Olivier
      The Print Shop® and PrintMaster® Production Teams
      Graphics Image Format Developers
      The Early Print Shop® Development Team
      Sierra On-Line
      All The Print Shop®, PrintMaster®, and PrintPartner Users

    Additional Dedications 2007

      My Wife
      Microsoft®
      Bill Gates the Programmer
      Steve Rimmer (Alchemy Mindworks)
      Dennis Crespo and Gary Lorenson
      John Bridges (PCPaint)
Introduction

When ClipShop was originally released in 1999 it offered support for Legacy Clipart only. ClipShop has expanded greatly since then and the dedications have expanded somewhat as well.

The original dedications remain intact. But some individuals, starting with my understanding wife, have made the greatly expanded 2007 release of ClipShop possible and they deserve to be recognized. Hence the additional dedications.

<< Back to Top

ClipShop ("Ye Olde ClipShoppe") is dedicated to the SoftWare Developers who created so much fun and enjoyment for so many of us from the early days until now.

They gave us clipart and desktop publishing, and most importantly they gave us something tangible to do with our home computer and printer, and even the youngest among us had a feeling of accomplishment when we showed-off our printouts to each other. It has been a high quality "adventure" for everyone.

Some parts of ClipShop are dedicated to individuals or groups in recognition of their particular contributions. They are listed below.

The [F10] Export Feature is dedicated to Don Joyce (of Negativland/Over The Edge fame), who created "Probably the best feature of PrintMaster®... the artwork". Since Don's computer is "an ancient Mac Centris 610" and he probably can't run ClipShop, it is appropriate that the Export feature is dedicated to him (since exporting to a standard image format is likely the only way Mac users like Don can enjoy the old IBM Clip Art).

Don also contributed kind words and "A Computer Story" for this helpfile. His story is included at the end of "The PrintMaster® Saga".

Don's story about software confining and warping artistic expression illustrates a view shared by many artists and designers. Sadly, bionic artists, who may not have been much good as real artists (Including ClipShop's Author) seem quite abundant these days...

Visit Don's website with friends and family for inspiring fun and great links at:

http://www.negativland.com

ClipShop's Copy Commands are dedicated to the PrintMaster® programmers, including MacDuff Hudges, whose copying made history, and Peter MacLeod, who helped him. This seems appropriate.

ClipShop's Help File is dedicated to another former Unison World Fellow, Michael Olivier. Since the purpose of a Help File is to help and to communicate, it was appropriate to assign this dedication to Michael, who helpfully was still in touch with other former Unison Fellows after all these years.

It doesn't matter what caption you use, the picture is still the same...

ClipShop's Change Description of ClipArt is dedicated to all the folks at TLC (The Learning Company) and to the Teams at BroderBund and MindScape who have made sure that The Print Shop® and PrintMaster® have changed to stay with the times. Also with all the name changing that has gone-on over at TLC this dedication seems appropriate.

ClipShop's Load Command is dedicated to the respective parent company of the image format and to their people.

ClipShop's Save Command is dedicated to Broderbund's Early Print Shop® Development Team, including David Balsam, Marty Kahn, who made history and invented an industry, and Don Williams who brought The Print Shop® to the IBM on behalf of BroderBund.

ClipShop's Delete Command is dedicated to Sierra, who merged with Pixellite.

The Entire ClipShop Application is dedicated to "having fun", and to all The Print Shop®, PrintMaster®, and PrintPartner users out there, past, present, and future.

"I am telling the forgotten history of this obsolete clipart just for fun. All traces of this era have basically vanished from the Earth, so I want to chronicle what I remember before I forget too..." - Bill Buckels 1999

<< Back to Top

Additional Dedication 2007

My Wife

Since my life is dedicated to my understanding wife, our family, and our life together, the symbolic dedication of all or part of a computer application seems a little silly. Be that as it may, she deserves far more credit than I (or anyone else) for giving me the time and the space to complete the humble ClipShop program to whatever state of completeness it has attained for this release.

Since the ClipShop application is already dedicated to having fun, and since she has through the sacrifice of the fun we could have had together while I banged away feverishly on my keyboard to write this new version of ClipShop made it possible to unleash ClipShop on an unsuspecting World;

I dedicate all the fun and enjoyment, past, present, and future that ClipShop has brought or will bring to its users to my wife who I love with all I have to offer.
Microsoft®

Microsoft® probably should be recognized in ClipShop's dedications as well for contributions too numerous to mention including the development of BMP as an imaging standard. As a programmer their contributions are even more apparent to me, especially since ClipShop is written in Microsoft® C.

Since Microsoft® made the output of the ClipShop application possible, ClipShop's Printing Support and the output that it provides is dedicated to Microsoft®.

Bill Gates the Programmer

Not meaning to trivialize, but Microsoft® aside, there is a programmer at Microsoft® that some of us remember for his technical accomplishments too numerous to mention on the IBM-PC, Apple ][ and Commodore 128 computers back in the early days. His name is Bill Gates and he has "worn many hats". Bill Gates the CEO can go ahead and share in the general Microsoft® dedication. He deserves it (for whatever it is worth).

Bill Gates the programmer did some really fundamental and amazing things that unless you were programming back then you may not even be aware of. In developing the BASIC programming language implementation for the IBM-PC, Apple ][ and Commodore 128 platforms, Bill gave us the BSaved Graphics Image format and the tools to use it which then effectively led to where we are today.

It is for his technical accomplishments as a programmer especially in making the BSaved Graphics Image format an accessible reality without which there might have been no ClipShop (and arguably nothing at all) that the following dedication is made with utmost sincerity and respect:

ClipShop's support for the BSaved Graphics Image format is dedicated to Bill Gates the programmer. Period.

Thanks for all the fun that we have had with it.
Steve Rimmer

Back in the 1980's while working as a product designer with vector based computer graphics on "mainframe" Computer Aided Drafting (CAD) systems I made several discoveries that changed my life drastically.

The first discovery was that PC's (personal computers) were as capable and easy for me to program as the complex and expensive CAD systems that I worked-on. The second discovery was that I could make more money doing graphics programming for PC's than I ever could on a CAD system.

During that "magical" time I was heavily influenced by the editor of my favorite computer magazine, "Computing Now". His name is Steve Rimmer (AKA Alchemy Mindworks and Steven William Rimmer). Steve was and is very much into graphics programming, and in fact generally writing and creating in many venues of which some of you are undoubtedly aware.

In part due to Steve's excellent articles, I moved very quickly to a new career as a professional Graphics Programmer. Thanks Steve for "showing me the way".

After Steve quit as editor of "Computing Now", he still provided excellent programming articles. One was titled "Taking Turbo C Out for a Walk" in which Steve showed the rest of us how the display of image fragments was programmed.

ClipShop's use of Image Fragments and all associated functionality is therefore dedicated to Steve Rimmer. 'Nuff Said.
Dennis Crespo and Gary Lorenson

In the late 1980's I had the pleasure of working with "True Color" graphics and an RGB video card from Everex Systems called the "EV680".Later I worked with Everex's first release of a "True Color" VGA video card called the "EV629". Two of Everex's graphics programmers worked quite extensively with me and taught me how to do many amazing things.

Their names are Dennis Crespo and Gary Lorenson.

Thanks Dennis and Gary for help when I needed it. Michael Olivier already has the original dedication for the ClipShop Help documentation. But it's so large now that I don't think he'll mind sharing its dedication with the two of you.
John Bridges

Since John Bridges practically invented Graphics Programming on the PC especially standardized compressed Graphics file formats, the Paintbrush program, Multimedia presentation systems, etc. ("All That Stuff") and especially since John is so darned kind and shares his knowledge so freely;

I am left with no choice than to take everything else that isn't already dedicated in ClipShop, and dedicate "All That Stuff" to John Bridges.

"All That Stuff" includes ALL ClipShop's color mapping and effects commands for legacy graphics and of course all the Pictor Pic support in ClipShop.

Thanks good buddy! Pictor Forever!

A Bunch of Old Stuff - a John Bridges Story

When John Bridges installed Ye Olde Clip Shoppe Deluxe (just prior to its release) he sent me email back with the following comment:

"Wow Bill! That's pretty cool!
I can run a bunch of old stuff with an easy install."

My response to John that followed was:

"That about sums-it-up. Some old f*rt programmer (namely moi) wastes all sorts of valuable time piecing together a bunch of ashes, and uses modern technology to glue them back together."

This interchange was a little "tongue-in-cheek" on my part at least and maybe not on John's because he is a nice guy and has been very sincere about giving much appreciated help throughout ClipShop's long drawn-out final stage of development. Truthfully I am relieved that ClipShop is finally done and I can get on with life, and a little giddy with the elation of coming to the end of this project, hence the somewhat self-deprecating (some might misinterpret as abusive) humour.

But the other truth that prompted my response is that even more than John has built his latest multimedia authoring system AfterGRASP (AG) "on the ashes of" his other programs GLPRO and GRASP, so also has ClipShop been built "on the ashes" of "a bunch of old stuff" including "All That Stuff" from John.

"All That New Stuff" that's out there today is really darned good. But guys like me still like to tinker with "a bunch of old stuff" for whatever reason, even though it may not be significant in functionality by comparison. In fact compared to "a bunch of new stuff", tinkering with "a bunch of old stuff" really isn't a great use of one's limited time on the planet. Nor probably is reading "all this stuff" nor writing it for that matter.

And nostalgia-crazed or just generally crazed, I have only one more (unrepentant and incorrigible) thing to add about "a bunch of old stuff":

Pictor Forever!

© Copyright Bill Buckels 1999-2007